/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __PREEMPT_LOCK_SKEL_H__
#define __PREEMPT_LOCK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct preempt_lock {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *preempt_lock_missing_1;
		struct bpf_program *preempt_lock_missing_2;
		struct bpf_program *preempt_lock_missing_3;
		struct bpf_program *preempt_lock_missing_3_minus_2;
		struct bpf_program *preempt_lock_missing_1_subprog;
		struct bpf_program *preempt_lock_missing_2_subprog;
		struct bpf_program *preempt_lock_missing_2_minus_1_subprog;
		struct bpf_program *preempt_balance;
		struct bpf_program *preempt_balance_subprog_test;
		struct bpf_program *preempt_global_subprog_test;
		struct bpf_program *preempt_sleepable_helper;
	} progs;
	struct {
		struct bpf_link *preempt_lock_missing_1;
		struct bpf_link *preempt_lock_missing_2;
		struct bpf_link *preempt_lock_missing_3;
		struct bpf_link *preempt_lock_missing_3_minus_2;
		struct bpf_link *preempt_lock_missing_1_subprog;
		struct bpf_link *preempt_lock_missing_2_subprog;
		struct bpf_link *preempt_lock_missing_2_minus_1_subprog;
		struct bpf_link *preempt_balance;
		struct bpf_link *preempt_balance_subprog_test;
		struct bpf_link *preempt_global_subprog_test;
		struct bpf_link *preempt_sleepable_helper;
	} links;

#ifdef __cplusplus
	static inline struct preempt_lock *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct preempt_lock *open_and_load();
	static inline int load(struct preempt_lock *skel);
	static inline int attach(struct preempt_lock *skel);
	static inline void detach(struct preempt_lock *skel);
	static inline void destroy(struct preempt_lock *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
preempt_lock__destroy(struct preempt_lock *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
preempt_lock__create_skeleton(struct preempt_lock *obj);

static inline struct preempt_lock *
preempt_lock__open_opts(const struct bpf_object_open_opts *opts)
{
	struct preempt_lock *obj;
	int err;

	obj = (struct preempt_lock *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = preempt_lock__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	preempt_lock__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct preempt_lock *
preempt_lock__open(void)
{
	return preempt_lock__open_opts(NULL);
}

static inline int
preempt_lock__load(struct preempt_lock *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct preempt_lock *
preempt_lock__open_and_load(void)
{
	struct preempt_lock *obj;
	int err;

	obj = preempt_lock__open();
	if (!obj)
		return NULL;
	err = preempt_lock__load(obj);
	if (err) {
		preempt_lock__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
preempt_lock__attach(struct preempt_lock *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
preempt_lock__detach(struct preempt_lock *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *preempt_lock__elf_bytes(size_t *sz);

static inline int
preempt_lock__create_skeleton(struct preempt_lock *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "preempt_lock";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 11;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "preempt_lock_missing_1";
	s->progs[0].prog = &obj->progs.preempt_lock_missing_1;
	s->progs[0].link = &obj->links.preempt_lock_missing_1;

	s->progs[1].name = "preempt_lock_missing_2";
	s->progs[1].prog = &obj->progs.preempt_lock_missing_2;
	s->progs[1].link = &obj->links.preempt_lock_missing_2;

	s->progs[2].name = "preempt_lock_missing_3";
	s->progs[2].prog = &obj->progs.preempt_lock_missing_3;
	s->progs[2].link = &obj->links.preempt_lock_missing_3;

	s->progs[3].name = "preempt_lock_missing_3_minus_2";
	s->progs[3].prog = &obj->progs.preempt_lock_missing_3_minus_2;
	s->progs[3].link = &obj->links.preempt_lock_missing_3_minus_2;

	s->progs[4].name = "preempt_lock_missing_1_subprog";
	s->progs[4].prog = &obj->progs.preempt_lock_missing_1_subprog;
	s->progs[4].link = &obj->links.preempt_lock_missing_1_subprog;

	s->progs[5].name = "preempt_lock_missing_2_subprog";
	s->progs[5].prog = &obj->progs.preempt_lock_missing_2_subprog;
	s->progs[5].link = &obj->links.preempt_lock_missing_2_subprog;

	s->progs[6].name = "preempt_lock_missing_2_minus_1_subprog";
	s->progs[6].prog = &obj->progs.preempt_lock_missing_2_minus_1_subprog;
	s->progs[6].link = &obj->links.preempt_lock_missing_2_minus_1_subprog;

	s->progs[7].name = "preempt_balance";
	s->progs[7].prog = &obj->progs.preempt_balance;
	s->progs[7].link = &obj->links.preempt_balance;

	s->progs[8].name = "preempt_balance_subprog_test";
	s->progs[8].prog = &obj->progs.preempt_balance_subprog_test;
	s->progs[8].link = &obj->links.preempt_balance_subprog_test;

	s->progs[9].name = "preempt_global_subprog_test";
	s->progs[9].prog = &obj->progs.preempt_global_subprog_test;
	s->progs[9].link = &obj->links.preempt_global_subprog_test;

	s->progs[10].name = "preempt_sleepable_helper";
	s->progs[10].prog = &obj->progs.preempt_sleepable_helper;
	s->progs[10].link = &obj->links.preempt_sleepable_helper;

	s->data = preempt_lock__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *preempt_lock__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\x70\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x3f\x74\x63\0\x3f\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x5f\x5f\x73\
\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x6c\x6f\x63\x6b\x2e\x63\0\
\x70\x72\x65\x65\x6d\x70\x74\x5f\x64\x69\x73\x61\x62\x6c\x65\0\x70\x72\x65\x65\
\x6d\x70\x74\x5f\x65\x6e\x61\x62\x6c\x65\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x62\
\x61\x6c\x61\x6e\x63\x65\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x70\x72\x65\x65\x6d\
\x70\x74\x5f\x6c\x6f\x63\x6b\x5f\x6d\x69\x73\x73\x69\x6e\x67\x5f\x31\0\x62\x70\
\x66\x5f\x70\x72\x65\x65\x6d\x70\x74\x5f\x64\x69\x73\x61\x62\x6c\x65\0\x70\x72\
\x65\x65\x6d\x70\x74\x5f\x6c\x6f\x63\x6b\x5f\x6d\x69\x73\x73\x69\x6e\x67\x5f\
\x32\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x6c\x6f\x63\x6b\x5f\x6d\x69\x73\x73\x69\
\x6e\x67\x5f\x33\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x6c\x6f\x63\x6b\x5f\x6d\x69\
\x73\x73\x69\x6e\x67\x5f\x33\x5f\x6d\x69\x6e\x75\x73\x5f\x32\0\x62\x70\x66\x5f\
\x70\x72\x65\x65\x6d\x70\x74\x5f\x65\x6e\x61\x62\x6c\x65\0\x70\x72\x65\x65\x6d\
\x70\x74\x5f\x6c\x6f\x63\x6b\x5f\x6d\x69\x73\x73\x69\x6e\x67\x5f\x31\x5f\x73\
\x75\x62\x70\x72\x6f\x67\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x6c\x6f\x63\x6b\x5f\
\x6d\x69\x73\x73\x69\x6e\x67\x5f\x32\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x70\x72\
\x65\x65\x6d\x70\x74\x5f\x6c\x6f\x63\x6b\x5f\x6d\x69\x73\x73\x69\x6e\x67\x5f\
\x32\x5f\x6d\x69\x6e\x75\x73\x5f\x31\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x70\x72\
\x65\x65\x6d\x70\x74\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\x70\x72\x65\x65\x6d\x70\
\x74\x5f\x62\x61\x6c\x61\x6e\x63\x65\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\
\x65\x73\x74\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\
\x65\x5f\x68\x65\x6c\x70\x65\x72\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x67\x6c\x6f\
\x62\x61\x6c\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x70\x72\x65\x65\x6d\x70\x74\x5f\
\x67\x6c\x6f\x62\x61\x6c\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x65\x73\x74\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\
\x72\x65\x6c\x3f\x74\x63\0\x2e\x72\x65\x6c\x3f\x66\x65\x6e\x74\x72\x79\x2e\x73\
\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\
\x64\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\x04\0\xff\xf1\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x02\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x10\0\0\0\x60\x02\0\0\x03\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x10\0\0\0\x6f\x02\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x18\0\0\0\0\x03\0\0\
\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x87\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x18\0\0\0\x9e\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb2\
\x12\0\0\x04\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x20\0\0\0\xc9\x12\0\0\x04\0\0\0\0\
\0\0\0\x38\0\0\0\0\0\0\0\x28\0\0\0\xe0\x12\0\0\x04\0\0\0\0\0\0\0\x60\0\0\0\0\0\
\0\0\x38\0\0\0\xff\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x12\x12\0\
\0\x04\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x18\0\0\x01\x31\x12\0\0\x04\0\0\0\0\0\0\
\0\xb0\0\0\0\0\0\0\0\x20\0\0\x01\x50\x12\0\0\x04\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\
\0\x28\0\0\x01\x77\x12\0\0\x04\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\x20\0\0\x01\x87\
\x12\0\0\x04\0\0\0\0\0\0\x01\x18\0\0\0\0\0\0\0\x18\0\0\x01\xa4\x12\0\0\x05\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\x01\xbd\x12\0\0\x03\0\0\0\0\0\0\0\x38\0\0\0\
\0\0\0\0\x18\0\0\x01\xd4\x12\0\0\x04\0\0\0\0\0\0\x01\x30\0\0\0\0\0\0\0\x28\0\0\
\x01\xf0\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x85\x01\0\0\xff\xff\xff\
\xff\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x85\x01\0\
\0\xff\xff\xff\xfb\x85\x01\0\0\xff\xff\xff\xfc\x95\0\0\0\0\0\0\0\x85\x01\0\0\
\xff\xff\xff\xfc\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\
\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x85\x01\0\
\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\
\xff\x85\x01\0\0\xff\xff\xff\xff\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x85\x01\0\0\xff\xff\xff\xff\x85\
\x01\0\0\xff\xff\xff\xff\x85\x01\0\0\xff\xff\xff\xff\x85\x01\0\0\xff\xff\xff\
\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x85\x01\0\0\xff\xff\xff\
\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x85\x01\0\
\0\xff\xff\xff\xff\x85\x01\0\0\0\0\0\x01\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x85\x01\0\0\xff\xff\xff\xff\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x85\x01\0\0\0\0\0\x03\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\
\x01\0\0\xff\xff\xff\xff\x85\x01\0\0\xff\xff\xff\xff\x85\x01\0\0\0\0\0\x01\xb4\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x1a\0\0\0\0\0\
\0\x07\x10\0\0\xff\xff\xff\xfc\xb4\x20\0\0\0\0\0\x04\xb7\x30\0\0\0\0\0\0\x85\0\
\0\0\0\0\0\x94\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\0\x10\0\
\0\0\x0d\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\0\x18\0\0\0\
\x09\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\0\x38\0\0\0\
\x09\0\0\0\x0a\0\0\0\0\0\0\0\x40\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\0\x48\0\0\0\
\x09\0\0\0\x0a\0\0\0\0\0\0\0\x60\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\0\x68\0\0\0\
\x09\0\0\0\x0a\0\0\0\0\0\0\0\x70\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\0\x78\0\0\0\
\x0d\0\0\0\x0a\0\0\0\0\0\0\0\x80\0\0\0\x0d\0\0\0\x0a\0\0\0\0\0\0\0\x98\0\0\0\
\x02\0\0\0\x0a\0\0\0\0\0\0\0\xb0\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\0\xb8\0\0\0\
\x02\0\0\0\x0a\0\0\0\0\0\0\0\xd0\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\0\xd8\0\0\0\
\x02\0\0\0\x0a\0\0\0\0\0\0\0\xe0\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\0\xf8\0\0\0\
\x09\0\0\0\x0a\0\0\0\0\0\0\x01\0\0\0\0\x0d\0\0\0\x0a\0\0\0\0\0\0\x01\x18\0\0\0\
\x02\0\0\0\x0a\0\0\0\0\0\0\x01\x30\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\x01\x38\0\0\
\0\x14\0\0\0\x0a\0\0\0\0\0\0\x01\x40\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x0a\0\0\0\0\0\0\0\x30\0\0\0\x0d\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\0\
\0\0\0\0\0\x05\x80\0\0\x05\x80\0\0\x08\xd2\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\
\x01\x04\0\0\x22\0\0\0\xc0\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\0\0\
\0\x20\0\0\0\x18\0\0\0\x03\0\0\0\x40\0\0\0\x1d\0\0\0\x03\0\0\0\x60\0\0\0\x2b\0\
\0\0\x03\0\0\0\x80\0\0\0\x34\0\0\0\x03\0\0\0\xa0\0\0\0\x41\0\0\0\x03\0\0\0\xc0\
\0\0\0\x4a\0\0\0\x03\0\0\0\xe0\0\0\0\x55\0\0\0\x03\0\0\x01\0\0\0\0\x5e\0\0\0\
\x03\0\0\x01\x20\0\0\0\x6e\0\0\0\x03\0\0\x01\x40\0\0\0\x76\0\0\0\x03\0\0\x01\
\x60\0\0\0\x7f\0\0\0\x05\0\0\x01\x80\0\0\0\x82\0\0\0\x03\0\0\x02\x20\0\0\0\x87\
\0\0\0\x03\0\0\x02\x40\0\0\0\x92\0\0\0\x03\0\0\x02\x60\0\0\0\x97\0\0\0\x03\0\0\
\x02\x80\0\0\0\xa0\0\0\0\x03\0\0\x02\xa0\0\0\0\xa8\0\0\0\x03\0\0\x02\xc0\0\0\0\
\xaf\0\0\0\x03\0\0\x02\xe0\0\0\0\xba\0\0\0\x03\0\0\x03\0\0\0\0\xc4\0\0\0\x07\0\
\0\x03\x20\0\0\0\xcf\0\0\0\x07\0\0\x03\xa0\0\0\0\xd9\0\0\0\x03\0\0\x04\x20\0\0\
\0\xe5\0\0\0\x03\0\0\x04\x40\0\0\0\xf0\0\0\0\x03\0\0\x04\x60\0\0\0\0\0\0\0\x08\
\0\0\x04\x80\0\0\0\xfa\0\0\0\x0a\0\0\x04\xc0\0\0\x01\x01\0\0\0\x03\0\0\x05\0\0\
\0\x01\x0a\0\0\0\x03\0\0\x05\x20\0\0\0\0\0\0\0\x0c\0\0\x05\x40\0\0\x01\x13\0\0\
\0\x03\0\0\x05\x80\0\0\x01\x1c\0\0\0\x0e\0\0\x05\xa0\0\0\x01\x28\0\0\0\x0a\0\0\
\x05\xc0\0\0\x01\x31\x08\0\0\0\0\0\0\x04\0\0\x01\x37\x01\0\0\0\0\0\0\x04\0\0\0\
\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\x01\x44\x01\0\
\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\
\x04\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\x58\0\0\0\x09\0\0\0\0\0\0\0\0\x02\0\
\0\0\0\0\0\x3e\0\0\x01\x62\x08\0\0\0\0\0\0\x0b\0\0\x01\x68\x01\0\0\0\0\0\0\x08\
\0\0\0\x40\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\x7b\0\0\0\x0d\0\0\0\0\0\0\0\0\
\x02\0\0\0\0\0\0\x3f\0\0\x01\x7e\x08\0\0\0\0\0\0\x0f\0\0\x01\x83\x01\0\0\0\0\0\
\0\x01\0\0\0\x08\0\0\0\0\x0d\0\0\x01\0\0\0\x11\0\0\x01\x91\0\0\0\x01\0\0\x01\
\x95\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\x01\x99\x0c\0\0\x01\0\0\0\x10\0\0\x01\
\xb0\x11\0\0\0\0\0\0\x12\xff\xff\xff\xff\0\0\x01\xcc\x11\0\0\0\0\0\0\x12\xff\
\xff\xff\xff\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\x02\x2f\x0c\0\0\x02\0\0\0\x15\0\0\
\x02\x43\x0c\0\0\x01\0\0\0\x10\0\0\x01\xb0\x11\0\0\0\0\0\0\x17\xff\xff\xff\xff\
\0\0\x02\x5a\x11\0\0\0\0\0\0\x17\xff\xff\xff\xff\0\0\x02\xbd\x0c\0\0\x01\0\0\0\
\x10\0\0\x01\xb0\x11\0\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\x02\xd4\x11\0\0\0\0\0\
\0\x1a\xff\xff\xff\xff\0\0\x03\x37\x0c\0\0\x01\0\0\0\x10\0\0\x01\xb0\x11\0\0\0\
\0\0\0\x1d\xff\xff\xff\xff\0\0\x03\x56\x11\0\0\0\0\0\0\x1d\xff\xff\xff\xff\0\0\
\x03\xb9\x0c\0\0\x02\0\0\0\x15\0\0\x03\xcc\x0c\0\0\x01\0\0\0\x10\0\0\x01\xb0\
\x11\0\0\0\0\0\0\x21\xff\xff\xff\xff\0\0\x03\xeb\x11\0\0\0\0\0\0\x21\xff\xff\
\xff\xff\0\0\x04\x4e\x0c\0\0\0\0\0\0\x15\0\0\x04\x5e\x0c\0\0\x01\0\0\0\x10\0\0\
\x01\xb0\x11\0\0\0\0\0\0\x25\xff\xff\xff\xff\0\0\x04\x7d\x11\0\0\0\0\0\0\x25\
\xff\xff\xff\xff\0\0\x04\xe0\x0c\0\0\x01\0\0\0\x10\0\0\x01\xb0\x11\0\0\0\0\0\0\
\x28\xff\xff\xff\xff\0\0\x05\x07\x11\0\0\0\0\0\0\x28\xff\xff\xff\xff\0\0\x05\
\x6a\x0c\0\0\0\0\0\0\x15\0\0\x05\x79\x0c\0\0\x01\0\0\0\x10\0\0\x05\x89\x11\0\0\
\0\0\0\0\x2c\xff\xff\xff\xff\0\0\x05\xa5\x0c\0\0\x01\0\0\0\x10\0\0\x05\x89\x11\
\0\0\0\0\0\0\x2e\xff\xff\xff\xff\0\0\x05\xc2\x0c\0\0\0\0\0\0\x15\0\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x11\0\0\x01\x91\0\0\0\x31\0\0\x05\xda\
\x0c\0\0\x01\0\0\0\x32\0\0\x01\xb0\x11\0\0\0\0\0\0\x33\xff\xff\xff\xff\0\0\x05\
\xf3\x11\0\0\0\0\0\0\x33\xff\xff\xff\xff\0\0\0\0\x0d\0\0\0\0\0\0\x11\0\0\x06\
\x32\x0c\0\0\x01\0\0\0\x36\0\0\x06\x49\x0c\0\0\x01\0\0\0\x10\0\0\x01\xb0\x11\0\
\0\0\0\0\0\x38\xff\xff\xff\xff\0\0\x06\x65\x11\0\0\0\0\0\0\x38\xff\xff\xff\xff\
\0\0\x06\xbe\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x3b\0\0\0\x06\0\0\0\x04\0\0\x06\xc3\x0e\0\0\0\0\0\0\x3c\0\0\0\x01\0\0\x06\xcc\
\x07\0\0\0\0\0\0\0\0\0\x06\xda\x07\0\0\0\0\0\0\0\0\0\x08\x9b\x0f\0\0\x01\0\0\0\
\x04\0\0\0\x3d\0\0\0\0\0\0\0\x04\0\0\x08\xa3\x0f\0\0\x02\0\0\0\0\0\0\0\x16\0\0\
\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\
\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\
\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\
\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\
\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\
\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\
\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\
\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\
\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\
\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\
\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\
\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\
\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\
\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\
\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\
\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\
\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\
\x68\x61\x72\0\x63\x74\x78\0\x69\x6e\x74\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x6c\
\x6f\x63\x6b\x5f\x6d\x69\x73\x73\x69\x6e\x67\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\
\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x42\x50\x46\x5f\x45\x58\x49\x54\x20\x69\
\x6e\x73\x74\x72\x75\x63\x74\x69\x6f\x6e\x20\x63\x61\x6e\x6e\x6f\x74\x20\x62\
\x65\x20\x75\x73\x65\x64\x20\x69\x6e\x73\x69\x64\x65\x20\x62\x70\x66\x5f\x70\
\x72\x65\x65\x6d\x70\x74\x5f\x64\x69\x73\x61\x62\x6c\x65\x2d\x65\x64\x20\x72\
\x65\x67\x69\x6f\x6e\0\x62\x70\x66\x5f\x70\x72\x65\x65\x6d\x70\x74\x5f\x64\x69\
\x73\x61\x62\x6c\x65\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x6c\x6f\x63\x6b\x5f\x6d\
\x69\x73\x73\x69\x6e\x67\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x42\x50\x46\x5f\
\x45\x58\x49\x54\x20\x69\x6e\x73\x74\x72\x75\x63\x74\x69\x6f\x6e\x20\x63\x61\
\x6e\x6e\x6f\x74\x20\x62\x65\x20\x75\x73\x65\x64\x20\x69\x6e\x73\x69\x64\x65\
\x20\x62\x70\x66\x5f\x70\x72\x65\x65\x6d\x70\x74\x5f\x64\x69\x73\x61\x62\x6c\
\x65\x2d\x65\x64\x20\x72\x65\x67\x69\x6f\x6e\0\x70\x72\x65\x65\x6d\x70\x74\x5f\
\x6c\x6f\x63\x6b\x5f\x6d\x69\x73\x73\x69\x6e\x67\x5f\x33\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x32\x3d\x42\x50\x46\x5f\x45\x58\x49\x54\x20\x69\x6e\x73\x74\x72\x75\x63\x74\
\x69\x6f\x6e\x20\x63\x61\x6e\x6e\x6f\x74\x20\x62\x65\x20\x75\x73\x65\x64\x20\
\x69\x6e\x73\x69\x64\x65\x20\x62\x70\x66\x5f\x70\x72\x65\x65\x6d\x70\x74\x5f\
\x64\x69\x73\x61\x62\x6c\x65\x2d\x65\x64\x20\x72\x65\x67\x69\x6f\x6e\0\x70\x72\
\x65\x65\x6d\x70\x74\x5f\x6c\x6f\x63\x6b\x5f\x6d\x69\x73\x73\x69\x6e\x67\x5f\
\x33\x5f\x6d\x69\x6e\x75\x73\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x42\x50\x46\
\x5f\x45\x58\x49\x54\x20\x69\x6e\x73\x74\x72\x75\x63\x74\x69\x6f\x6e\x20\x63\
\x61\x6e\x6e\x6f\x74\x20\x62\x65\x20\x75\x73\x65\x64\x20\x69\x6e\x73\x69\x64\
\x65\x20\x62\x70\x66\x5f\x70\x72\x65\x65\x6d\x70\x74\x5f\x64\x69\x73\x61\x62\
\x6c\x65\x2d\x65\x64\x20\x72\x65\x67\x69\x6f\x6e\0\x62\x70\x66\x5f\x70\x72\x65\
\x65\x6d\x70\x74\x5f\x65\x6e\x61\x62\x6c\x65\0\x70\x72\x65\x65\x6d\x70\x74\x5f\
\x6c\x6f\x63\x6b\x5f\x6d\x69\x73\x73\x69\x6e\x67\x5f\x31\x5f\x73\x75\x62\x70\
\x72\x6f\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x42\x50\x46\x5f\x45\x58\x49\x54\x20\
\x69\x6e\x73\x74\x72\x75\x63\x74\x69\x6f\x6e\x20\x63\x61\x6e\x6e\x6f\x74\x20\
\x62\x65\x20\x75\x73\x65\x64\x20\x69\x6e\x73\x69\x64\x65\x20\x62\x70\x66\x5f\
\x70\x72\x65\x65\x6d\x70\x74\x5f\x64\x69\x73\x61\x62\x6c\x65\x2d\x65\x64\x20\
\x72\x65\x67\x69\x6f\x6e\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x64\x69\x73\x61\x62\
\x6c\x65\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x6c\x6f\x63\x6b\x5f\x6d\x69\x73\x73\
\x69\x6e\x67\x5f\x32\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\
\x3d\x42\x50\x46\x5f\x45\x58\x49\x54\x20\x69\x6e\x73\x74\x72\x75\x63\x74\x69\
\x6f\x6e\x20\x63\x61\x6e\x6e\x6f\x74\x20\x62\x65\x20\x75\x73\x65\x64\x20\x69\
\x6e\x73\x69\x64\x65\x20\x62\x70\x66\x5f\x70\x72\x65\x65\x6d\x70\x74\x5f\x64\
\x69\x73\x61\x62\x6c\x65\x2d\x65\x64\x20\x72\x65\x67\x69\x6f\x6e\0\x70\x72\x65\
\x65\x6d\x70\x74\x5f\x6c\x6f\x63\x6b\x5f\x6d\x69\x73\x73\x69\x6e\x67\x5f\x32\
\x5f\x6d\x69\x6e\x75\x73\x5f\x31\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x36\x3d\x42\x50\x46\x5f\x45\x58\x49\x54\x20\x69\x6e\x73\x74\x72\x75\
\x63\x74\x69\x6f\x6e\x20\x63\x61\x6e\x6e\x6f\x74\x20\x62\x65\x20\x75\x73\x65\
\x64\x20\x69\x6e\x73\x69\x64\x65\x20\x62\x70\x66\x5f\x70\x72\x65\x65\x6d\x70\
\x74\x5f\x64\x69\x73\x61\x62\x6c\x65\x2d\x65\x64\x20\x72\x65\x67\x69\x6f\x6e\0\
\x70\x72\x65\x65\x6d\x70\x74\x5f\x65\x6e\x61\x62\x6c\x65\0\x70\x72\x65\x65\x6d\
\x70\x74\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x70\
\x72\x65\x65\x6d\x70\x74\x5f\x62\x61\x6c\x61\x6e\x63\x65\x5f\x73\x75\x62\x70\
\x72\x6f\x67\x5f\x74\x65\x73\x74\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x62\x61\x6c\
\x61\x6e\x63\x65\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x70\x72\x65\x65\x6d\x70\x74\
\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x5f\x68\x65\x6c\x70\x65\x72\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x38\x3d\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x20\x68\x65\x6c\x70\
\x65\x72\x20\x62\x70\x66\x5f\x63\x6f\x70\x79\x5f\x66\x72\x6f\x6d\x5f\x75\x73\
\x65\x72\x23\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x73\
\x75\x62\x70\x72\x6f\x67\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x67\x6c\x6f\x62\x61\
\x6c\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x65\x73\x74\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x39\x3d\x67\x6c\x6f\x62\x61\x6c\x20\x66\x75\x6e\x63\x74\x69\x6f\x6e\x20\x63\
\x61\x6c\x6c\x73\x20\x61\x72\x65\x20\x6e\x6f\x74\x20\x61\x6c\x6c\x6f\x77\x65\
\x64\x20\x77\x69\x74\x68\x20\x70\x72\x65\x65\x6d\x70\x74\x69\x6f\x6e\x20\x64\
\x69\x73\x61\x62\x6c\x65\x64\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\
\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x35\x39\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x39\x32\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x70\x72\x65\x65\x6d\
\x70\x74\x5f\x6c\x6f\x63\x6b\x2e\x63\0\x09\x62\x70\x66\x5f\x70\x72\x65\x65\x6d\
\x70\x74\x5f\x64\x69\x73\x61\x62\x6c\x65\x28\x29\x3b\0\x7d\0\x09\x62\x70\x66\
\x5f\x70\x72\x65\x65\x6d\x70\x74\x5f\x65\x6e\x61\x62\x6c\x65\x28\x29\x3b\0\x09\
\x70\x72\x65\x65\x6d\x70\x74\x5f\x64\x69\x73\x61\x62\x6c\x65\x28\x29\x3b\0\x09\
\x70\x72\x65\x65\x6d\x70\x74\x5f\x65\x6e\x61\x62\x6c\x65\x28\x29\x3b\0\x09\x70\
\x72\x65\x65\x6d\x70\x74\x5f\x62\x61\x6c\x61\x6e\x63\x65\x5f\x73\x75\x62\x70\
\x72\x6f\x67\x28\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x32\x2e\
\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\
\x32\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x62\x70\x66\x5f\x65\x78\x70\x65\x72\x69\x6d\x65\x6e\x74\x61\x6c\x2e\
\x68\0\x09\x70\x72\x65\x65\x6d\x70\x74\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x73\x75\
\x62\x70\x72\x6f\x67\x28\x29\x3b\0\x09\x62\x70\x66\x5f\x63\x6f\x70\x79\x5f\x66\
\x72\x6f\x6d\x5f\x75\x73\x65\x72\x28\x26\x64\x61\x74\x61\x2c\x20\x73\x69\x7a\
\x65\x6f\x66\x28\x64\x61\x74\x61\x29\x2c\x20\x4e\x55\x4c\x4c\x29\x3b\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\x74\0\x3f\x74\
\x63\0\x3f\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\
\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\
\x20\0\0\0\0\0\0\0\x94\0\0\0\x94\0\0\x02\xfc\0\0\x03\x90\0\0\0\0\0\0\0\x08\0\0\
\x08\xaa\0\0\0\x04\0\0\0\0\0\0\0\x24\0\0\0\x10\0\0\0\x2b\0\0\0\x20\0\0\0\x30\0\
\0\0\x38\0\0\0\x37\0\0\x08\xb0\0\0\0\x0a\0\0\0\0\0\0\0\x12\0\0\0\x18\0\0\0\x17\
\0\0\0\x38\0\0\0\x1a\0\0\0\x60\0\0\0\x1d\0\0\0\x98\0\0\0\x21\0\0\0\xb0\0\0\0\
\x25\0\0\0\xd0\0\0\0\x28\0\0\0\xf8\0\0\0\x2c\0\0\x01\x18\0\0\0\x2e\0\0\x01\x30\
\0\0\0\x38\0\0\x08\xb4\0\0\0\x01\0\0\0\0\0\0\0\x33\0\0\0\x10\0\0\x08\xaa\0\0\0\
\x09\0\0\0\0\0\0\x06\xe3\0\0\x07\x5b\0\0\xc4\x02\0\0\0\x08\0\0\x06\xe3\0\0\x07\
\x73\0\0\xc8\x01\0\0\0\x10\0\0\x06\xe3\0\0\x07\x75\0\0\xd8\x02\0\0\0\x18\0\0\
\x06\xe3\0\0\x07\x73\0\0\xdc\x01\0\0\0\x20\0\0\x06\xe3\0\0\x07\x8c\0\x01\x58\
\x02\0\0\0\x28\0\0\x06\xe3\0\0\x07\xa0\0\x01\x5c\x02\0\0\0\x30\0\0\x06\xe3\0\0\
\x07\x73\0\x01\x60\x01\0\0\0\x38\0\0\x06\xe3\0\0\x07\xb3\0\x01\xd8\x02\0\0\0\
\x40\0\0\x06\xe3\0\0\x07\xcf\0\x01\xdc\x02\0\0\x08\xb0\0\0\0\x21\0\0\0\0\0\0\
\x06\xe3\0\0\x07\x5b\0\0\x30\x02\0\0\0\x08\0\0\x06\xe3\0\0\x07\xcf\0\0\x34\x02\
\0\0\0\x18\0\0\x06\xe3\0\0\x07\x5b\0\0\x50\x02\0\0\0\x20\0\0\x06\xe3\0\0\x07\
\x5b\0\0\x54\x02\0\0\0\x28\0\0\x06\xe3\0\0\x07\xcf\0\0\x58\x02\0\0\0\x38\0\0\
\x06\xe3\0\0\x07\x5b\0\0\x74\x02\0\0\0\x40\0\0\x06\xe3\0\0\x07\x5b\0\0\x78\x02\
\0\0\0\x48\0\0\x06\xe3\0\0\x07\x5b\0\0\x7c\x02\0\0\0\x50\0\0\x06\xe3\0\0\x07\
\xcf\0\0\x80\x02\0\0\0\x60\0\0\x06\xe3\0\0\x07\x5b\0\0\x9c\x02\0\0\0\x68\0\0\
\x06\xe3\0\0\x07\x5b\0\0\xa0\x02\0\0\0\x70\0\0\x06\xe3\0\0\x07\x5b\0\0\xa4\x02\
\0\0\0\x78\0\0\x06\xe3\0\0\x07\x75\0\0\xa8\x02\0\0\0\x80\0\0\x06\xe3\0\0\x07\
\x75\0\0\xac\x02\0\0\0\x88\0\0\x06\xe3\0\0\x07\xcf\0\0\xb0\x02\0\0\0\x98\0\0\
\x06\xe3\0\0\x07\x8c\0\0\xf4\x02\0\0\0\xa0\0\0\x06\xe3\0\0\x07\xcf\0\0\xf8\x02\
\0\0\0\xb0\0\0\x06\xe3\0\0\x07\x8c\0\x01\x14\x02\0\0\0\xb8\0\0\x06\xe3\0\0\x07\
\x8c\0\x01\x18\x02\0\0\0\xc0\0\0\x06\xe3\0\0\x07\xcf\0\x01\x1c\x02\0\0\0\xd0\0\
\0\x06\xe3\0\0\x07\x8c\0\x01\x38\x02\0\0\0\xd8\0\0\x06\xe3\0\0\x07\x8c\0\x01\
\x3c\x02\0\0\0\xe0\0\0\x06\xe3\0\0\x07\xa0\0\x01\x40\x02\0\0\0\xe8\0\0\x06\xe3\
\0\0\x07\xcf\0\x01\x44\x02\0\0\0\xf8\0\0\x07\xda\0\0\x07\x5b\0\x07\xb4\x02\0\0\
\x01\0\0\0\x07\xda\0\0\x07\x75\0\x07\xc8\x02\0\0\x01\x08\0\0\x06\xe3\0\0\x07\
\x73\0\x01\x7c\x01\0\0\x01\x18\0\0\x06\xe3\0\0\x07\xb3\0\x01\x90\x02\0\0\x01\
\x20\0\0\x06\xe3\0\0\x07\xcf\0\x01\x94\x02\0\0\x01\x30\0\0\x06\xe3\0\0\x07\x8c\
\0\x01\xf8\x02\0\0\x01\x38\0\0\x06\xe3\0\0\x08\x50\0\x01\xfc\x02\0\0\x01\x40\0\
\0\x06\xe3\0\0\x07\xa0\0\x02\0\x02\0\0\x01\x48\0\0\x06\xe3\0\0\x07\xcf\0\x02\
\x04\x02\0\0\x08\xb4\0\0\0\x04\0\0\0\0\0\0\x06\xe3\0\0\x07\x5b\0\x01\xb8\x02\0\
\0\0\x18\0\0\x06\xe3\0\0\x08\x6b\0\x01\xbc\x02\0\0\0\x30\0\0\x06\xe3\0\0\x07\
\x75\0\x01\xc0\x02\0\0\0\x38\0\0\x06\xe3\0\0\x07\xcf\0\x01\xc4\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x02\x3b\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x02\x80\0\0\0\0\0\0\x02\x28\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\xa8\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xf8\0\0\
\0\0\0\0\x01\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1b\0\
\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x50\0\0\0\0\0\0\0\
\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x98\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x01\xf9\0\0\0\x09\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xa0\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x03\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x03\0\0\0\x09\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xc0\0\0\0\0\0\0\x01\x70\0\0\0\x02\0\0\0\x04\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x0b\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x30\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x05\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x2d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\x50\0\0\0\0\0\0\x0e\x6a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\x02\x32\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x16\xc0\0\0\0\0\0\0\x03\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct preempt_lock *preempt_lock::open(const struct bpf_object_open_opts *opts) { return preempt_lock__open_opts(opts); }
struct preempt_lock *preempt_lock::open_and_load() { return preempt_lock__open_and_load(); }
int preempt_lock::load(struct preempt_lock *skel) { return preempt_lock__load(skel); }
int preempt_lock::attach(struct preempt_lock *skel) { return preempt_lock__attach(skel); }
void preempt_lock::detach(struct preempt_lock *skel) { preempt_lock__detach(skel); }
void preempt_lock::destroy(struct preempt_lock *skel) { preempt_lock__destroy(skel); }
const void *preempt_lock::elf_bytes(size_t *sz) { return preempt_lock__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
preempt_lock__assert(struct preempt_lock *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __PREEMPT_LOCK_SKEL_H__ */
