/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __WQ_SKEL_H__
#define __WQ_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct wq {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *array;
		struct bpf_map *hmap;
		struct bpf_map *hmap_malloc;
		struct bpf_map *lru;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_call_array_sleepable;
		struct bpf_program *test_call_hash_sleepable;
		struct bpf_program *test_call_hash_malloc_sleepable;
		struct bpf_program *test_call_lru_sleepable;
		struct bpf_program *test_syscall_array_sleepable;
	} progs;
	struct {
		struct bpf_link *test_call_array_sleepable;
		struct bpf_link *test_call_hash_sleepable;
		struct bpf_link *test_call_hash_malloc_sleepable;
		struct bpf_link *test_call_lru_sleepable;
		struct bpf_link *test_syscall_array_sleepable;
	} links;
	struct wq__bss {
		__u32 ok;
		__u32 ok_sleepable;
	} *bss;

#ifdef __cplusplus
	static inline struct wq *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct wq *open_and_load();
	static inline int load(struct wq *skel);
	static inline int attach(struct wq *skel);
	static inline void detach(struct wq *skel);
	static inline void destroy(struct wq *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
wq__destroy(struct wq *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
wq__create_skeleton(struct wq *obj);

static inline struct wq *
wq__open_opts(const struct bpf_object_open_opts *opts)
{
	struct wq *obj;
	int err;

	obj = (struct wq *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = wq__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	wq__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct wq *
wq__open(void)
{
	return wq__open_opts(NULL);
}

static inline int
wq__load(struct wq *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct wq *
wq__open_and_load(void)
{
	struct wq *obj;
	int err;

	obj = wq__open();
	if (!obj)
		return NULL;
	err = wq__load(obj);
	if (err) {
		wq__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
wq__attach(struct wq *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
wq__detach(struct wq *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *wq__elf_bytes(size_t *sz);

static inline int
wq__create_skeleton(struct wq *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "wq";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 5;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "array";
	map->map = &obj->maps.array;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "hmap";
	map->map = &obj->maps.hmap;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "hmap_malloc";
	map->map = &obj->maps.hmap_malloc;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "lru";
	map->map = &obj->maps.lru;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 4 * s->map_skel_sz);
	map->name = "wq.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_call_array_sleepable";
	s->progs[0].prog = &obj->progs.test_call_array_sleepable;
	s->progs[0].link = &obj->links.test_call_array_sleepable;

	s->progs[1].name = "test_call_hash_sleepable";
	s->progs[1].prog = &obj->progs.test_call_hash_sleepable;
	s->progs[1].link = &obj->links.test_call_hash_sleepable;

	s->progs[2].name = "test_call_hash_malloc_sleepable";
	s->progs[2].prog = &obj->progs.test_call_hash_malloc_sleepable;
	s->progs[2].link = &obj->links.test_call_hash_malloc_sleepable;

	s->progs[3].name = "test_call_lru_sleepable";
	s->progs[3].prog = &obj->progs.test_call_lru_sleepable;
	s->progs[3].link = &obj->links.test_call_lru_sleepable;

	s->progs[4].name = "test_syscall_array_sleepable";
	s->progs[4].prog = &obj->progs.test_syscall_array_sleepable;
	s->progs[4].link = &obj->links.test_syscall_array_sleepable;

	s->data = wq__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *wq__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\xc0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x74\x63\0\x73\x79\x73\x63\x61\x6c\x6c\0\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2e\x6d\x61\x70\x73\0\x2e\x62\x73\x73\0\x77\x71\x2e\x63\0\x77\x71\x5f\x63\
\x62\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x74\x65\x73\x74\x5f\x68\x6d\x61\
\x70\x5f\x65\x6c\x65\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x77\x71\x5f\x63\
\x61\x6c\x6c\x62\x61\x63\x6b\0\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x61\x72\
\x72\x61\x79\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x6f\x6b\0\x6f\x6b\x5f\
\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x61\x72\x72\x61\x79\0\x62\x70\x66\x5f\
\x77\x71\x5f\x69\x6e\x69\x74\0\x62\x70\x66\x5f\x77\x71\x5f\x73\x65\x74\x5f\x63\
\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x69\x6d\x70\x6c\0\x62\x70\x66\x5f\x77\x71\x5f\
\x73\x74\x61\x72\x74\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\
\x5f\x74\x65\x73\x74\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x74\x65\x73\x74\
\x5f\x73\x79\x73\x63\x61\x6c\x6c\x5f\x61\x72\x72\x61\x79\x5f\x73\x6c\x65\x65\
\x70\x61\x62\x6c\x65\0\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x68\x61\x73\x68\
\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x68\x6d\x61\x70\0\x62\x70\x66\x5f\
\x6b\x66\x75\x6e\x63\x5f\x63\x6f\x6d\x6d\x6f\x6e\x5f\x74\x65\x73\x74\0\x74\x65\
\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x68\x61\x73\x68\x5f\x6d\x61\x6c\x6c\x6f\x63\
\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x68\x6d\x61\x70\x5f\x6d\x61\x6c\x6c\
\x6f\x63\0\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x6c\x72\x75\x5f\x73\x6c\x65\
\x65\x70\x61\x62\x6c\x65\0\x6c\x72\x75\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x72\x65\x6c\
\x73\x79\x73\x63\x61\x6c\x6c\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\x04\
\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\
\x02\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\x02\0\0\x03\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\x01\
\xe8\0\0\0\x62\x02\0\0\x03\0\0\0\0\0\0\x02\x50\0\0\0\0\0\0\0\x60\0\0\0\x6e\x12\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x80\0\0\0\x88\x11\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x04\0\0\0\x8b\x11\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x04\0\0\0\x98\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x9e\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaa\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xc3\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x10\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xee\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\x80\0\0\x01\x0b\x12\0\0\x04\0\0\0\0\0\0\x01\x80\0\0\0\0\0\0\0\x48\0\
\0\x01\x24\x11\0\0\x07\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x20\0\0\x01\x29\x10\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x3f\x12\0\0\x04\0\0\0\0\0\0\x01\xc8\
\0\0\0\0\0\0\0\x48\0\0\x01\x5f\x11\0\0\x07\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x28\
\0\0\x01\x6b\x12\0\0\x04\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\x01\xf0\0\0\x01\x83\
\x11\0\0\x07\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x20\0\0\x01\x87\x11\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\x61\x13\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x5e\x21\0\
\x08\0\0\0\0\xb4\x60\0\0\0\0\0\x01\x6c\x61\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\
\xff\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x4c\x26\0\0\0\0\0\
\0\x63\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x7a\xa0\xff\xf8\0\0\
\0\0\x7a\xa0\xff\xf0\0\0\0\0\x7a\xa0\xff\xe8\0\0\0\0\x7a\xa0\xff\xe0\0\0\0\0\
\x7a\xa0\xff\xd8\0\0\0\0\x7a\xa0\xff\xd0\0\0\0\0\x61\x42\0\0\0\0\0\0\xb4\x30\0\
\0\0\0\0\x01\x6c\x34\0\0\0\0\0\0\xb4\0\0\0\xff\xff\xff\xea\x18\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x61\x44\0\0\0\0\0\0\xbc\x53\0\0\0\0\0\0\x5c\x54\0\0\0\0\0\0\
\x56\x50\0\x2c\0\0\0\0\x18\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x44\0\0\0\0\0\0\
\x5c\x43\0\0\0\0\0\0\x56\x40\0\x27\0\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\
\xff\xff\xd0\xbf\x61\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\
\0\0\0\0\0\x02\xbf\x10\0\0\0\0\0\0\xb4\0\0\0\xff\xff\xff\xff\x55\x10\0\x1e\0\0\
\0\0\xbf\x16\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x26\0\0\0\
\0\0\0\xbf\x60\0\0\0\0\0\0\xb4\0\0\0\xff\xff\xff\xfe\x15\x60\0\x17\0\0\0\0\x07\
\x60\0\0\0\0\0\x20\xbf\x16\0\0\0\0\0\0\xb4\x30\0\0\0\0\0\0\x85\x01\0\0\xff\xff\
\xff\xff\xbc\x10\0\0\0\0\0\0\xb4\0\0\0\xff\xff\xff\xfd\x56\x10\0\x10\0\0\0\0\
\xb4\x70\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\x02\x50\0\0\0\0\0\0\0\
\0\xb4\x30\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbc\x10\
\0\0\0\0\0\0\xb4\0\0\0\xff\xff\xff\xfc\x56\x10\0\x06\0\0\0\0\xbf\x16\0\0\0\0\0\
\0\xb4\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x16\0\0\x01\0\0\0\0\xb4\x70\
\0\0\xff\xff\xff\xfb\xbc\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\
\x85\x01\0\0\xff\xff\xff\xff\x61\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x01\x6c\x21\
\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x31\0\0\0\0\0\0\x4c\x32\0\
\0\0\0\0\0\x63\x13\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\
\xff\xff\xff\xea\x62\xa0\xff\xfc\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x11\0\0\0\0\0\0\x54\x10\0\0\0\0\0\x01\x56\x10\0\x28\0\0\0\0\x18\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x54\x10\0\0\0\0\0\x01\x56\x10\0\x23\
\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\xb7\0\0\0\xff\xff\xff\
\xfe\x15\x60\0\x1b\0\0\0\0\x61\x1a\xff\xfc\0\0\0\0\x63\x61\0\0\0\0\0\0\x07\x60\
\0\0\0\0\0\x08\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x30\
\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbc\x10\0\0\0\0\0\0\xb7\0\0\0\xff\xff\
\xff\xfd\x56\x10\0\x10\0\0\0\0\xb7\x70\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x30\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\x01\0\
\0\xff\xff\xff\xff\xbc\x10\0\0\0\0\0\0\xb7\0\0\0\xff\xff\xff\xfc\x56\x10\0\x06\
\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\
\x16\0\0\x01\0\0\0\0\xb7\x70\0\0\xff\xff\xff\xfb\xbf\x07\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\x62\xa0\xff\xfc\0\0\0\x02\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\
\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\x01\0\0\0\0\0\x0c\xbc\x10\0\0\0\0\
\0\0\xbf\x01\0\x20\0\0\0\0\x95\0\0\0\0\0\0\0\x62\xa0\xff\xfc\0\0\0\x03\xbf\x2a\
\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\x01\0\0\0\0\0\x0c\xbc\x10\0\0\0\0\0\0\xbf\x01\0\x20\0\0\0\0\x95\0\0\0\0\0\
\0\0\xb7\0\0\0\xff\xff\xff\xea\x62\xa0\xff\xe4\0\0\0\x04\x7a\xa0\xff\xf8\0\0\0\
\0\x7a\xa0\xff\xf0\0\0\0\0\x7a\xa0\xff\xe8\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x61\x11\0\0\0\0\0\0\x54\x10\0\0\0\0\0\x10\x56\x10\0\x33\0\0\0\0\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x54\x10\0\0\0\0\0\x10\x56\
\x10\0\x2e\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xe4\xbf\x3a\0\0\
\0\0\0\0\x07\x30\0\0\xff\xff\xff\xe8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x02\xbf\x10\0\0\0\0\0\0\xb7\0\0\0\xff\xff\xff\
\xff\x55\x10\0\x23\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xe4\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\xb7\0\
\0\0\xff\xff\xff\xfe\x15\x60\0\x1b\0\0\0\0\x61\x1a\xff\xe4\0\0\0\0\x63\x61\0\0\
\0\0\0\0\x07\x60\0\0\0\0\0\x08\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xb4\x30\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbc\x10\0\0\0\0\0\0\
\xb7\0\0\0\xff\xff\xff\xfd\x56\x10\0\x10\0\0\0\0\xb7\x70\0\0\0\0\0\0\xbf\x16\0\
\0\0\0\0\0\x18\x20\0\0\0\0\x02\x50\0\0\0\0\0\0\0\0\xb4\x30\0\0\0\0\0\0\xb7\x40\
\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbc\x10\0\0\0\0\0\0\xb7\0\0\0\xff\xff\
\xff\xfc\x56\x10\0\x06\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\0\x85\x01\
\0\0\xff\xff\xff\xff\x16\0\0\x01\0\0\0\0\xb7\x70\0\0\xff\xff\xff\xfb\xbf\x07\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\xff\xff\xff\xea\x62\xa0\xff\xfc\0\0\0\
\x01\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x54\x10\0\0\0\0\0\
\x02\x56\x10\0\x28\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\
\0\0\x54\x10\0\0\0\0\0\x02\x56\x10\0\x23\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\
\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\
\x60\0\0\0\0\0\0\xb7\0\0\0\xff\xff\xff\xfe\x15\x60\0\x1b\0\0\0\0\x61\x1a\xff\
\xfc\0\0\0\0\x63\x61\0\0\0\0\0\0\x07\x60\0\0\0\0\0\x08\xbf\x16\0\0\0\0\0\0\x18\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x30\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\
\xff\xbc\x10\0\0\0\0\0\0\xb7\0\0\0\xff\xff\xff\xfd\x56\x10\0\x10\0\0\0\0\xb7\
\x70\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\
\x30\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbc\x10\0\0\0\
\0\0\0\xb7\0\0\0\xff\xff\xff\xfc\x56\x10\0\x06\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\
\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x16\0\0\x01\0\0\0\0\xb7\x70\0\0\
\xff\xff\xff\xfb\xbf\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x0f\0\0\0\x0a\0\0\
\0\0\0\0\0\x30\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\xb8\0\0\0\x09\0\0\0\x01\0\0\0\
\0\0\0\0\xe8\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\x01\xa8\0\0\0\x0c\0\0\0\x0a\0\0\0\
\0\0\0\x01\xd8\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\x01\xf8\0\0\0\x0d\0\0\0\x0a\0\0\
\0\0\0\0\x02\x28\0\0\0\x0e\0\0\0\x0a\0\0\0\0\0\0\x02\x58\0\0\0\x13\0\0\0\x0a\0\
\0\0\0\0\0\x02\x78\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\x09\0\0\0\x01\0\
\0\0\0\0\0\0\x38\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\x70\0\0\0\x0b\0\0\0\x01\0\0\
\0\0\0\0\0\xc0\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\xd8\0\0\0\x0c\0\0\0\x0a\0\0\0\
\0\0\0\x01\x08\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\x01\x28\0\0\0\x0d\0\0\0\x0a\0\0\
\0\0\0\0\x01\x58\0\0\0\x0e\0\0\0\x0a\0\0\0\0\0\0\x01\x98\0\0\0\x12\0\0\0\x01\0\
\0\0\0\0\0\x01\xa8\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\x01\xe0\0\0\0\x15\0\0\0\x01\
\0\0\0\0\0\0\x01\xf0\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\x02\x38\0\0\0\x09\0\0\0\
\x01\0\0\0\0\0\0\x02\x60\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\x02\xa8\0\0\0\x17\0\0\
\0\x01\0\0\0\0\0\0\x02\xf0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\x03\x40\0\0\0\x17\0\
\0\0\x01\0\0\0\0\0\0\x03\x58\0\0\0\x0c\0\0\0\x0a\0\0\0\0\0\0\x03\x88\0\0\0\x02\
\0\0\0\x01\0\0\0\0\0\0\x03\xa8\0\0\0\x0d\0\0\0\x0a\0\0\0\0\0\0\x03\xd8\0\0\0\
\x0e\0\0\0\x0a\0\0\0\0\0\0\0\x10\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\
\x0a\0\0\0\x01\0\0\0\0\0\0\0\x70\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\xc0\0\0\0\
\x0b\0\0\0\x01\0\0\0\0\0\0\0\xd8\0\0\0\x0c\0\0\0\x0a\0\0\0\0\0\0\x01\x08\0\0\0\
\x02\0\0\0\x01\0\0\0\0\0\0\x01\x28\0\0\0\x0d\0\0\0\x0a\0\0\0\0\0\0\x01\x58\0\0\
\0\x0e\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x06\x5c\0\0\x06\x5c\0\0\
\x07\x4c\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\
\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\x01\0\0\0\0\
\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\x07\0\0\
\0\x19\x04\0\0\x02\0\0\0\x18\0\0\0\x1e\0\0\0\x02\0\0\0\0\0\0\0\x28\0\0\0\x08\0\
\0\0\x40\0\0\0\x2a\x04\0\0\x01\0\0\0\x10\0\0\0\x31\0\0\0\x0b\0\0\0\0\0\0\0\x3a\
\x08\0\0\0\0\0\0\x0a\0\0\0\x40\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\x09\0\0\0\x04\0\0\0\x02\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x53\
\0\0\0\x01\0\0\0\0\0\0\0\x58\0\0\0\x01\0\0\0\x40\0\0\0\x64\0\0\0\x05\0\0\0\x80\
\0\0\0\x68\0\0\0\x06\0\0\0\xc0\0\0\0\x6e\x0e\0\0\0\0\0\0\x0c\0\0\0\x01\0\0\0\0\
\x02\0\0\0\0\0\0\x0f\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\
\0\0\0\x02\0\0\0\0\0\0\x11\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\
\x03\xe8\0\0\0\0\x02\0\0\0\0\0\0\x13\0\0\0\x74\x04\0\0\x04\0\0\0\x30\0\0\0\x7e\
\0\0\0\x02\0\0\0\0\0\0\0\x86\0\0\0\x14\0\0\0\x40\0\0\0\x8c\0\0\0\x15\0\0\0\xc0\
\0\0\0\x91\0\0\0\x08\0\0\x01\0\0\0\0\x96\x04\0\0\x01\0\0\0\x10\0\0\0\x31\0\0\0\
\x0b\0\0\0\0\0\0\0\xa0\x04\0\0\x01\0\0\0\x04\0\0\0\xae\0\0\0\x16\0\0\0\0\0\0\0\
\xb2\x08\0\0\0\0\0\0\x17\0\0\0\xb8\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x04\0\
\0\x04\0\0\0\x20\0\0\0\x53\0\0\0\x0e\0\0\0\0\0\0\0\x58\0\0\0\x10\0\0\0\x40\0\0\
\0\x64\0\0\0\x05\0\0\0\x80\0\0\0\x68\0\0\0\x12\0\0\0\xc0\0\0\0\xc5\x0e\0\0\0\0\
\0\0\x18\0\0\0\x01\0\0\0\0\x04\0\0\x05\0\0\0\x28\0\0\0\x53\0\0\0\x0e\0\0\0\0\0\
\0\0\xca\0\0\0\x0e\0\0\0\x40\0\0\0\x58\0\0\0\x10\0\0\0\x80\0\0\0\x64\0\0\0\x05\
\0\0\0\xc0\0\0\0\x68\0\0\0\x12\0\0\x01\0\0\0\0\xd4\x0e\0\0\0\0\0\0\x1a\0\0\0\
\x01\0\0\0\0\x02\0\0\0\0\0\0\x1d\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x09\0\0\0\0\x02\0\0\0\0\0\0\x1f\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\
\0\x04\0\0\0\x04\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x53\0\0\0\x1c\0\0\0\0\0\0\
\0\x58\0\0\0\x1e\0\0\0\x40\0\0\0\x64\0\0\0\x05\0\0\0\x80\0\0\0\x68\0\0\0\x06\0\
\0\0\xc0\0\0\0\xe0\x0e\0\0\0\0\0\0\x20\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\x0d\0\0\x01\0\0\0\x24\0\0\0\xe4\0\0\0\x22\0\0\0\xe8\x01\0\0\0\0\0\0\x08\
\x01\0\0\x40\0\0\0\xed\x0c\0\0\x01\0\0\0\x23\0\0\x01\x07\x11\0\0\0\0\0\0\x25\
\xff\xff\xff\xff\0\0\0\0\x0d\0\0\x03\0\0\0\x02\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\
\x22\0\0\0\0\0\0\0\x17\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\x01\x1d\x0c\0\0\x02\0\0\
\0\x27\0\0\0\0\x0d\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x2b\0\0\0\
\0\0\0\0\x17\0\0\0\0\0\0\0\x22\0\0\0\0\x02\0\0\0\0\0\0\x2c\0\0\0\0\x0d\0\0\x03\
\0\0\0\x02\0\0\0\0\0\0\0\x22\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\x22\0\0\x01\x29\
\x0c\0\0\x02\0\0\0\x2a\0\0\0\0\x0d\0\0\x02\0\0\0\x02\0\0\0\0\0\0\0\x28\0\0\0\0\
\0\0\0\x17\0\0\x01\x42\x0c\0\0\x02\0\0\0\x2e\0\0\0\0\x0d\0\0\x03\0\0\0\x02\0\0\
\x01\x4f\0\0\0\x22\0\0\0\x64\0\0\0\x05\0\0\0\x68\0\0\0\x22\0\0\x01\x53\x0c\0\0\
\0\0\0\0\x30\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\x01\x63\x0c\0\0\x02\0\0\0\x32\0\0\
\x01\x81\x0c\0\0\x01\0\0\0\x23\0\0\x01\x07\x11\0\0\0\0\0\0\x34\xff\xff\xff\xff\
\0\0\x01\x9e\x0c\0\0\x01\0\0\0\x23\0\0\x01\x07\x11\0\0\0\0\0\0\x36\xff\xff\xff\
\xff\0\0\0\0\x0d\0\0\x03\0\0\0\x02\0\0\x01\x4f\0\0\0\x22\0\0\0\x64\0\0\0\x05\0\
\0\x01\xb7\0\0\0\x2b\0\0\x01\xc3\x0c\0\0\0\0\0\0\x38\0\0\x01\xdb\x0c\0\0\0\0\0\
\0\x30\0\0\x01\xe7\x0c\0\0\x02\0\0\0\x32\0\0\x01\xfd\x0c\0\0\x01\0\0\0\x23\0\0\
\x01\x07\x11\0\0\0\0\0\0\x3c\xff\xff\xff\xff\0\0\x02\x1d\x0c\0\0\x01\0\0\0\x23\
\0\0\x01\x07\x11\0\0\0\0\0\0\x3e\xff\xff\xff\xff\0\0\x02\x35\x01\0\0\0\0\0\0\
\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x04\0\0\0\x04\0\0\
\x02\x3a\x0e\0\0\0\0\0\0\x41\0\0\0\x01\0\0\x02\x43\x0e\0\0\0\0\0\0\x16\0\0\0\
\x01\0\0\x02\x46\x0e\0\0\0\0\0\0\x16\0\0\0\x01\0\0\x07\x21\x0f\0\0\x01\0\0\0\
\x04\0\0\0\x42\0\0\0\0\0\0\0\x04\0\0\x07\x29\x0f\0\0\x04\0\0\0\x88\0\0\0\x0d\0\
\0\0\0\0\0\0\x20\0\0\0\x19\0\0\0\x20\0\0\0\x20\0\0\0\x1b\0\0\0\x40\0\0\0\x28\0\
\0\0\x21\0\0\0\x68\0\0\0\x20\0\0\x07\x2f\x0f\0\0\x02\0\0\0\x08\0\0\0\x43\0\0\0\
\0\0\0\0\x04\0\0\0\x44\0\0\0\x04\0\0\0\x04\0\0\x07\x34\x0f\0\0\x05\0\0\0\0\0\0\
\0\x29\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\0\0\0\0\0\0\0\
\0\x33\0\0\0\0\0\0\0\0\0\0\0\x3b\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x65\x6c\x65\
\x6d\0\x6f\x6b\x5f\x6f\x66\x66\x73\x65\x74\0\x77\0\x62\x70\x66\x5f\x77\x71\0\
\x5f\x5f\x6f\x70\x61\x71\x75\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\
\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\
\x61\x72\x72\x61\x79\0\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\0\x63\x6f\x75\x6e\
\x74\x65\x72\0\x74\x69\x6d\x65\x72\0\x6c\x6f\x63\x6b\0\x77\x6f\x72\x6b\0\x62\
\x70\x66\x5f\x74\x69\x6d\x65\x72\0\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\
\x63\x6b\0\x76\x61\x6c\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x68\x6d\x61\x70\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x68\
\x6d\x61\x70\x5f\x6d\x61\x6c\x6c\x6f\x63\0\x6c\x72\x75\0\x63\x74\x78\0\x6c\x6f\
\x6e\x67\0\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x61\x72\x72\x61\x79\x5f\x73\
\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\0\x62\x70\x66\x5f\x77\x71\x5f\x69\x6e\
\x69\x74\0\x62\x70\x66\x5f\x77\x71\x5f\x73\x65\x74\x5f\x63\x61\x6c\x6c\x62\x61\
\x63\x6b\x5f\x69\x6d\x70\x6c\0\x62\x70\x66\x5f\x77\x71\x5f\x73\x74\x61\x72\x74\
\0\x6d\x61\x70\0\x77\x71\x5f\x63\x62\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\
\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\
\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x74\x65\x73\x74\x5f\x73\x79\x73\x63\
\x61\x6c\x6c\x5f\x61\x72\x72\x61\x79\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\
\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x68\x61\x73\x68\x5f\x73\x6c\x65\x65\
\x70\x61\x62\x6c\x65\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x66\x6e\0\x74\x65\
\x73\x74\x5f\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x5f\x63\x61\x6c\x6c\x62\x61\
\x63\x6b\0\x77\x71\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x62\x70\x66\x5f\x6b\
\x66\x75\x6e\x63\x5f\x63\x6f\x6d\x6d\x6f\x6e\x5f\x74\x65\x73\x74\0\x74\x65\x73\
\x74\x5f\x63\x61\x6c\x6c\x5f\x68\x61\x73\x68\x5f\x6d\x61\x6c\x6c\x6f\x63\x5f\
\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\
\x6c\x72\x75\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x63\x68\x61\x72\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x6f\x6b\0\x6f\x6b\x5f\x73\x6c\x65\x65\x70\x61\
\x62\x6c\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x39\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x35\x39\x32\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x77\x71\x2e\x63\0\x09\x69\
\x6e\x74\x20\x6f\x66\x66\x73\x65\x74\x20\x3d\x20\x64\x61\x74\x61\x2d\x3e\x6f\
\x6b\x5f\x6f\x66\x66\x73\x65\x74\x3b\0\x09\x69\x66\x20\x28\x2a\x6b\x65\x79\x20\
\x21\x3d\x20\x6f\x66\x66\x73\x65\x74\x29\0\x09\x6f\x6b\x5f\x73\x6c\x65\x65\x70\
\x61\x62\x6c\x65\x20\x7c\x3d\x20\x28\x31\x20\x3c\x3c\x20\x6f\x66\x66\x73\x65\
\x74\x29\x3b\0\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\
\x74\x65\x73\x74\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x28\x29\x3b\0\x7d\0\
\x09\x73\x74\x72\x75\x63\x74\x20\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x20\x69\
\x6e\x69\x74\x20\x3d\x20\x7b\x7d\x2c\x20\x2a\x76\x61\x6c\x3b\0\x09\x69\x66\x20\
\x28\x28\x6f\x6b\x20\x26\x20\x28\x31\x20\x3c\x3c\x20\x2a\x6b\x65\x79\x29\x20\
\x7c\x7c\0\x09\x20\x20\x20\x20\x28\x6f\x6b\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\
\x65\x20\x26\x20\x28\x31\x20\x3c\x3c\x20\x2a\x6b\x65\x79\x29\x29\x29\x29\0\x09\
\x69\x66\x20\x28\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\
\x65\x6c\x65\x6d\x28\x6d\x61\x70\x2c\x20\x6b\x65\x79\x2c\x20\x26\x69\x6e\x69\
\x74\x2c\x20\x30\x29\x29\0\x09\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\
\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x6d\x61\x70\x2c\x20\
\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x76\x61\x6c\x29\0\x09\x77\x71\
\x20\x3d\x20\x26\x76\x61\x6c\x2d\x3e\x77\x6f\x72\x6b\x3b\0\x09\x69\x66\x20\x28\
\x62\x70\x66\x5f\x77\x71\x5f\x69\x6e\x69\x74\x28\x77\x71\x2c\x20\x6d\x61\x70\
\x2c\x20\x30\x29\x20\x21\x3d\x20\x30\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\
\x77\x71\x5f\x73\x65\x74\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x28\x77\x71\x2c\
\x20\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x66\x6e\x2c\x20\x30\x29\x29\0\x09\x69\
\x66\x20\x28\x62\x70\x66\x5f\x77\x71\x5f\x73\x74\x61\x72\x74\x28\x77\x71\x2c\
\x20\x30\x29\x29\0\x73\x74\x61\x74\x69\x63\x20\x69\x6e\x74\x20\x77\x71\x5f\x63\
\x61\x6c\x6c\x62\x61\x63\x6b\x28\x76\x6f\x69\x64\x20\x2a\x6d\x61\x70\x2c\x20\
\x69\x6e\x74\x20\x2a\x6b\x65\x79\x2c\x20\x76\x6f\x69\x64\x20\x2a\x76\x61\x6c\
\x75\x65\x29\0\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x6f\x6d\x6d\x6f\
\x6e\x5f\x74\x65\x73\x74\x28\x29\x3b\0\x09\x6f\x6b\x20\x7c\x3d\x20\x28\x31\x20\
\x3c\x3c\x20\x2a\x6b\x65\x79\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\
\0\x6c\x6f\x6e\x67\x20\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x61\x72\x72\x61\
\x79\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\
\x74\x78\x29\0\x09\x69\x6e\x74\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\x76\
\x61\x6c\x2d\x3e\x6f\x6b\x5f\x6f\x66\x66\x73\x65\x74\x20\x3d\x20\x2a\x6b\x65\
\x79\x3b\0\x09\x77\x71\x20\x3d\x20\x26\x76\x61\x6c\x2d\x3e\x77\x3b\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x74\x65\x73\x74\x5f\x65\x6c\x65\x6d\x5f\x63\x61\x6c\
\x6c\x62\x61\x63\x6b\x28\x26\x61\x72\x72\x61\x79\x2c\x20\x26\x6b\x65\x79\x2c\
\x20\x77\x71\x5f\x63\x62\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x29\x3b\0\x09\
\x69\x6e\x74\x20\x6b\x65\x79\x20\x3d\x20\x32\x3b\0\x09\x72\x65\x74\x75\x72\x6e\
\x20\x74\x65\x73\x74\x5f\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x5f\x63\x61\x6c\
\x6c\x62\x61\x63\x6b\x28\x26\x68\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x2c\x20\
\x77\x71\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x29\x3b\0\x09\x69\x6e\x74\x20\x6b\
\x65\x79\x20\x3d\x20\x33\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x74\x65\x73\x74\
\x5f\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\
\x28\x26\x68\x6d\x61\x70\x5f\x6d\x61\x6c\x6c\x6f\x63\x2c\x20\x26\x6b\x65\x79\
\x2c\x20\x77\x71\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x29\x3b\0\x6c\x6f\x6e\x67\
\x20\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x6c\x72\x75\x5f\x73\x6c\x65\x65\
\x70\x61\x62\x6c\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x69\x6e\
\x74\x20\x6b\x65\x79\x20\x3d\x20\x34\x3b\0\x09\x73\x74\x72\x75\x63\x74\x20\x65\
\x6c\x65\x6d\x20\x69\x6e\x69\x74\x20\x3d\x20\x7b\x7d\x2c\x20\x2a\x76\x61\x6c\
\x3b\0\x09\x20\x20\x20\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\
\x65\x5f\x65\x6c\x65\x6d\x28\x6d\x61\x70\x2c\x20\x6b\x65\x79\x2c\x20\x26\x69\
\x6e\x69\x74\x2c\x20\x30\x29\x29\0\x09\x69\x66\x20\x28\x6d\x61\x70\x20\x3d\x3d\
\x20\x26\x6c\x72\x75\x20\x26\x26\0\x09\x72\x65\x74\x75\x72\x6e\x20\x74\x65\x73\
\x74\x5f\x65\x6c\x65\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x28\x26\x6c\x72\
\x75\x2c\x20\x26\x6b\x65\x79\x2c\x20\x77\x71\x5f\x63\x61\x6c\x6c\x62\x61\x63\
\x6b\x29\x3b\0\x6c\x6f\x6e\x67\x20\x74\x65\x73\x74\x5f\x73\x79\x73\x63\x61\x6c\
\x6c\x5f\x61\x72\x72\x61\x79\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x28\x76\
\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x69\x6e\x74\x20\x6b\x65\x79\x20\x3d\
\x20\x31\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x2e\x62\x73\
\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\x74\0\x74\x63\0\x73\x79\x73\
\x63\x61\x6c\x6c\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x5c\0\0\0\x5c\0\0\x05\
\xfc\0\0\x06\x58\0\0\0\0\0\0\0\x08\0\0\x07\x3b\0\0\0\x03\0\0\0\0\0\0\0\x31\0\0\
\0\x68\0\0\0\x39\0\0\x02\x50\0\0\0\x3a\0\0\x07\x41\0\0\0\x04\0\0\0\0\0\0\0\x25\
\0\0\x01\x80\0\0\0\x36\0\0\x01\xc8\0\0\0\x3c\0\0\x02\x10\0\0\0\x3e\0\0\x07\x44\
\0\0\0\x01\0\0\0\0\0\0\0\x34\0\0\0\x10\0\0\x07\x3b\0\0\0\x1f\0\0\0\0\0\0\x02\
\x53\0\0\x02\xc1\0\x02\x0c\x15\0\0\0\x08\0\0\x02\x53\0\0\x02\xe0\0\x02\x14\x06\
\0\0\0\x10\0\0\x02\x53\0\0\x02\xe0\0\x02\x14\x0b\0\0\0\x20\0\0\x02\x53\0\0\x02\
\xf5\0\x02\x24\x15\0\0\0\x28\0\0\x02\x53\0\0\x03\x15\0\x02\x20\x02\0\0\0\x30\0\
\0\x02\x53\0\0\x02\xf5\0\x02\x24\x0f\0\0\0\x58\0\0\x02\x53\0\0\x03\x37\0\x02\
\x2c\x01\0\0\0\x68\0\0\x02\x53\0\0\x03\x39\0\x01\x70\x13\0\0\0\x98\0\0\x02\x53\
\0\0\x03\x5c\0\x01\x7c\x12\0\0\0\xa8\0\0\x02\x53\0\0\x03\x5c\0\x01\x7c\x0f\0\0\
\0\xb8\0\0\x02\x53\0\0\x03\x5c\0\x01\x7c\x07\0\0\0\xd0\0\0\x02\x53\0\0\x03\x5c\
\0\x01\x7c\x0a\0\0\0\xe0\0\0\x02\x53\0\0\x03\x5c\0\x01\x7c\x18\0\0\0\xe8\0\0\
\x02\x53\0\0\x03\x76\0\x01\x80\x07\0\0\x01\0\0\0\x02\x53\0\0\x03\x76\0\x01\x80\
\x14\0\0\x01\x08\0\0\x02\x53\0\0\x03\x5c\0\x01\x7c\x06\0\0\x01\x30\0\0\x02\x53\
\0\0\x03\x9a\0\x01\x8c\x06\0\0\x01\x58\0\0\x02\x53\0\0\x03\xc8\0\x01\x98\x08\0\
\0\x01\x88\0\0\x02\x53\0\0\x03\xee\0\x01\x9c\x06\0\0\x01\x90\0\0\x02\x53\0\0\
\x03\xf9\0\x01\xa8\x0d\0\0\x01\x98\0\0\x02\x53\0\0\x04\x0b\0\x01\xac\x06\0\0\
\x01\xc0\0\0\x02\x53\0\0\x04\x0b\0\x01\xac\x1e\0\0\x01\xd0\0\0\x02\x53\0\0\x04\
\x2e\0\x01\xb8\x06\0\0\x02\x18\0\0\x02\x53\0\0\x04\x5c\0\x01\xc4\x06\0\0\x02\
\x48\0\0\x02\x53\0\0\x03\x37\0\x01\xd4\x01\0\0\x02\x50\0\0\x02\x53\0\0\x04\x76\
\0\x01\xe0\0\0\0\x02\x58\0\0\x02\x53\0\0\x04\xaf\0\x01\xe8\x02\0\0\x02\x60\0\0\
\x02\x53\0\0\x04\xc9\0\x01\xec\x0e\0\0\x02\x70\0\0\x02\x53\0\0\x04\xc9\0\x01\
\xec\x0b\0\0\x02\x78\0\0\x02\x53\0\0\x04\xc9\0\x01\xec\x05\0\0\x02\xa0\0\0\x02\
\x53\0\0\x04\xdd\0\x01\xf0\x02\0\0\x07\x41\0\0\0\x2d\0\0\0\0\0\0\x02\x53\0\0\
\x04\xe8\0\x02\x40\0\0\0\0\x08\0\0\x02\x53\0\0\x05\x12\0\x02\x48\x06\0\0\0\x10\
\0\0\x02\x53\0\0\x03\x5c\0\0\xf8\x07\0\0\0\x28\0\0\x02\x53\0\0\x03\x5c\0\0\xf8\
\x0a\0\0\0\x30\0\0\x02\x53\0\0\x03\x5c\0\0\xf8\x18\0\0\0\x38\0\0\x02\x53\0\0\
\x03\x76\0\0\xfc\x07\0\0\0\x50\0\0\x02\x53\0\0\x03\x76\0\0\xfc\x14\0\0\0\x58\0\
\0\x02\x53\0\0\x03\x5c\0\0\xf8\x06\0\0\0\x70\0\0\x02\x53\0\0\x03\xc8\0\x01\x18\
\x08\0\0\0\x98\0\0\x02\x53\0\0\x03\xee\0\x01\x1c\x06\0\0\0\xa0\0\0\x02\x53\0\0\
\x05\x20\0\x01\x28\x13\0\0\0\xa8\0\0\x02\x53\0\0\x05\x20\0\x01\x28\x11\0\0\0\
\xb0\0\0\x02\x53\0\0\x05\x38\0\x01\x30\x0d\0\0\0\xb8\0\0\x02\x53\0\0\x04\x0b\0\
\x01\x34\x06\0\0\0\xf0\0\0\x02\x53\0\0\x04\x0b\0\x01\x34\x1e\0\0\x01\0\0\0\x02\
\x53\0\0\x04\x2e\0\x01\x40\x06\0\0\x01\x48\0\0\x02\x53\0\0\x04\x5c\0\x01\x4c\
\x06\0\0\x01\x78\0\0\x02\x53\0\0\x05\x47\0\x02\x50\x02\0\0\x01\x80\0\0\x02\x53\
\0\0\x05\x82\0\x02\x98\x06\0\0\x01\x98\0\0\x02\x53\0\0\x05\x90\0\x02\xa0\x09\0\
\0\x01\xc0\0\0\x02\x53\0\0\x05\x90\0\x02\xa0\x02\0\0\x01\xc8\0\0\x02\x53\0\0\
\x05\xcb\0\x02\xc0\x06\0\0\x01\xe0\0\0\x02\x53\0\0\x05\xd9\0\x02\xc8\x09\0\0\
\x02\x08\0\0\x02\x53\0\0\x05\xd9\0\x02\xc8\x02\0\0\x02\x10\0\0\x02\x53\0\0\x06\
\x1b\0\x02\xe0\0\0\0\x02\x18\0\0\x02\x53\0\0\x06\x43\0\x02\xe8\x06\0\0\x02\x20\
\0\0\x02\x53\0\0\x06\x51\0\0\xec\x0e\0\0\x02\x38\0\0\x02\x53\0\0\x03\x5c\0\0\
\xf8\x07\0\0\x02\x50\0\0\x02\x53\0\0\x03\x5c\0\0\xf8\x0a\0\0\x02\x58\0\0\x02\
\x53\0\0\x03\x5c\0\0\xf8\x18\0\0\x02\x60\0\0\x02\x53\0\0\x03\x76\0\0\xfc\x07\0\
\0\x02\x78\0\0\x02\x53\0\0\x03\x76\0\0\xfc\x14\0\0\x02\x80\0\0\x02\x53\0\0\x03\
\x5c\0\0\xf8\x06\0\0\x02\xa8\0\0\x02\x53\0\0\x06\x6f\0\x01\x0c\x06\0\0\x02\xd8\
\0\0\x02\x53\0\0\x06\x9d\0\x01\x08\x12\0\0\x02\xf0\0\0\x02\x53\0\0\x03\xc8\0\
\x01\x18\x08\0\0\x03\x18\0\0\x02\x53\0\0\x03\xee\0\x01\x1c\x06\0\0\x03\x20\0\0\
\x02\x53\0\0\x05\x20\0\x01\x28\x13\0\0\x03\x28\0\0\x02\x53\0\0\x05\x20\0\x01\
\x28\x11\0\0\x03\x30\0\0\x02\x53\0\0\x05\x38\0\x01\x30\x0d\0\0\x03\x38\0\0\x02\
\x53\0\0\x04\x0b\0\x01\x34\x06\0\0\x03\x70\0\0\x02\x53\0\0\x04\x0b\0\x01\x34\
\x1e\0\0\x03\x80\0\0\x02\x53\0\0\x04\x2e\0\x01\x40\x06\0\0\x03\xc8\0\0\x02\x53\
\0\0\x04\x5c\0\x01\x4c\x06\0\0\x03\xf8\0\0\x02\x53\0\0\x06\xb1\0\x02\xf0\x02\0\
\0\x07\x44\0\0\0\x12\0\0\0\0\0\0\x02\x53\0\0\x06\xe6\0\x02\x68\0\0\0\0\x08\0\0\
\x02\x53\0\0\x07\x13\0\x02\x70\x06\0\0\0\x10\0\0\x02\x53\0\0\x03\x5c\0\0\xf8\
\x07\0\0\0\x28\0\0\x02\x53\0\0\x03\x5c\0\0\xf8\x0a\0\0\0\x30\0\0\x02\x53\0\0\
\x03\x5c\0\0\xf8\x18\0\0\0\x38\0\0\x02\x53\0\0\x03\x76\0\0\xfc\x07\0\0\0\x50\0\
\0\x02\x53\0\0\x03\x76\0\0\xfc\x14\0\0\0\x58\0\0\x02\x53\0\0\x03\x5c\0\0\xf8\
\x06\0\0\0\x70\0\0\x02\x53\0\0\x03\xc8\0\x01\x18\x08\0\0\0\x98\0\0\x02\x53\0\0\
\x03\xee\0\x01\x1c\x06\0\0\0\xa0\0\0\x02\x53\0\0\x05\x20\0\x01\x28\x13\0\0\0\
\xa8\0\0\x02\x53\0\0\x05\x20\0\x01\x28\x11\0\0\0\xb0\0\0\x02\x53\0\0\x05\x38\0\
\x01\x30\x0d\0\0\0\xb8\0\0\x02\x53\0\0\x04\x0b\0\x01\x34\x06\0\0\0\xf0\0\0\x02\
\x53\0\0\x04\x0b\0\x01\x34\x1e\0\0\x01\0\0\0\x02\x53\0\0\x04\x2e\0\x01\x40\x06\
\0\0\x01\x48\0\0\x02\x53\0\0\x04\x5c\0\x01\x4c\x06\0\0\x01\x78\0\0\x02\x53\0\0\
\x05\x47\0\x02\x78\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\x01\xbb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\x02\x58\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x58\0\0\0\0\0\0\x02\xb0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x07\x08\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x0b\x08\0\0\0\0\0\0\x01\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0c\x88\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\x2a\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x90\0\0\0\
\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\
\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x18\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x01\x90\0\0\0\x09\0\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x18\0\0\0\0\0\0\0\xa0\0\0\0\x02\0\0\
\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x9a\0\0\0\x09\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\xb8\0\0\0\0\0\0\x01\x50\0\0\0\x02\0\0\0\
\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\xa1\0\0\0\x09\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x08\0\0\0\0\0\0\0\x80\0\0\0\x02\0\0\0\x05\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\xad\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x88\0\0\0\0\0\0\x0d\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\xb2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x1d\x48\0\0\0\0\0\0\x06\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct wq *wq::open(const struct bpf_object_open_opts *opts) { return wq__open_opts(opts); }
struct wq *wq::open_and_load() { return wq__open_and_load(); }
int wq::load(struct wq *skel) { return wq__load(skel); }
int wq::attach(struct wq *skel) { return wq__attach(skel); }
void wq::detach(struct wq *skel) { wq__detach(skel); }
void wq::destroy(struct wq *skel) { wq__destroy(skel); }
const void *wq::elf_bytes(size_t *sz) { return wq__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
wq__assert(struct wq *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->ok) == 4, "unexpected size of 'ok'");
	_Static_assert(sizeof(s->bss->ok_sleepable) == 4, "unexpected size of 'ok_sleepable'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __WQ_SKEL_H__ */
