/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __SOCKOPT_QOS_TO_CC_SKEL_H__
#define __SOCKOPT_QOS_TO_CC_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct sockopt_qos_to_cc {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata_cst16;
	} maps;
	struct {
		struct bpf_program *sockopt_qos_to_cc;
	} progs;
	struct {
		struct bpf_link *sockopt_qos_to_cc;
	} links;
	struct sockopt_qos_to_cc__bss {
		__s32 page_size;
	} *bss;

#ifdef __cplusplus
	static inline struct sockopt_qos_to_cc *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct sockopt_qos_to_cc *open_and_load();
	static inline int load(struct sockopt_qos_to_cc *skel);
	static inline int attach(struct sockopt_qos_to_cc *skel);
	static inline void detach(struct sockopt_qos_to_cc *skel);
	static inline void destroy(struct sockopt_qos_to_cc *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
sockopt_qos_to_cc__destroy(struct sockopt_qos_to_cc *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
sockopt_qos_to_cc__create_skeleton(struct sockopt_qos_to_cc *obj);

static inline struct sockopt_qos_to_cc *
sockopt_qos_to_cc__open_opts(const struct bpf_object_open_opts *opts)
{
	struct sockopt_qos_to_cc *obj;
	int err;

	obj = (struct sockopt_qos_to_cc *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = sockopt_qos_to_cc__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	sockopt_qos_to_cc__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct sockopt_qos_to_cc *
sockopt_qos_to_cc__open(void)
{
	return sockopt_qos_to_cc__open_opts(NULL);
}

static inline int
sockopt_qos_to_cc__load(struct sockopt_qos_to_cc *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct sockopt_qos_to_cc *
sockopt_qos_to_cc__open_and_load(void)
{
	struct sockopt_qos_to_cc *obj;
	int err;

	obj = sockopt_qos_to_cc__open();
	if (!obj)
		return NULL;
	err = sockopt_qos_to_cc__load(obj);
	if (err) {
		sockopt_qos_to_cc__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
sockopt_qos_to_cc__attach(struct sockopt_qos_to_cc *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
sockopt_qos_to_cc__detach(struct sockopt_qos_to_cc *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *sockopt_qos_to_cc__elf_bytes(size_t *sz);

static inline int
sockopt_qos_to_cc__create_skeleton(struct sockopt_qos_to_cc *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "sockopt_qos_to_cc";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "sockopt_.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = ".rodata.cst16";
	map->map = &obj->maps.rodata_cst16;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "sockopt_qos_to_cc";
	s->progs[0].prog = &obj->progs.sockopt_qos_to_cc;
	s->progs[0].link = &obj->links.sockopt_qos_to_cc;

	s->data = sockopt_qos_to_cc__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *sockopt_qos_to_cc__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x78\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\x72\
\x6f\x75\x70\x2f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\x2e\x63\x73\x74\x31\
\x36\0\x73\x6f\x63\x6b\x6f\x70\x74\x5f\x71\x6f\x73\x5f\x74\x6f\x5f\x63\x63\x2e\
\x63\0\x73\x6f\x63\x6b\x6f\x70\x74\x5f\x71\x6f\x73\x5f\x74\x6f\x5f\x63\x63\0\
\x70\x61\x67\x65\x5f\x73\x69\x7a\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x2f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\
\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\x04\0\xff\xf1\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x52\
\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x18\0\0\0\x64\x11\0\0\x05\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x6e\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\x79\x61\0\x08\0\0\0\0\x79\x21\0\x10\0\0\0\0\xb7\x30\0\0\0\0\0\0\x7b\xa3\
\xff\xe8\0\0\0\0\x18\x30\0\0\0\0\0\0\0\0\0\0\x72\x65\x6e\x6f\x7b\xa3\xff\xe0\0\
\0\0\0\x61\x31\0\x18\0\0\0\0\x55\x30\0\x2d\0\0\0\x29\x61\x31\0\x1c\0\0\0\0\x55\
\x30\0\x2b\0\0\0\x43\xb7\0\0\0\0\0\0\0\xbf\x36\0\0\0\0\0\0\x07\x30\0\0\0\0\0\
\x04\x2d\x32\0\x33\0\0\0\0\x79\x21\0\0\0\0\0\0\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\
\xff\xff\xff\xf0\xbf\x71\0\0\0\0\0\0\xbf\x12\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x06\
\xb7\x30\0\0\0\0\0\x0d\xb7\x50\0\0\0\0\0\x10\x85\0\0\0\0\0\0\x39\xbf\x27\0\0\0\
\0\0\0\xbf\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x55\x10\0\x26\0\0\0\0\x71\x1a\xff\
\xf0\0\0\0\0\x55\x10\0\x24\0\0\0\x63\x71\x1a\xff\xf1\0\0\0\0\x55\x10\0\x22\0\0\
\0\x75\x71\x1a\xff\xf2\0\0\0\0\x55\x10\0\x20\0\0\0\x62\x71\x1a\xff\xf3\0\0\0\0\
\x55\x10\0\x1e\0\0\0\x69\x71\x1a\xff\xf4\0\0\0\0\x55\x10\0\x1c\0\0\0\x63\x71\
\x1a\xff\xf5\0\0\0\0\x55\x10\0\x1a\0\0\0\0\x61\x16\0\0\0\0\0\0\x55\x10\0\x0a\0\
\0\0\x2d\x79\x12\0\0\0\0\0\0\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xe0\
\xb7\x20\0\0\0\0\0\x06\xb7\x30\0\0\0\0\0\x0d\xb7\x50\0\0\0\0\0\x10\x85\0\0\0\0\
\0\0\x31\xbf\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x55\x10\0\x0e\0\0\0\0\xb7\0\0\0\
\0\0\0\x01\x05\0\0\x0c\0\0\0\0\xb7\0\0\0\0\0\0\x01\x18\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x61\x22\0\0\0\0\0\0\x67\x20\0\0\0\0\0\x20\xc7\x20\0\0\0\0\0\x20\x61\
\x31\0\x20\0\0\0\0\x67\x30\0\0\0\0\0\x20\xc7\x30\0\0\0\0\0\x20\xdd\x32\0\x02\0\
\0\0\0\xb7\x20\0\0\0\0\0\0\x63\x12\0\x20\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\
\0\x72\x65\x6e\x6f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xb8\0\0\0\
\x04\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x01\x9c\0\0\x01\x9c\0\0\x03\
\x5d\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x04\0\0\x07\0\0\0\x28\0\0\0\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x40\0\0\0\0\0\0\0\x07\0\0\0\x80\0\0\0\x0d\
\0\0\0\x08\0\0\0\xc0\0\0\0\x13\0\0\0\x08\0\0\0\xe0\0\0\0\x1b\0\0\0\x08\0\0\x01\
\0\0\0\0\x22\0\0\0\x08\0\0\x01\x20\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\0\x29\0\0\
\0\x04\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x11\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\0\
\x2c\0\0\0\x06\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\x01\0\0\0\x08\
\0\0\0\x33\0\0\0\x06\0\0\0\0\0\0\0\x3e\x08\0\0\0\0\0\0\x09\0\0\0\x44\x01\0\0\0\
\0\0\0\x04\x01\0\0\x20\0\0\0\0\x0d\0\0\x01\0\0\0\x09\0\0\0\x48\0\0\0\x01\0\0\0\
\x4c\x0c\0\0\x01\0\0\0\x0a\0\0\0\x5e\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x0e\0\0\0\x04\0\0\0\x63\x01\0\0\0\0\0\0\x04\
\0\0\0\x20\0\0\0\x77\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\x80\x0e\0\0\0\0\0\0\
\x08\0\0\0\x01\0\0\0\x8a\x07\0\0\0\0\0\0\0\0\0\x03\x3e\x0f\0\0\x01\0\0\0\x04\0\
\0\0\x0f\0\0\0\0\0\0\0\x04\0\0\x03\x46\x0f\0\0\x01\0\0\0\x04\0\0\0\x10\0\0\0\0\
\0\0\0\x04\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x6f\x70\x74\0\x6c\x65\x76\x65\x6c\
\0\x6f\x70\x74\x6e\x61\x6d\x65\0\x6f\x70\x74\x6c\x65\x6e\0\x72\x65\x74\x76\x61\
\x6c\0\x73\x6b\0\x6f\x70\x74\x76\x61\x6c\0\x6f\x70\x74\x76\x61\x6c\x5f\x65\x6e\
\x64\0\x5f\x5f\x73\x33\x32\0\x69\x6e\x74\0\x63\x74\x78\0\x73\x6f\x63\x6b\x6f\
\x70\x74\x5f\x71\x6f\x73\x5f\x74\x6f\x5f\x63\x63\0\x63\x68\x61\x72\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x70\x61\x67\x65\x5f\x73\x69\x7a\x65\0\x62\x70\x66\
\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\
\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x35\x39\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x35\x39\x32\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x73\x6f\x63\x6b\
\x6f\x70\x74\x5f\x71\x6f\x73\x5f\x74\x6f\x5f\x63\x63\x2e\x63\0\x09\x69\x6e\x74\
\x20\x2a\x6f\x70\x74\x76\x61\x6c\x20\x3d\x20\x63\x74\x78\x2d\x3e\x6f\x70\x74\
\x76\x61\x6c\x3b\0\x09\x76\x6f\x69\x64\x20\x2a\x6f\x70\x74\x76\x61\x6c\x5f\x65\
\x6e\x64\x20\x3d\x20\x63\x74\x78\x2d\x3e\x6f\x70\x74\x76\x61\x6c\x5f\x65\x6e\
\x64\x3b\0\x09\x63\x68\x61\x72\x20\x63\x63\x5f\x72\x65\x6e\x6f\x5b\x54\x43\x50\
\x5f\x43\x41\x5f\x4e\x41\x4d\x45\x5f\x4d\x41\x58\x5d\x20\x3d\x20\x22\x72\x65\
\x6e\x6f\x22\x3b\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x6c\x65\x76\x65\x6c\
\x20\x21\x3d\x20\x53\x4f\x4c\x5f\x49\x50\x56\x36\x20\x7c\x7c\x20\x63\x74\x78\
\x2d\x3e\x6f\x70\x74\x6e\x61\x6d\x65\x20\x21\x3d\x20\x49\x50\x56\x36\x5f\x54\
\x43\x4c\x41\x53\x53\x29\0\x09\x69\x66\x20\x28\x6f\x70\x74\x76\x61\x6c\x20\x2b\
\x20\x31\x20\x3e\x20\x6f\x70\x74\x76\x61\x6c\x5f\x65\x6e\x64\x29\0\x09\x69\x66\
\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\
\x78\x2d\x3e\x73\x6b\x2c\x20\x53\x4f\x4c\x5f\x54\x43\x50\x2c\x20\x54\x43\x50\
\x5f\x43\x4f\x4e\x47\x45\x53\x54\x49\x4f\x4e\x2c\x20\x26\x62\x75\x66\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x62\x75\x66\x29\x29\x29\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x32\x2e\x65\x6c\x39\x2f\
\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x32\x2e\x65\x6c\
\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x62\x70\
\x66\x5f\x74\x63\x70\x5f\x68\x65\x6c\x70\x65\x72\x73\x2e\x68\0\x09\x09\x69\x66\
\x20\x28\x61\x5b\x69\x5d\x20\x21\x3d\x20\x62\x5b\x69\x5d\x29\0\x09\x69\x66\x20\
\x28\x2a\x6f\x70\x74\x76\x61\x6c\x20\x3d\x3d\x20\x30\x78\x32\x64\x29\x20\x7b\0\
\x09\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\
\x74\x28\x63\x74\x78\x2d\x3e\x73\x6b\x2c\x20\x53\x4f\x4c\x5f\x54\x43\x50\x2c\
\x20\x54\x43\x50\x5f\x43\x4f\x4e\x47\x45\x53\x54\x49\x4f\x4e\x2c\x20\x26\x63\
\x63\x5f\x72\x65\x6e\x6f\x2c\0\x09\x72\x65\x74\x75\x72\x6e\x20\x31\x3b\0\x09\
\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x6f\x70\x74\x6c\x65\x6e\x20\x3e\x20\x70\
\x61\x67\x65\x5f\x73\x69\x7a\x65\x29\0\x09\x09\x63\x74\x78\x2d\x3e\x6f\x70\x74\
\x6c\x65\x6e\x20\x3d\x20\x30\x3b\0\x7d\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\
\x73\x73\0\x63\x67\x72\x6f\x75\x70\x2f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\
\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\x01\
\x7c\0\0\x01\x90\0\0\0\0\0\0\0\x08\0\0\x03\x4b\0\0\0\x01\0\0\0\0\0\0\0\x0b\0\0\
\0\x10\0\0\x03\x4b\0\0\0\x17\0\0\0\0\0\0\0\x93\0\0\x01\x10\0\0\x48\x15\0\0\0\
\x08\0\0\0\x93\0\0\x01\x2c\0\0\x44\x1a\0\0\0\x18\0\0\0\x93\0\0\x01\x51\0\0\x50\
\x07\0\0\0\x38\0\0\0\x93\0\0\x01\x7a\0\0\x5c\x0b\0\0\0\x40\0\0\0\x93\0\0\x01\
\x7a\0\0\x5c\x1d\0\0\0\x48\0\0\0\x93\0\0\x01\x7a\0\0\x5c\x25\0\0\0\x50\0\0\0\
\x93\0\0\x01\x7a\0\0\x5c\x1d\0\0\0\x60\0\0\0\x93\0\0\x01\xb6\0\0\x68\x0d\0\0\0\
\x70\0\0\0\x93\0\0\x01\xb6\0\0\x68\x11\0\0\0\x78\0\0\0\x93\0\0\x01\xd4\0\0\x74\
\x1a\0\0\0\x98\0\0\0\x93\0\0\x01\xd4\0\0\x74\x06\0\0\0\xf0\0\0\x02\x1e\0\0\x02\
\x93\0\x03\x74\x07\0\0\0\xf8\0\0\x02\x1e\0\0\x02\x93\0\x03\x74\x0c\0\0\x01\x40\
\0\0\0\x93\0\0\x02\xa7\0\0\x8c\x06\0\0\x01\x48\0\0\0\x93\0\0\x02\xa7\0\0\x8c\
\x0e\0\0\x01\x50\0\0\0\x93\0\0\x02\xbf\0\0\x90\x1b\0\0\x01\x68\0\0\0\x93\0\0\
\x02\xbf\0\0\x90\x07\0\0\x01\xa8\0\0\0\x93\0\0\x03\0\0\0\xa0\x02\0\0\x01\xb8\0\
\0\0\x93\0\0\x03\x0b\0\0\xb0\x14\0\0\x01\xe0\0\0\0\x93\0\0\x03\x0b\0\0\xb0\x0b\
\0\0\x01\xf8\0\0\0\x93\0\0\x03\x0b\0\0\xb0\x12\0\0\x02\x08\0\0\0\x93\0\0\x03\
\x29\0\0\xb4\x0f\0\0\x02\x10\0\0\0\x93\0\0\x03\x3c\0\0\xbc\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x9b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xe0\0\0\0\0\0\0\0\x90\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\x70\0\0\0\0\0\0\x02\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\x23\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x88\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\
\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x8c\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x01\0\0\0\0\0\
\0\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x8c\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\x77\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\xa0\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x8d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\xb0\0\0\0\0\0\0\x05\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\x92\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\xc8\0\0\0\0\0\0\x01\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct sockopt_qos_to_cc *sockopt_qos_to_cc::open(const struct bpf_object_open_opts *opts) { return sockopt_qos_to_cc__open_opts(opts); }
struct sockopt_qos_to_cc *sockopt_qos_to_cc::open_and_load() { return sockopt_qos_to_cc__open_and_load(); }
int sockopt_qos_to_cc::load(struct sockopt_qos_to_cc *skel) { return sockopt_qos_to_cc__load(skel); }
int sockopt_qos_to_cc::attach(struct sockopt_qos_to_cc *skel) { return sockopt_qos_to_cc__attach(skel); }
void sockopt_qos_to_cc::detach(struct sockopt_qos_to_cc *skel) { sockopt_qos_to_cc__detach(skel); }
void sockopt_qos_to_cc::destroy(struct sockopt_qos_to_cc *skel) { sockopt_qos_to_cc__destroy(skel); }
const void *sockopt_qos_to_cc::elf_bytes(size_t *sz) { return sockopt_qos_to_cc__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
sockopt_qos_to_cc__assert(struct sockopt_qos_to_cc *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->page_size) == 4, "unexpected size of 'page_size'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __SOCKOPT_QOS_TO_CC_SKEL_H__ */
