/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __PERCPU_ALLOC_ARRAY_SKEL_H__
#define __PERCPU_ALLOC_ARRAY_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct percpu_alloc_array {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *array;
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_array_map_1;
		struct bpf_program *test_array_map_2;
		struct bpf_program *test_array_map_3;
		struct bpf_program *test_array_map_4;
		struct bpf_program *test_array_map_10;
	} progs;
	struct {
		struct bpf_link *test_array_map_1;
		struct bpf_link *test_array_map_2;
		struct bpf_link *test_array_map_3;
		struct bpf_link *test_array_map_4;
		struct bpf_link *test_array_map_10;
	} links;
	struct percpu_alloc_array__rodata {
		int nr_cpus;
	} *rodata;
	struct percpu_alloc_array__bss {
		int cpu0_field_d;
		int sum_field_c;
		int my_pid;
	} *bss;

#ifdef __cplusplus
	static inline struct percpu_alloc_array *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct percpu_alloc_array *open_and_load();
	static inline int load(struct percpu_alloc_array *skel);
	static inline int attach(struct percpu_alloc_array *skel);
	static inline void detach(struct percpu_alloc_array *skel);
	static inline void destroy(struct percpu_alloc_array *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
percpu_alloc_array__destroy(struct percpu_alloc_array *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
percpu_alloc_array__create_skeleton(struct percpu_alloc_array *obj);

static inline struct percpu_alloc_array *
percpu_alloc_array__open_opts(const struct bpf_object_open_opts *opts)
{
	struct percpu_alloc_array *obj;
	int err;

	obj = (struct percpu_alloc_array *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = percpu_alloc_array__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	percpu_alloc_array__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct percpu_alloc_array *
percpu_alloc_array__open(void)
{
	return percpu_alloc_array__open_opts(NULL);
}

static inline int
percpu_alloc_array__load(struct percpu_alloc_array *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct percpu_alloc_array *
percpu_alloc_array__open_and_load(void)
{
	struct percpu_alloc_array *obj;
	int err;

	obj = percpu_alloc_array__open();
	if (!obj)
		return NULL;
	err = percpu_alloc_array__load(obj);
	if (err) {
		percpu_alloc_array__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
percpu_alloc_array__attach(struct percpu_alloc_array *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
percpu_alloc_array__detach(struct percpu_alloc_array *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *percpu_alloc_array__elf_bytes(size_t *sz);

static inline int
percpu_alloc_array__create_skeleton(struct percpu_alloc_array *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "percpu_alloc_array";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "array";
	map->map = &obj->maps.array;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "percpu_a.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "percpu_a.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_array_map_1";
	s->progs[0].prog = &obj->progs.test_array_map_1;
	s->progs[0].link = &obj->links.test_array_map_1;

	s->progs[1].name = "test_array_map_2";
	s->progs[1].prog = &obj->progs.test_array_map_2;
	s->progs[1].link = &obj->links.test_array_map_2;

	s->progs[2].name = "test_array_map_3";
	s->progs[2].prog = &obj->progs.test_array_map_3;
	s->progs[2].link = &obj->links.test_array_map_3;

	s->progs[3].name = "test_array_map_4";
	s->progs[3].prog = &obj->progs.test_array_map_4;
	s->progs[3].link = &obj->links.test_array_map_4;

	s->progs[4].name = "test_array_map_10";
	s->progs[4].prog = &obj->progs.test_array_map_10;
	s->progs[4].link = &obj->links.test_array_map_10;

	s->data = percpu_alloc_array__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *percpu_alloc_array__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\xc0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x13\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x31\0\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x32\0\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\
\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x33\0\x3f\x66\x65\x6e\x74\x72\x79\
\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\x3f\x66\
\x65\x6e\x74\x72\x79\x2e\x73\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\
\x74\x65\x73\x74\x31\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x2e\
\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x70\x65\x72\x63\x70\x75\x5f\x61\
\x6c\x6c\x6f\x63\x5f\x61\x72\x72\x61\x79\x2e\x63\0\x74\x65\x73\x74\x5f\x61\x72\
\x72\x61\x79\x5f\x6d\x61\x70\x5f\x31\0\x61\x72\x72\x61\x79\0\x62\x70\x66\x5f\
\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\
\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\
\x5f\x69\x6d\x70\x6c\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\
\x5f\x32\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x33\0\
\x6d\x79\x5f\x70\x69\x64\0\x6e\x72\x5f\x63\x70\x75\x73\0\x62\x70\x66\x5f\x69\
\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x77\0\x62\x70\x66\x5f\x69\x74\x65\x72\
\x5f\x6e\x75\x6d\x5f\x6e\x65\x78\x74\0\x73\x75\x6d\x5f\x66\x69\x65\x6c\x64\x5f\
\x63\0\x63\x70\x75\x30\x5f\x66\x69\x65\x6c\x64\x5f\x64\0\x62\x70\x66\x5f\x69\
\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x64\x65\x73\x74\x72\x6f\x79\0\x74\x65\x73\x74\
\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x34\0\x74\x65\x73\x74\x5f\x61\x72\
\x72\x61\x79\x5f\x6d\x61\x70\x5f\x31\x30\0\x62\x70\x66\x5f\x72\x63\x75\x5f\x72\
\x65\x61\x64\x5f\x6c\x6f\x63\x6b\0\x62\x70\x66\x5f\x72\x63\x75\x5f\x72\x65\x61\
\x64\x5f\x75\x6e\x6c\x6f\x63\x6b\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\
\x65\x6c\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x31\0\x2e\x72\x65\x6c\x3f\x66\x65\x6e\x74\x72\x79\x2f\
\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\0\x2e\x72\x65\
\x6c\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\
\x5f\x74\x65\x73\x74\x33\0\x2e\x72\x65\x6c\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\
\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\x2e\x72\x65\x6c\
\x3f\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x31\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xab\x04\0\
\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\
\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\xd1\x11\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xd7\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xef\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x08\x12\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\0\0\x01\x19\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\xd0\0\0\x01\x2a\x11\0\0\x0b\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\
\x01\x31\x11\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\x39\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x4a\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\x5c\x11\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\x01\x68\
\x11\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\x75\x20\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x8a\x12\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x90\0\0\x01\x9b\x12\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x20\0\0\x01\xad\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xbf\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\xd3\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\xb4\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\
\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\
\x60\0\0\0\0\0\0\x15\x60\0\x0d\0\0\0\0\x18\x10\0\0\0\0\0\x12\0\0\0\0\0\0\0\0\
\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x15\0\0\x08\0\0\0\0\x07\x60\0\
\0\0\0\0\x08\xbf\x16\0\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc2\x15\0\
\0\x03\0\0\0\0\xbf\x10\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\
\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\
\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x09\0\0\0\0\x79\x10\0\x08\0\0\0\0\x15\
\x10\0\x07\0\0\0\0\xb4\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\x99\x15\0\0\x04\0\0\0\0\
\xb7\x10\0\0\0\0\0\x02\x7b\x01\0\x10\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x7b\x01\0\
\x08\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x10\0\0\0\0\0\0\x63\xa1\
\xff\xfc\0\0\0\0\x85\0\0\0\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\0\0\0\x20\
\x5d\x01\0\x2e\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x28\0\0\0\0\x79\x60\0\
\x08\0\0\0\0\x15\x60\0\x26\0\0\0\0\x18\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x38\
\0\0\0\0\0\0\xbf\x7a\0\0\0\0\0\0\x07\x70\0\0\xff\xff\xff\xf0\xbf\x17\0\0\0\0\0\
\0\xb4\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x17\0\0\0\0\0\0\x85\x01\
\0\0\xff\xff\xff\xff\x15\0\0\x18\0\0\0\0\x18\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x05\0\0\x11\0\0\0\0\xbf\x16\0\0\0\0\0\0\xbc\x27\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x99\x15\0\0\x09\0\0\0\0\x56\x70\0\x04\0\0\0\0\x79\x10\0\x10\0\0\0\0\x18\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\x79\x10\0\x08\0\0\0\0\x61\x29\0\
\0\0\0\0\0\x0c\x21\0\0\0\0\0\0\x63\x92\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\
\0\0\xff\xff\xff\xf0\x85\x01\0\0\xff\xff\xff\xff\x15\0\0\x04\0\0\0\0\x61\x70\0\
\0\0\0\0\0\xc6\x70\0\x02\0\0\0\0\x61\x18\0\0\0\0\0\0\xce\x71\xff\xeb\0\0\0\0\
\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf0\x85\x01\0\0\xff\xff\xff\xff\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\
\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x08\0\0\0\0\x07\0\0\0\0\0\0\x08\xbf\x10\0\
\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc2\x15\0\0\x03\0\0\0\0\xbf\x10\
\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xb4\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\x85\0\0\0\0\0\0\
\x0e\x77\0\0\0\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\
\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\0\0\0\x20\x5d\x01\0\x58\0\0\0\0\xbf\x2a\0\
\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\
\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\x15\x60\0\x51\0\0\0\0\x85\x01\0\0\xff\xff\
\xff\xff\xbf\x76\0\0\0\0\0\0\x07\x70\0\0\0\0\0\x08\x79\x66\0\x08\0\0\0\0\x55\
\x60\0\x0d\0\0\0\0\x18\x10\0\0\0\0\0\x12\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\
\x85\x01\0\0\xff\xff\xff\xff\xbf\x60\0\0\0\0\0\0\x15\x60\0\x45\0\0\0\0\xbf\x17\
\0\0\0\0\0\0\xbf\x26\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc2\x15\0\0\x03\0\0\0\0\xbf\
\x10\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x16\0\0\0\
\0\0\0\x85\0\0\0\0\0\0\x9a\xb7\x10\0\0\0\0\0\x03\x7b\x01\0\x08\0\0\0\0\xbf\x16\
\0\0\0\0\0\0\x85\0\0\0\0\0\0\x9a\xb7\x10\0\0\0\0\0\0\x7b\x01\0\x08\0\0\0\0\xbf\
\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\x99\x15\0\0\x32\0\0\0\0\
\xb7\x10\0\0\0\0\0\x02\x7b\x01\0\x10\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x7b\x01\0\
\x08\0\0\0\0\xbf\x17\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc2\x15\0\
\0\x2a\0\0\0\0\x7b\xa0\xff\xe8\0\0\0\0\x18\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\
\x39\0\0\0\0\0\0\xbf\x8a\0\0\0\0\0\0\x07\x80\0\0\xff\xff\xff\xf0\xbf\x18\0\0\0\
\0\0\0\xb4\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x18\0\0\0\0\0\0\x85\
\x01\0\0\xff\xff\xff\xff\x15\0\0\x18\0\0\0\0\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x05\0\0\x11\0\0\0\0\xbf\x16\0\0\0\0\0\0\xbc\x28\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x99\x15\0\0\x09\0\0\0\0\x56\x80\0\x04\0\0\0\0\x79\x10\0\x10\0\0\0\0\x18\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\x79\x10\0\x08\0\0\0\0\x61\x27\0\
\0\0\0\0\0\x0c\x21\0\0\0\0\0\0\x63\x72\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\
\0\0\xff\xff\xff\xf0\x85\x01\0\0\xff\xff\xff\xff\x15\0\0\x04\0\0\0\0\x61\x80\0\
\0\0\0\0\0\xc6\x80\0\x02\0\0\0\0\x61\x19\0\0\0\0\0\0\xce\x81\xff\xeb\0\0\0\0\
\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf0\x85\x01\0\0\xff\xff\xff\xff\
\x79\x1a\xff\xe8\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x85\
\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\x09\0\0\0\
\x0a\0\0\0\0\0\0\0\xa8\0\0\0\x0a\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\x08\0\0\0\
\x01\0\0\0\0\0\0\0\x20\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\x08\0\0\0\
\x01\0\0\0\0\0\0\0\x90\0\0\0\x0e\0\0\0\x01\0\0\0\0\0\0\0\xc8\0\0\0\x0f\0\0\0\
\x0a\0\0\0\0\0\0\0\xd8\0\0\0\x10\0\0\0\x0a\0\0\0\0\0\0\0\xe8\0\0\0\x11\0\0\0\
\x01\0\0\0\0\0\0\x01\x30\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\x01\x78\0\0\0\x10\0\0\
\0\x0a\0\0\0\0\0\0\x01\xb8\0\0\0\x13\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\x08\0\0\
\0\x01\0\0\0\0\0\0\0\x78\0\0\0\x0a\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\x0d\0\0\0\
\x01\0\0\0\0\0\0\0\x60\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\x88\0\0\0\x16\0\0\0\
\x0a\0\0\0\0\0\0\0\xc8\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\x01\x10\0\0\0\x0a\0\0\0\
\x0a\0\0\0\0\0\0\x01\xc0\0\0\0\x0e\0\0\0\x01\0\0\0\0\0\0\x01\xf8\0\0\0\x0f\0\0\
\0\x0a\0\0\0\0\0\0\x02\x08\0\0\0\x10\0\0\0\x0a\0\0\0\0\0\0\x02\x18\0\0\0\x11\0\
\0\0\x01\0\0\0\0\0\0\x02\x60\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\x02\xa8\0\0\0\x10\
\0\0\0\x0a\0\0\0\0\0\0\x02\xe8\0\0\0\x13\0\0\0\x0a\0\0\0\0\0\0\x03\0\0\0\0\x0a\
\0\0\0\x0a\0\0\0\0\0\0\x03\x08\0\0\0\x17\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\0\0\
\0\0\0\0\x04\x60\0\0\x04\x60\0\0\x06\x8c\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\
\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x02\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\
\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\
\0\x02\0\0\0\0\x02\0\0\0\0\0\0\x09\0\0\0\x19\x04\0\0\x02\0\0\0\x10\0\0\0\x1e\0\
\0\0\x0a\0\0\0\0\0\0\0\x22\0\0\0\x0b\0\0\0\x40\0\0\0\x25\x01\0\0\0\0\0\0\x08\
\x01\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x33\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\
\x2a\0\0\0\x01\0\0\0\0\0\0\0\x2f\0\0\0\x05\0\0\0\x40\0\0\0\x3b\0\0\0\x07\0\0\0\
\x80\0\0\0\x3f\0\0\0\x08\0\0\0\xc0\0\0\0\x45\x0e\0\0\0\0\0\0\x0c\0\0\0\x01\0\0\
\0\0\x02\0\0\0\0\0\0\x0f\0\0\0\x4b\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x0d\0\
\0\x01\0\0\0\x02\0\0\0\x5e\0\0\0\x0e\0\0\0\x62\x0c\0\0\x01\0\0\0\x10\0\0\0\x73\
\x04\0\0\x03\0\0\0\x18\0\0\0\x79\0\0\0\x0a\0\0\0\0\0\0\0\x7b\0\0\0\x0a\0\0\0\
\x40\0\0\0\x7d\0\0\0\x0a\0\0\0\x80\0\0\0\0\x0d\0\0\x02\0\0\0\x14\0\0\0\0\0\0\0\
\x15\0\0\0\0\0\0\0\x14\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x7f\x08\0\0\0\0\0\0\x16\
\0\0\0\x83\x08\0\0\0\0\0\0\x0f\0\0\0\x89\x0c\0\0\x02\0\0\0\x13\0\0\0\0\x0d\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x14\0\0\0\xa1\x0c\0\0\x02\0\0\0\
\x18\0\0\0\xba\x0c\0\0\x01\0\0\0\x10\0\0\0\xcb\x0c\0\0\x01\0\0\0\x10\0\0\0\0\
\x0d\0\0\x03\0\0\0\x02\0\0\0\0\0\0\0\x1d\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\x02\0\
\0\0\0\x02\0\0\0\0\0\0\x1e\0\0\0\xdc\x04\0\0\x01\0\0\0\x08\0\0\0\xe9\0\0\0\x1f\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x16\0\0\0\x04\0\0\0\x01\0\0\0\xf2\x0c\
\0\0\x02\0\0\0\x1c\0\0\0\0\x0d\0\0\x01\0\0\0\x07\0\0\0\0\0\0\0\x1d\0\0\x01\x03\
\x0c\0\0\x02\0\0\0\x21\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x1d\0\0\x01\
\x15\x0c\0\0\x02\0\0\0\x23\0\0\x01\x2a\x0c\0\0\x01\0\0\0\x10\0\0\x01\x3b\x0c\0\
\0\x01\0\0\0\x10\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\x01\x4d\x0c\0\0\x02\0\0\0\x27\0\
\0\x01\x5f\x0c\0\0\x02\0\0\0\x27\0\0\x01\x73\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x04\0\0\0\x04\0\0\x01\x78\x0e\0\0\0\0\
\0\0\x2b\0\0\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\x2e\0\0\0\0\x09\0\0\0\0\0\0\x02\0\0\
\x01\x81\x0e\0\0\0\0\0\0\x2d\0\0\0\x01\0\0\x01\x89\x0e\0\0\0\0\0\0\x02\0\0\0\
\x01\0\0\x01\x96\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x01\xa2\x0e\0\0\0\0\0\0\x02\
\0\0\0\x01\0\0\x01\xa9\x12\0\0\0\0\0\0\x12\0\0\x05\xeb\x0f\0\0\x01\0\0\0\x04\0\
\0\0\x2c\0\0\0\0\0\0\0\x04\0\0\x05\xf3\x0f\0\0\x01\0\0\0\x20\0\0\0\x0d\0\0\0\0\
\0\0\0\x20\0\0\x05\xf9\x0f\0\0\x01\0\0\0\x04\0\0\0\x2f\0\0\0\0\0\0\0\x04\0\0\
\x06\x01\x0f\0\0\x03\0\0\0\x0c\0\0\0\x30\0\0\0\0\0\0\0\x04\0\0\0\x31\0\0\0\x04\
\0\0\0\x04\0\0\0\x32\0\0\0\x08\0\0\0\x04\0\0\x06\x06\x0f\0\0\x07\0\0\0\0\0\0\0\
\x17\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\
\x22\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\
\x29\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x65\x6c\x65\x6d\0\x73\x75\x6d\0\x70\x63\
\0\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\
\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x61\x72\x72\x61\x79\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\
\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x31\0\x76\x61\x6c\
\x5f\x74\0\x62\0\x63\0\x64\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x62\x70\x66\
\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\
\x6c\0\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\
\x70\x5f\x69\x6d\x70\x6c\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\
\x70\x5f\x32\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x33\
\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\0\x5f\x5f\x6f\x70\x61\x71\
\x75\x65\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x77\0\
\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x78\x74\0\x62\x70\
\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x64\x65\x73\x74\x72\x6f\x79\0\x74\
\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x34\0\x74\x65\x73\x74\
\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x31\x30\0\x62\x70\x66\x5f\x72\x63\
\x75\x5f\x72\x65\x61\x64\x5f\x6c\x6f\x63\x6b\0\x62\x70\x66\x5f\x72\x63\x75\x5f\
\x72\x65\x61\x64\x5f\x75\x6e\x6c\x6f\x63\x6b\0\x63\x68\x61\x72\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x6e\x72\x5f\x63\x70\x75\x73\0\x63\x70\x75\x30\x5f\x66\
\x69\x65\x6c\x64\x5f\x64\0\x73\x75\x6d\x5f\x66\x69\x65\x6c\x64\x5f\x63\0\x6d\
\x79\x5f\x70\x69\x64\0\x70\x65\x72\x63\x70\x75\x5f\x6b\x70\x74\x72\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x32\x2e\
\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\
\x32\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x70\x72\x6f\x67\x73\x2f\x70\x65\x72\x63\x70\x75\x5f\x61\x6c\x6c\x6f\
\x63\x5f\x61\x72\x72\x61\x79\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x31\
\x29\0\x09\x69\x6e\x74\x20\x69\x6e\x64\x65\x78\x20\x3d\x20\x30\x3b\0\x09\x65\
\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\
\x6c\x65\x6d\x28\x26\x61\x72\x72\x61\x79\x2c\x20\x26\x69\x6e\x64\x65\x78\x29\
\x3b\0\x09\x69\x66\x20\x28\x21\x65\x29\0\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\
\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x73\x74\x72\x75\
\x63\x74\x20\x76\x61\x6c\x5f\x74\x29\x3b\0\x09\x69\x66\x20\x28\x21\x70\x29\0\
\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\
\x26\x65\x2d\x3e\x70\x63\x2c\x20\x70\x29\x3b\0\x09\x69\x66\x20\x28\x70\x29\0\
\x09\x09\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x64\x72\
\x6f\x70\x28\x70\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\
\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x32\x29\0\x09\x70\
\x20\x3d\x20\x65\x2d\x3e\x70\x63\x3b\0\x09\x76\x20\x3d\x20\x62\x70\x66\x5f\x70\
\x65\x72\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\x70\x2c\x20\x30\x29\x3b\0\x09\x69\
\x66\x20\x28\x21\x76\x29\0\x09\x76\x2d\x3e\x64\x20\x3d\x20\x32\x3b\0\x09\x76\
\x2d\x3e\x63\x20\x3d\x20\x31\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x33\x29\0\
\x09\x69\x6e\x74\x20\x69\x2c\x20\x69\x6e\x64\x65\x78\x20\x3d\x20\x30\x3b\0\x09\
\x69\x66\x20\x28\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\
\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x29\
\x20\x21\x3d\x20\x6d\x79\x5f\x70\x69\x64\x29\0\x09\x62\x70\x66\x5f\x66\x6f\x72\
\x28\x69\x2c\x20\x30\x2c\x20\x6e\x72\x5f\x63\x70\x75\x73\x29\x20\x7b\0\x09\x09\
\x76\x20\x3d\x20\x62\x70\x66\x5f\x70\x65\x72\x5f\x63\x70\x75\x5f\x70\x74\x72\
\x28\x70\x2c\x20\x69\x29\x3b\0\x09\x09\x69\x66\x20\x28\x76\x29\x20\x7b\0\x09\
\x09\x09\x69\x66\x20\x28\x69\x20\x3d\x3d\x20\x30\x29\0\x09\x09\x09\x09\x63\x70\
\x75\x30\x5f\x66\x69\x65\x6c\x64\x5f\x64\x20\x3d\x20\x76\x2d\x3e\x64\x3b\0\x09\
\x09\x09\x73\x75\x6d\x5f\x66\x69\x65\x6c\x64\x5f\x63\x20\x2b\x3d\x20\x76\x2d\
\x3e\x63\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\
\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x34\x29\0\x09\x70\x20\x3d\x20\
\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\x65\x2d\x3e\x70\
\x63\x2c\x20\x4e\x55\x4c\x4c\x29\x3b\0\x09\x69\x66\x20\x28\x70\x29\x20\x7b\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x61\
\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x31\x30\x29\0\x09\x62\x70\x66\x5f\x72\x63\
\x75\x5f\x72\x65\x61\x64\x5f\x6c\x6f\x63\x6b\x28\x29\x3b\0\x09\x69\x66\x20\x28\
\x21\x70\x29\x20\x7b\0\x09\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x70\x65\x72\x63\
\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x73\x74\x72\x75\x63\x74\x20\x76\
\x61\x6c\x5f\x74\x29\x3b\0\x09\x09\x69\x66\x20\x28\x21\x70\x29\0\x09\x09\x70\
\x31\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\
\x65\x2d\x3e\x70\x63\x2c\x20\x70\x29\x3b\0\x09\x09\x69\x66\x20\x28\x70\x31\x29\
\x20\x7b\0\x09\x09\x09\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\
\x5f\x64\x72\x6f\x70\x28\x70\x31\x29\x3b\0\x09\x76\x20\x3d\x20\x62\x70\x66\x5f\
\x74\x68\x69\x73\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\x70\x29\x3b\0\x09\x76\x2d\
\x3e\x63\x20\x3d\x20\x33\x3b\0\x09\x76\x2d\x3e\x63\x20\x3d\x20\x30\x3b\0\x09\
\x70\x31\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\
\x26\x65\x2d\x3e\x70\x63\x2c\x20\x4e\x55\x4c\x4c\x29\x3b\0\x09\x69\x66\x20\x28\
\x21\x70\x31\x29\0\x09\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\
\x5f\x64\x72\x6f\x70\x28\x70\x31\x29\x3b\0\x09\x62\x70\x66\x5f\x72\x63\x75\x5f\
\x72\x65\x61\x64\x5f\x75\x6e\x6c\x6f\x63\x6b\x28\x29\x3b\0\x30\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\
\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\
\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x3f\x66\x65\x6e\x74\
\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\0\
\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\
\x74\x65\x73\x74\x33\0\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\
\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\x3f\x66\x65\x6e\x74\x72\x79\x2e\x73\
\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\0\0\0\0\
\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\0\x06\x1c\0\0\x06\x70\0\
\0\0\x34\0\0\0\x08\0\0\x06\x0d\0\0\0\x01\0\0\0\0\0\0\0\x11\0\0\x06\x26\0\0\0\
\x01\0\0\0\0\0\0\0\x1a\0\0\x06\x3f\0\0\0\x01\0\0\0\0\0\0\0\x1b\0\0\x06\x58\0\0\
\0\x01\0\0\0\0\0\0\0\x25\0\0\x06\x71\0\0\0\x01\0\0\0\0\0\0\0\x26\0\0\0\x10\0\0\
\x06\x0d\0\0\0\x0b\0\0\0\0\0\0\x01\xb5\0\0\x02\x33\0\0\x68\0\0\0\0\x08\0\0\x01\
\xb5\0\0\x02\x52\0\0\x78\x06\0\0\0\x20\0\0\x01\xb5\0\0\x02\x62\0\0\x80\x06\0\0\
\0\x40\0\0\x01\xb5\0\0\x02\x8c\0\0\x84\x06\0\0\0\x48\0\0\x01\xb5\0\0\x02\x95\0\
\0\x90\x06\0\0\0\x68\0\0\x01\xb5\0\0\x02\xbc\0\0\x94\x06\0\0\0\x70\0\0\x01\xb5\
\0\0\x02\xc5\0\0\xa0\x18\0\0\0\x78\0\0\x01\xb5\0\0\x02\xc5\0\0\xa0\x06\0\0\0\
\x90\0\0\x01\xb5\0\0\x02\xe4\0\0\xa4\x06\0\0\0\x98\0\0\x01\xb5\0\0\x02\xec\0\0\
\xa8\x03\0\0\0\xb0\0\0\x01\xb5\0\0\x02\x33\0\0\x68\x05\0\0\x06\x26\0\0\0\x0b\0\
\0\0\0\0\0\x01\xb5\0\0\x03\x06\0\0\xc4\0\0\0\0\x08\0\0\x01\xb5\0\0\x02\x52\0\0\
\xd8\x06\0\0\0\x20\0\0\x01\xb5\0\0\x02\x62\0\0\xe0\x06\0\0\0\x38\0\0\x01\xb5\0\
\0\x02\x8c\0\0\xe4\x06\0\0\0\x40\0\0\x01\xb5\0\0\x03\x25\0\0\xf0\x09\0\0\0\x48\
\0\0\x01\xb5\0\0\x02\xbc\0\0\xf4\x06\0\0\0\x50\0\0\x01\xb5\0\0\x03\x31\0\x01\0\
\x06\0\0\0\x60\0\0\x01\xb5\0\0\x03\x4d\0\x01\x04\x06\0\0\0\x70\0\0\x01\xb5\0\0\
\x03\x56\0\x01\x10\x07\0\0\0\x80\0\0\x01\xb5\0\0\x03\x61\0\x01\x0c\x07\0\0\0\
\x88\0\0\x01\xb5\0\0\x03\x06\0\0\xc4\x05\0\0\x06\x3f\0\0\0\x17\0\0\0\0\0\0\x01\
\xb5\0\0\x03\x6c\0\x01\x38\0\0\0\0\x08\0\0\x01\xb5\0\0\x03\x8b\0\x01\x44\x09\0\
\0\0\x10\0\0\x01\xb5\0\0\x03\x9e\0\x01\x54\x07\0\0\0\x18\0\0\x01\xb5\0\0\x03\
\x9e\0\x01\x54\x22\0\0\0\x20\0\0\x01\xb5\0\0\x03\x9e\0\x01\x54\x2c\0\0\0\x48\0\
\0\x01\xb5\0\0\x03\x9e\0\x01\x54\x29\0\0\0\x60\0\0\x01\xb5\0\0\x02\x62\0\x01\
\x60\x06\0\0\0\x78\0\0\x01\xb5\0\0\x02\x8c\0\x01\x64\x06\0\0\0\x80\0\0\x01\xb5\
\0\0\x03\x25\0\x01\x70\x09\0\0\0\x88\0\0\x01\xb5\0\0\x02\xbc\0\x01\x74\x06\0\0\
\0\x90\0\0\x01\xb5\0\0\x03\xd1\0\x01\x80\x02\0\0\0\xd0\0\0\x01\xb5\0\0\x03\xd1\
\0\x01\x80\x02\0\0\x01\0\0\0\x01\xb5\0\0\x03\xeb\0\x01\x84\x07\0\0\x01\x18\0\0\
\x01\xb5\0\0\x04\x08\0\x01\x88\x07\0\0\x01\x20\0\0\x01\xb5\0\0\x04\x13\0\x01\
\x8c\x0a\0\0\x01\x28\0\0\x01\xb5\0\0\x04\x22\0\x01\x90\x17\0\0\x01\x30\0\0\x01\
\xb5\0\0\x04\x22\0\x01\x90\x12\0\0\x01\x48\0\0\x01\xb5\0\0\x04\x3b\0\x01\x94\
\x16\0\0\x01\x50\0\0\x01\xb5\0\0\x04\x3b\0\x01\x94\x10\0\0\x01\x78\0\0\x01\xb5\
\0\0\x03\xd1\0\x01\x80\x02\0\0\x01\xa0\0\0\x01\xb5\0\0\x03\xd1\0\x01\x80\x02\0\
\0\x01\xb8\0\0\x01\xb5\0\0\x03\xd1\0\x01\x80\x02\0\0\x01\xc0\0\0\x01\xb5\0\0\
\x03\x6c\0\x01\x38\x05\0\0\x06\x58\0\0\0\x09\0\0\0\0\0\0\x01\xb5\0\0\x04\x53\0\
\x01\xb8\0\0\0\0\x08\0\0\x01\xb5\0\0\x02\x52\0\x01\xc8\x06\0\0\0\x20\0\0\x01\
\xb5\0\0\x02\x62\0\x01\xd0\x06\0\0\0\x38\0\0\x01\xb5\0\0\x02\x8c\0\x01\xd4\x06\
\0\0\0\x40\0\0\x01\xb5\0\0\x04\x72\0\x01\xe4\x18\0\0\0\x48\0\0\x01\xb5\0\0\x04\
\x72\0\x01\xe4\x06\0\0\0\x60\0\0\x01\xb5\0\0\x04\x94\0\x01\xe8\x06\0\0\0\x68\0\
\0\x01\xb5\0\0\x02\xec\0\x01\xec\x03\0\0\0\x80\0\0\x01\xb5\0\0\x04\x53\0\x01\
\xb8\x05\0\0\x06\x71\0\0\0\x29\0\0\0\0\0\0\x01\xb5\0\0\x04\x9e\0\x02\x08\0\0\0\
\0\x08\0\0\x01\xb5\0\0\x03\x8b\0\x02\x14\x09\0\0\0\x10\0\0\x01\xb5\0\0\x03\x9e\
\0\x02\x24\x07\0\0\0\x18\0\0\x01\xb5\0\0\x03\x9e\0\x02\x24\x22\0\0\0\x20\0\0\
\x01\xb5\0\0\x03\x9e\0\x02\x24\x2c\0\0\0\x48\0\0\x01\xb5\0\0\x03\x9e\0\x02\x24\
\x29\0\0\0\x60\0\0\x01\xb5\0\0\x02\x62\0\x02\x30\x06\0\0\0\x80\0\0\x01\xb5\0\0\
\x02\x8c\0\x02\x34\x06\0\0\0\x88\0\0\x01\xb5\0\0\x04\xbe\0\x02\x40\x02\0\0\0\
\x90\0\0\x01\xb5\0\0\x03\x25\0\x02\x44\x09\0\0\0\xa8\0\0\x01\xb5\0\0\x04\xd4\0\
\x02\x48\x06\0\0\0\xb0\0\0\x01\xb5\0\0\x04\xdf\0\x02\x4c\x07\0\0\0\xd8\0\0\x01\
\xb5\0\0\x05\x07\0\x02\x50\x07\0\0\0\xe0\0\0\x01\xb5\0\0\x05\x11\0\x02\x5c\x08\
\0\0\0\xf8\0\0\x01\xb5\0\0\x05\x32\0\x02\x60\x07\0\0\x01\0\0\0\x01\xb5\0\0\x05\
\x3e\0\x02\x68\x04\0\0\x01\x18\0\0\x01\xb5\0\0\x05\x5a\0\x02\x78\x06\0\0\x01\
\x30\0\0\x01\xb5\0\0\x05\x74\0\x02\x7c\x07\0\0\x01\x38\0\0\x01\xb5\0\0\x05\x5a\
\0\x02\x80\x06\0\0\x01\x50\0\0\x01\xb5\0\0\x05\x7f\0\x02\x84\x07\0\0\x01\x58\0\
\0\x01\xb5\0\0\x03\x31\0\x02\x8c\x06\0\0\x01\x70\0\0\x01\xb5\0\0\x03\x4d\0\x02\
\x90\x06\0\0\x01\x80\0\0\x01\xb5\0\0\x03\x56\0\x02\x9c\x07\0\0\x01\x90\0\0\x01\
\xb5\0\0\x03\x61\0\x02\x98\x07\0\0\x01\x98\0\0\x01\xb5\0\0\x05\x8a\0\x02\xa8\
\x07\0\0\x01\xb0\0\0\x01\xb5\0\0\x05\xad\0\x02\xac\x06\0\0\x01\xc0\0\0\x01\xb5\
\0\0\x03\xd1\0\x02\xb8\x02\0\0\x02\0\0\0\x01\xb5\0\0\x03\xd1\0\x02\xb8\x02\0\0\
\x02\x30\0\0\x01\xb5\0\0\x03\xeb\0\x02\xbc\x07\0\0\x02\x48\0\0\x01\xb5\0\0\x04\
\x08\0\x02\xc0\x07\0\0\x02\x50\0\0\x01\xb5\0\0\x04\x13\0\x02\xc4\x0a\0\0\x02\
\x58\0\0\x01\xb5\0\0\x04\x22\0\x02\xc8\x17\0\0\x02\x60\0\0\x01\xb5\0\0\x04\x22\
\0\x02\xc8\x12\0\0\x02\x78\0\0\x01\xb5\0\0\x04\x3b\0\x02\xcc\x16\0\0\x02\x80\0\
\0\x01\xb5\0\0\x04\x3b\0\x02\xcc\x10\0\0\x02\xa8\0\0\x01\xb5\0\0\x03\xd1\0\x02\
\xb8\x02\0\0\x02\xd0\0\0\x01\xb5\0\0\x03\xd1\0\x02\xb8\x02\0\0\x02\xe8\0\0\x01\
\xb5\0\0\x03\xd1\0\x02\xb8\x02\0\0\x02\xf0\0\0\x01\xb5\0\0\x05\xb7\0\x02\xe0\
\x02\0\0\x03\x08\0\0\x01\xb5\0\0\x05\xd1\0\x02\xe8\x02\0\0\x03\x10\0\0\x01\xb5\
\0\0\x04\x9e\0\x02\x08\x05\0\0\0\x10\0\0\x06\x0d\0\0\0\x01\0\0\0\x48\0\0\0\x12\
\0\0\x05\xe9\0\0\0\x06\0\0\x06\x71\0\0\0\x01\0\0\0\xb0\0\0\0\x12\0\0\x05\xe9\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x02\
\x7d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xc0\0\0\0\0\0\0\x02\x58\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x18\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x05\xd8\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x06\x70\0\0\0\0\0\0\x01\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\x5c\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x40\
\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x75\
\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\xd0\0\0\0\0\0\0\
\x03\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xf0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x98\0\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xf8\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x9e\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0c\x18\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\xa6\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x0c\x1c\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\x01\xdc\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x20\
\0\0\0\0\0\0\0\x30\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\
\x01\xf9\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x50\0\0\0\
\0\0\0\0\x10\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\
\x16\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x60\0\0\0\0\0\
\0\0\x90\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x33\0\
\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\xf0\0\0\0\0\0\0\0\
\x20\0\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x50\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x10\0\0\0\0\0\0\0\xe0\0\
\0\0\x02\0\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x6f\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\xf0\0\0\0\0\0\0\x0b\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\x74\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\xf8\0\0\0\0\0\0\x06\xc4\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct percpu_alloc_array *percpu_alloc_array::open(const struct bpf_object_open_opts *opts) { return percpu_alloc_array__open_opts(opts); }
struct percpu_alloc_array *percpu_alloc_array::open_and_load() { return percpu_alloc_array__open_and_load(); }
int percpu_alloc_array::load(struct percpu_alloc_array *skel) { return percpu_alloc_array__load(skel); }
int percpu_alloc_array::attach(struct percpu_alloc_array *skel) { return percpu_alloc_array__attach(skel); }
void percpu_alloc_array::detach(struct percpu_alloc_array *skel) { percpu_alloc_array__detach(skel); }
void percpu_alloc_array::destroy(struct percpu_alloc_array *skel) { percpu_alloc_array__destroy(skel); }
const void *percpu_alloc_array::elf_bytes(size_t *sz) { return percpu_alloc_array__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
percpu_alloc_array__assert(struct percpu_alloc_array *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->nr_cpus) == 4, "unexpected size of 'nr_cpus'");
	_Static_assert(sizeof(s->bss->cpu0_field_d) == 4, "unexpected size of 'cpu0_field_d'");
	_Static_assert(sizeof(s->bss->sum_field_c) == 4, "unexpected size of 'sum_field_c'");
	_Static_assert(sizeof(s->bss->my_pid) == 4, "unexpected size of 'my_pid'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __PERCPU_ALLOC_ARRAY_SKEL_H__ */
