/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __PERCPU_ALLOC_FAIL_SKEL_H__
#define __PERCPU_ALLOC_FAIL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct percpu_alloc_fail {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *array;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_array_map_1;
		struct bpf_program *test_array_map_2;
		struct bpf_program *test_array_map_3;
		struct bpf_program *test_array_map_4;
		struct bpf_program *test_array_map_5;
		struct bpf_program *test_array_map_6;
		struct bpf_program *test_array_map_7;
		struct bpf_program *test_array_map_8;
	} progs;
	struct {
		struct bpf_link *test_array_map_1;
		struct bpf_link *test_array_map_2;
		struct bpf_link *test_array_map_3;
		struct bpf_link *test_array_map_4;
		struct bpf_link *test_array_map_5;
		struct bpf_link *test_array_map_6;
		struct bpf_link *test_array_map_7;
		struct bpf_link *test_array_map_8;
	} links;
	struct percpu_alloc_fail__bss {
		long ret;
	} *bss;

#ifdef __cplusplus
	static inline struct percpu_alloc_fail *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct percpu_alloc_fail *open_and_load();
	static inline int load(struct percpu_alloc_fail *skel);
	static inline int attach(struct percpu_alloc_fail *skel);
	static inline void detach(struct percpu_alloc_fail *skel);
	static inline void destroy(struct percpu_alloc_fail *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
percpu_alloc_fail__destroy(struct percpu_alloc_fail *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
percpu_alloc_fail__create_skeleton(struct percpu_alloc_fail *obj);

static inline struct percpu_alloc_fail *
percpu_alloc_fail__open_opts(const struct bpf_object_open_opts *opts)
{
	struct percpu_alloc_fail *obj;
	int err;

	obj = (struct percpu_alloc_fail *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = percpu_alloc_fail__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	percpu_alloc_fail__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct percpu_alloc_fail *
percpu_alloc_fail__open(void)
{
	return percpu_alloc_fail__open_opts(NULL);
}

static inline int
percpu_alloc_fail__load(struct percpu_alloc_fail *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct percpu_alloc_fail *
percpu_alloc_fail__open_and_load(void)
{
	struct percpu_alloc_fail *obj;
	int err;

	obj = percpu_alloc_fail__open();
	if (!obj)
		return NULL;
	err = percpu_alloc_fail__load(obj);
	if (err) {
		percpu_alloc_fail__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
percpu_alloc_fail__attach(struct percpu_alloc_fail *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
percpu_alloc_fail__detach(struct percpu_alloc_fail *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *percpu_alloc_fail__elf_bytes(size_t *sz);

static inline int
percpu_alloc_fail__create_skeleton(struct percpu_alloc_fail *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "percpu_alloc_fail";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "array";
	map->map = &obj->maps.array;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "percpu_a.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 8;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_array_map_1";
	s->progs[0].prog = &obj->progs.test_array_map_1;
	s->progs[0].link = &obj->links.test_array_map_1;

	s->progs[1].name = "test_array_map_2";
	s->progs[1].prog = &obj->progs.test_array_map_2;
	s->progs[1].link = &obj->links.test_array_map_2;

	s->progs[2].name = "test_array_map_3";
	s->progs[2].prog = &obj->progs.test_array_map_3;
	s->progs[2].link = &obj->links.test_array_map_3;

	s->progs[3].name = "test_array_map_4";
	s->progs[3].prog = &obj->progs.test_array_map_4;
	s->progs[3].link = &obj->links.test_array_map_4;

	s->progs[4].name = "test_array_map_5";
	s->progs[4].prog = &obj->progs.test_array_map_5;
	s->progs[4].link = &obj->links.test_array_map_5;

	s->progs[5].name = "test_array_map_6";
	s->progs[5].prog = &obj->progs.test_array_map_6;
	s->progs[5].link = &obj->links.test_array_map_6;

	s->progs[6].name = "test_array_map_7";
	s->progs[6].prog = &obj->progs.test_array_map_7;
	s->progs[6].link = &obj->links.test_array_map_7;

	s->progs[7].name = "test_array_map_8";
	s->progs[7].prog = &obj->progs.test_array_map_8;
	s->progs[7].link = &obj->links.test_array_map_8;

	s->data = percpu_alloc_fail__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *percpu_alloc_fail__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\xd0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x31\0\x3f\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x62\x70\x66\x5f\x66\x65\x6e\
\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\
\x61\x70\x73\0\x2e\x62\x73\x73\0\x70\x65\x72\x63\x70\x75\x5f\x61\x6c\x6c\x6f\
\x63\x5f\x66\x61\x69\x6c\x2e\x63\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\
\x6d\x61\x70\x5f\x31\0\x61\x72\x72\x61\x79\0\x62\x70\x66\x5f\x70\x65\x72\x63\
\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x62\x70\x66\x5f\
\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\x70\
\x6c\0\x72\x65\x74\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\
\x5f\x32\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x33\0\
\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x34\0\x62\x70\x66\
\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\x70\x6c\0\x74\x65\x73\x74\x5f\
\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x35\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\
\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\
\x6d\x61\x70\x5f\x36\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\
\x5f\x37\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x38\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x3f\x66\x65\x6e\x74\x72\x79\
\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x2e\x72\
\x65\x6c\x3f\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x62\x70\x66\x5f\x66\x65\x6e\
\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\
\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x6c\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\0\0\0\x7d\x11\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x83\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x9b\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x11\0\0\x07\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\xb8\x12\0\0\x03\0\0\0\0\0\0\0\xe0\0\0\0\
\0\0\0\0\xc0\0\0\0\xc9\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\0\xda\
\x12\0\0\x04\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\x50\0\0\0\xeb\x20\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfd\x12\0\0\x04\0\0\0\0\0\0\x01\x48\0\0\0\0\0\0\0\
\x50\0\0\x01\x0e\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x1f\x12\0\0\
\x04\0\0\0\0\0\0\x01\x98\0\0\0\0\0\0\0\x50\0\0\x01\x30\x12\0\0\x04\0\0\0\0\0\0\
\x01\xe8\0\0\0\0\0\0\0\x50\0\0\x01\x41\x12\0\0\x04\0\0\0\0\0\0\x02\x38\0\0\0\0\
\0\0\0\x50\0\0\x01\x52\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xb4\x10\0\
\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\
\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\
\0\x15\x60\0\x11\0\0\0\0\x18\x10\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\
\0\0\x85\x01\0\0\xff\xff\xff\xff\x15\0\0\x0c\0\0\0\0\x07\x60\0\0\0\0\0\x08\xbf\
\x16\0\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc2\x15\0\0\x03\0\0\0\0\
\xbf\x10\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x18\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x7b\x61\0\0\0\0\0\0\xb4\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\xb4\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\
\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\
\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\x15\x60\0\x0d\0\0\0\0\x18\x10\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x15\0\0\
\x08\0\0\0\0\x07\x60\0\0\0\0\0\x08\xbf\x16\0\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\x85\
\0\0\0\0\0\0\xc2\x15\0\0\x03\0\0\0\0\xbf\x10\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\
\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x10\0\0\0\
\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x70\0\0\0\0\0\0\
\x15\x70\0\x14\0\0\0\0\x18\x10\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\
\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x60\0\0\0\0\0\0\x15\x60\0\x0e\0\0\0\0\x07\
\x70\0\0\0\0\0\x08\xbf\x17\0\0\0\0\0\0\xbf\x26\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc2\
\x15\0\0\x03\0\0\0\0\xbf\x10\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\
\xff\xff\xff\xbf\x16\0\0\0\0\0\0\x85\0\0\0\0\0\0\x9a\x79\x10\0\0\0\0\0\0\x18\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x18\x10\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\
\0\xff\xff\xff\xff\x15\0\0\x03\0\0\0\0\xbf\x10\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\
\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\
\0\0\x14\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x15\0\
\0\x03\0\0\0\0\xbf\x10\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\
\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\x35\0\0\0\0\0\0\0\0\
\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x15\0\0\x03\0\0\0\0\xbf\x10\0\
\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\x3c\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\
\x85\x01\0\0\xff\xff\xff\xff\x15\0\0\x03\0\0\0\0\xbf\x10\0\0\0\0\0\0\xb7\x20\0\
\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\
\x10\0\0\0\0\0\x44\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\
\xff\x15\0\0\x03\0\0\0\0\xbf\x10\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\
\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\
\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\x06\0\0\0\x0a\0\0\0\0\0\0\0\xa8\0\
\0\0\x07\0\0\0\x0a\0\0\0\0\0\0\0\xb0\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\x01\0\0\0\
\0\x05\0\0\0\x01\0\0\0\0\0\0\x01\x40\0\0\0\x06\0\0\0\x0a\0\0\0\0\0\0\x01\x88\0\
\0\0\x07\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\
\0\x06\0\0\0\x0a\0\0\0\0\0\0\0\xb0\0\0\0\x07\0\0\0\x0a\0\0\0\0\0\0\0\xd0\0\0\0\
\x08\0\0\0\x01\0\0\0\0\0\0\x01\x10\0\0\0\x06\0\0\0\x0a\0\0\0\0\0\0\x01\x30\0\0\
\0\x0c\0\0\0\x0a\0\0\0\0\0\0\x01\x60\0\0\0\x0e\0\0\0\x0a\0\0\0\0\0\0\x01\x80\0\
\0\0\x07\0\0\0\x0a\0\0\0\0\0\0\x01\xb0\0\0\0\x06\0\0\0\x0a\0\0\0\0\0\0\x01\xd0\
\0\0\0\x07\0\0\0\x0a\0\0\0\0\0\0\x02\0\0\0\0\x06\0\0\0\x0a\0\0\0\0\0\0\x02\x20\
\0\0\0\x07\0\0\0\x0a\0\0\0\0\0\0\x02\x50\0\0\0\x06\0\0\0\x0a\0\0\0\0\0\0\x02\
\x70\0\0\0\x07\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x04\xe8\0\0\x04\
\xe8\0\0\x08\xbf\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\
\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\x01\
\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x02\0\0\0\
\0\0\0\x09\0\0\0\x19\x04\0\0\x02\0\0\0\x10\0\0\0\x1e\0\0\0\x0a\0\0\0\0\0\0\0\
\x22\0\0\0\x0b\0\0\0\x40\0\0\0\x25\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\0\0\x02\
\0\0\0\0\0\0\x40\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x2a\0\0\0\x01\0\0\0\0\0\0\
\0\x2f\0\0\0\x05\0\0\0\x40\0\0\0\x3b\0\0\0\x07\0\0\0\x80\0\0\0\x3f\0\0\0\x08\0\
\0\0\xc0\0\0\0\x45\x0e\0\0\0\0\0\0\x0c\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0f\0\
\0\0\x4b\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x5e\
\0\0\0\x0e\0\0\0\x62\x0c\0\0\x01\0\0\0\x10\0\0\0\x73\x11\0\0\0\0\0\0\x11\xff\
\xff\xff\xff\0\0\0\x8f\x11\0\0\0\0\0\0\x11\xff\xff\xff\xff\0\0\0\xcd\x04\0\0\
\x03\0\0\0\x18\0\0\0\xd3\0\0\0\x0a\0\0\0\0\0\0\0\xd5\0\0\0\x0a\0\0\0\x40\0\0\0\
\xd7\0\0\0\x0a\0\0\0\x80\0\0\0\0\x0d\0\0\x02\0\0\0\x16\0\0\0\0\0\0\0\x17\0\0\0\
\0\0\0\0\x16\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\xd9\x08\0\0\0\0\0\0\x18\0\0\0\xdd\
\x08\0\0\0\0\0\0\x0f\0\0\0\xe3\x0c\0\0\x02\0\0\0\x15\0\0\0\0\x0d\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\x16\0\0\0\0\0\0\0\x16\0\0\0\xfb\x0c\0\0\x02\0\0\0\x1a\0\0\x01\
\x14\x0c\0\0\x01\0\0\0\x10\0\0\0\x73\x11\0\0\0\0\0\0\x1c\xff\xff\xff\xff\0\0\
\x01\x25\x11\0\0\0\0\0\0\x1c\xff\xff\xff\xff\0\0\x01\x81\x04\0\0\x01\0\0\0\x08\
\0\0\0\xd3\0\0\0\x0a\0\0\0\0\0\0\x01\x88\x0c\0\0\x01\0\0\0\x10\0\0\0\x73\x11\0\
\0\0\0\0\0\x20\xff\xff\xff\xff\0\0\x01\x99\x11\0\0\0\0\0\0\x20\xff\xff\xff\xff\
\0\0\x01\xfd\x0c\0\0\x01\0\0\0\x10\0\0\0\x73\x11\0\0\0\0\0\0\x23\xff\xff\xff\
\xff\0\0\x02\x0e\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\x02\x56\x0c\0\0\x02\0\
\0\0\x1a\0\0\x02\x68\x0c\0\0\x01\0\0\0\x10\0\0\0\x73\x11\0\0\0\0\0\0\x27\xff\
\xff\xff\xff\0\0\x02\x79\x11\0\0\0\0\0\0\x27\xff\xff\xff\xff\0\0\x02\xba\x0c\0\
\0\x02\0\0\0\x15\0\0\x02\xcb\x0c\0\0\x01\0\0\0\x10\0\0\0\x73\x11\0\0\0\0\0\0\
\x2b\xff\xff\xff\xff\0\0\x02\xdc\x11\0\0\0\0\0\0\x2b\xff\xff\xff\xff\0\0\x03\
\x39\x04\0\0\x01\0\0\0\x08\0\0\x03\x48\0\0\0\x2f\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\
\0\x30\0\0\x03\x4a\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\x03\x4f\x0c\0\0\x01\0\0\
\0\x10\0\0\0\x73\x11\0\0\0\0\0\0\x31\xff\xff\xff\xff\0\0\x03\x60\x11\0\0\0\0\0\
\0\x31\xff\xff\xff\xff\0\0\x03\xbe\x04\0\0\x01\0\0\0\x04\0\0\x03\xd1\0\0\0\x35\
\0\0\0\0\0\0\x03\xd6\x04\0\0\x01\0\0\0\x04\0\0\x03\xe4\0\0\0\x36\0\0\0\0\0\0\
\x03\xe8\x08\0\0\0\0\0\0\x37\0\0\x03\xee\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\x03\
\xfb\x0c\0\0\x01\0\0\0\x10\0\0\0\x73\x11\0\0\0\0\0\0\x38\xff\xff\xff\xff\0\0\
\x04\x0c\x11\0\0\0\0\0\0\x38\xff\xff\xff\xff\0\0\x04\x5d\x04\0\0\x01\0\0\x02\
\x58\0\0\0\xd3\0\0\0\x3c\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x04\
\0\0\x02\x58\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x04\0\0\0\x04\0\0\x04\
\x68\x0e\0\0\0\0\0\0\x3d\0\0\0\x01\0\0\x04\x71\x0e\0\0\0\0\0\0\x0a\0\0\0\x01\0\
\0\x04\x75\x12\0\0\0\0\0\0\x14\0\0\x08\x71\x0f\0\0\x01\0\0\0\x04\0\0\0\x3e\0\0\
\0\0\0\0\0\x04\0\0\x08\x79\x0f\0\0\x01\0\0\0\x20\0\0\0\x0d\0\0\0\0\0\0\0\x20\0\
\0\x08\x7f\x0f\0\0\x01\0\0\0\x08\0\0\0\x3f\0\0\0\0\0\0\0\x08\0\0\x08\x84\x0f\0\
\0\x04\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\0\0\0\0\0\0\0\0\x26\0\
\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x65\x6c\x65\x6d\0\
\x73\x75\x6d\0\x70\x63\0\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\
\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x61\x72\x72\
\x61\x79\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x63\x74\x78\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\
\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x73\x74\
\x6f\x72\x65\x20\x74\x6f\x20\x72\x65\x66\x65\x72\x65\x6e\x63\x65\x64\x20\x6b\
\x70\x74\x72\x20\x64\x69\x73\x61\x6c\x6c\x6f\x77\x65\x64\0\x76\x61\x6c\x5f\x74\
\0\x62\0\x63\0\x64\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x62\x70\x66\x5f\x70\
\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x62\
\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\
\x69\x6d\x70\x6c\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\
\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x6b\x70\x74\
\x72\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x52\x32\x20\x74\x79\x70\x65\x3d\x70\
\x65\x72\x63\x70\x75\x5f\x70\x74\x72\x5f\x76\x61\x6c\x32\x5f\x74\x20\x65\x78\
\x70\x65\x63\x74\x65\x64\x3d\x70\x74\x72\x5f\x76\x61\x6c\x5f\x74\0\x76\x61\x6c\
\x32\x5f\x74\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x33\
\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x32\x3d\x52\x31\x20\x74\x79\x70\x65\x3d\x73\x63\x61\x6c\
\x61\x72\x20\x65\x78\x70\x65\x63\x74\x65\x64\x3d\x70\x65\x72\x63\x70\x75\x5f\
\x70\x74\x72\x5f\x2c\x20\x70\x65\x72\x63\x70\x75\x5f\x72\x63\x75\x5f\x70\x74\
\x72\x5f\x2c\x20\x70\x65\x72\x63\x70\x75\x5f\x74\x72\x75\x73\x74\x65\x64\x5f\
\x70\x74\x72\x5f\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\
\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x61\x72\x67\x23\x30\x20\x65\x78\x70\x65\x63\
\x74\x65\x64\x20\x66\x6f\x72\x20\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\
\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\x70\x6c\x28\x29\0\x62\x70\x66\x5f\
\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\x70\x6c\0\x74\x65\x73\x74\x5f\x61\
\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x61\x72\
\x67\x23\x30\x20\x65\x78\x70\x65\x63\x74\x65\x64\x20\x66\x6f\x72\x20\x62\x70\
\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\x70\x6c\x28\x29\0\x62\x70\
\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x74\x65\x73\x74\x5f\
\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\x3d\x62\
\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x20\x74\
\x79\x70\x65\x20\x49\x44\x20\x61\x72\x67\x75\x6d\x65\x6e\x74\x20\x6d\x75\x73\
\x74\x20\x62\x65\x20\x6f\x66\x20\x61\x20\x73\x74\x72\x75\x63\x74\x20\x6f\x66\
\x20\x73\x63\x61\x6c\x61\x72\x73\0\x76\x61\x6c\x5f\x77\x69\x74\x68\x5f\x70\x74\
\x72\x5f\x74\0\x70\0\x63\x68\x61\x72\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\
\x5f\x6d\x61\x70\x5f\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\x3d\x62\x70\x66\x5f\x70\x65\
\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x20\x74\x79\x70\x65\x20\x49\
\x44\x20\x61\x72\x67\x75\x6d\x65\x6e\x74\x20\x6d\x75\x73\x74\x20\x6e\x6f\x74\
\x20\x63\x6f\x6e\x74\x61\x69\x6e\x20\x73\x70\x65\x63\x69\x61\x6c\x20\x66\x69\
\x65\x6c\x64\x73\0\x76\x61\x6c\x5f\x77\x69\x74\x68\x5f\x72\x62\x5f\x72\x6f\x6f\
\x74\x5f\x74\0\x6c\x6f\x63\x6b\0\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\
\x63\x6b\0\x76\x61\x6c\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\
\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x37\x3d\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\
\x6f\x62\x6a\x5f\x6e\x65\x77\x20\x74\x79\x70\x65\x20\x73\x69\x7a\x65\x20\x28\
\x36\x30\x30\x29\x20\x69\x73\x20\x67\x72\x65\x61\x74\x65\x72\x20\x74\x68\x61\
\x6e\x20\x35\x31\x32\0\x76\x61\x6c\x5f\x36\x30\x30\x62\x5f\x74\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x72\x65\x74\0\x70\x65\x72\x63\x70\x75\x5f\x6b\x70\x74\
\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\
\x39\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x39\x32\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x70\x65\x72\x63\x70\x75\x5f\x61\
\x6c\x6c\x6f\x63\x5f\x66\x61\x69\x6c\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\
\x5f\x31\x29\0\x09\x69\x6e\x74\x20\x69\x6e\x64\x65\x78\x20\x3d\x20\x30\x3b\0\
\x09\x65\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x65\x6c\x65\x6d\x28\x26\x61\x72\x72\x61\x79\x2c\x20\x26\x69\x6e\x64\x65\
\x78\x29\x3b\0\x09\x69\x66\x20\x28\x21\x65\x29\0\x09\x70\x20\x3d\x20\x62\x70\
\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x73\x74\
\x72\x75\x63\x74\x20\x76\x61\x6c\x5f\x74\x29\x3b\0\x09\x69\x66\x20\x28\x21\x70\
\x29\0\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\
\x28\x26\x65\x2d\x3e\x70\x63\x2c\x20\x70\x29\x3b\0\x09\x69\x66\x20\x28\x70\x29\
\0\x09\x09\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x64\x72\
\x6f\x70\x28\x70\x29\x3b\0\x09\x65\x2d\x3e\x70\x63\x20\x3d\x20\x28\x73\x74\x72\
\x75\x63\x74\x20\x76\x61\x6c\x5f\x74\x20\x5f\x5f\x70\x65\x72\x63\x70\x75\x5f\
\x6b\x70\x74\x72\x20\x2a\x29\x72\x65\x74\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\
\x5f\x32\x29\0\x09\x70\x32\x20\x3d\x20\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\
\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x73\x74\x72\x75\x63\x74\x20\x76\x61\x6c\
\x32\x5f\x74\x29\x3b\0\x09\x69\x66\x20\x28\x21\x70\x32\x29\0\x09\x70\x20\x3d\
\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\x65\x2d\x3e\
\x70\x63\x2c\x20\x70\x32\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x33\x29\0\
\x09\x70\x31\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\
\x28\x26\x65\x2d\x3e\x70\x63\x2c\x20\x70\x29\x3b\0\x09\x69\x66\x20\x28\x70\x31\
\x29\0\x09\x09\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x64\
\x72\x6f\x70\x28\x70\x31\x29\x3b\0\x09\x76\x20\x3d\x20\x62\x70\x66\x5f\x74\x68\
\x69\x73\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\x70\x29\x3b\0\x09\x72\x65\x74\x20\
\x3d\x20\x76\x2d\x3e\x62\x3b\0\x09\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\
\x70\x28\x70\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\
\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x34\x29\0\x09\x70\x20\
\x3d\x20\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x73\x74\x72\x75\x63\
\x74\x20\x76\x61\x6c\x5f\x74\x29\x3b\0\x09\x62\x70\x66\x5f\x70\x65\x72\x63\x70\
\x75\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x28\x70\x29\x3b\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\
\x6d\x61\x70\x5f\x35\x29\0\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x70\x65\x72\x63\
\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x73\x74\x72\x75\x63\x74\x20\x76\
\x61\x6c\x5f\x77\x69\x74\x68\x5f\x70\x74\x72\x5f\x74\x29\x3b\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\
\x5f\x6d\x61\x70\x5f\x36\x29\0\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x70\x65\x72\
\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x73\x74\x72\x75\x63\x74\x20\
\x76\x61\x6c\x5f\x77\x69\x74\x68\x5f\x72\x62\x5f\x72\x6f\x6f\x74\x5f\x74\x29\
\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\
\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x37\x29\0\x09\x70\x20\x3d\x20\x62\x70\
\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x73\x74\
\x72\x75\x63\x74\x20\x76\x61\x6c\x5f\x36\x30\x30\x62\x5f\x74\x29\x3b\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\
\x61\x79\x5f\x6d\x61\x70\x5f\x38\x29\0\x30\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x6d\x61\x70\x73\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x3f\x66\x65\x6e\
\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x31\0\x3f\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\
\x72\x79\x5f\x74\x65\x73\x74\x31\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x54\
\0\0\0\x54\0\0\x03\xb4\0\0\x04\x08\0\0\0\x94\0\0\0\x08\0\0\x08\x8b\0\0\0\x02\0\
\0\0\0\0\0\0\x11\0\0\0\xe0\0\0\0\x1c\0\0\x08\xa4\0\0\0\x06\0\0\0\0\0\0\0\x20\0\
\0\0\xf8\0\0\0\x23\0\0\x01\x48\0\0\0\x27\0\0\x01\x98\0\0\0\x2b\0\0\x01\xe8\0\0\
\0\x31\0\0\x02\x38\0\0\0\x38\0\0\0\x10\0\0\x08\x8b\0\0\0\x18\0\0\0\0\0\0\x04\
\x81\0\0\x04\xfe\0\0\xa0\0\0\0\0\x08\0\0\x04\x81\0\0\x05\x1d\0\0\xb0\x06\0\0\0\
\x20\0\0\x04\x81\0\0\x05\x2d\0\0\xb8\x06\0\0\0\x40\0\0\x04\x81\0\0\x05\x57\0\0\
\xbc\x06\0\0\0\x48\0\0\x04\x81\0\0\x05\x60\0\0\xc8\x06\0\0\0\x68\0\0\x04\x81\0\
\0\x05\x87\0\0\xcc\x06\0\0\0\x70\0\0\x04\x81\0\0\x05\x90\0\0\xd8\x18\0\0\0\x78\
\0\0\x04\x81\0\0\x05\x90\0\0\xd8\x06\0\0\0\x90\0\0\x04\x81\0\0\x05\xaf\0\0\xdc\
\x06\0\0\0\x98\0\0\x04\x81\0\0\x05\xb7\0\0\xe0\x03\0\0\0\xb0\0\0\x04\x81\0\0\
\x05\xd1\0\0\xe8\x28\0\0\0\xc8\0\0\x04\x81\0\0\x05\xd1\0\0\xe8\x08\0\0\0\xd0\0\
\0\x04\x81\0\0\x04\xfe\0\0\xa0\x05\0\0\0\xe0\0\0\x04\x81\0\0\x05\xfd\0\x01\0\0\
\0\0\0\xe8\0\0\x04\x81\0\0\x05\x1d\0\x01\x14\x06\0\0\x01\0\0\0\x04\x81\0\0\x05\
\x2d\0\x01\x1c\x06\0\0\x01\x20\0\0\x04\x81\0\0\x05\x57\0\x01\x20\x06\0\0\x01\
\x28\0\0\x04\x81\0\0\x06\x1c\0\x01\x2c\x07\0\0\x01\x48\0\0\x04\x81\0\0\x06\x45\
\0\x01\x30\x06\0\0\x01\x50\0\0\x04\x81\0\0\x06\x4f\0\x01\x3c\x18\0\0\x01\x58\0\
\0\x04\x81\0\0\x06\x4f\0\x01\x3c\x06\0\0\x01\x70\0\0\x04\x81\0\0\x05\xaf\0\x01\
\x40\x06\0\0\x01\x78\0\0\x04\x81\0\0\x05\xb7\0\x01\x44\x03\0\0\x01\x90\0\0\x04\
\x81\0\0\x05\xfd\0\x01\0\x05\0\0\x08\xa4\0\0\0\x22\0\0\0\0\0\0\x04\x81\0\0\x06\
\x6f\0\x01\x60\0\0\0\0\x08\0\0\x04\x81\0\0\x05\x1d\0\x01\x74\x06\0\0\0\x20\0\0\
\x04\x81\0\0\x05\x2d\0\x01\x7c\x06\0\0\0\x40\0\0\x04\x81\0\0\x05\x57\0\x01\x80\
\x06\0\0\0\x48\0\0\x04\x81\0\0\x05\x60\0\x01\x8c\x06\0\0\0\x70\0\0\x04\x81\0\0\
\x05\x87\0\x01\x90\x06\0\0\0\x78\0\0\x04\x81\0\0\x06\x8e\0\x01\x9c\x19\0\0\0\
\x80\0\0\x04\x81\0\0\x06\x8e\0\x01\x9c\x07\0\0\0\x98\0\0\x04\x81\0\0\x06\xae\0\
\x01\xa0\x06\0\0\0\xa0\0\0\x04\x81\0\0\x06\xb7\0\x01\xa4\x03\0\0\0\xb8\0\0\x04\
\x81\0\0\x06\xd2\0\x01\xac\x06\0\0\0\xc8\0\0\x04\x81\0\0\x06\xec\0\x01\xb0\x0b\
\0\0\0\xd0\0\0\x04\x81\0\0\x06\xec\0\x01\xb0\x06\0\0\0\xe8\0\0\x04\x81\0\0\x06\
\x6f\0\x01\x60\x05\0\0\0\xf8\0\0\x04\x81\0\0\x05\x60\0\x01\xd8\x06\0\0\x01\x18\
\0\0\x04\x81\0\0\x05\x87\0\x01\xdc\x06\0\0\x01\x20\0\0\x04\x81\0\0\x06\xf9\0\
\x01\xe8\x02\0\0\x01\x38\0\0\x04\x81\0\0\x07\x0b\0\x01\xc8\x05\0\0\x01\x48\0\0\
\x04\x81\0\0\x07\x2a\0\x02\x10\x06\0\0\x01\x68\0\0\x04\x81\0\0\x05\x87\0\x02\
\x14\x06\0\0\x01\x70\0\0\x04\x81\0\0\x07\x4a\0\x02\x20\x02\0\0\x01\x88\0\0\x04\
\x81\0\0\x07\x63\0\x02\0\x05\0\0\x01\x98\0\0\x04\x81\0\0\x07\x82\0\x02\x48\x06\
\0\0\x01\xb8\0\0\x04\x81\0\0\x05\x87\0\x02\x4c\x06\0\0\x01\xc0\0\0\x04\x81\0\0\
\x07\x4a\0\x02\x58\x02\0\0\x01\xd8\0\0\x04\x81\0\0\x07\xb2\0\x02\x38\x05\0\0\
\x01\xe8\0\0\x04\x81\0\0\x07\xd1\0\x02\x80\x06\0\0\x02\x08\0\0\x04\x81\0\0\x05\
\x87\0\x02\x84\x06\0\0\x02\x10\0\0\x04\x81\0\0\x07\x4a\0\x02\x90\x02\0\0\x02\
\x28\0\0\x04\x81\0\0\x08\x05\0\x02\x70\x05\0\0\x02\x38\0\0\x04\x81\0\0\x08\x24\
\0\x02\xb8\x06\0\0\x02\x58\0\0\x04\x81\0\0\x05\x87\0\x02\xbc\x06\0\0\x02\x60\0\
\0\x04\x81\0\0\x07\x4a\0\x02\xc8\x02\0\0\x02\x78\0\0\x04\x81\0\0\x08\x50\0\x02\
\xa8\x05\0\0\0\x10\0\0\x08\x8b\0\0\0\x02\0\0\0\x48\0\0\0\x14\0\0\x08\x6f\0\0\0\
\x06\0\0\x01\x28\0\0\0\x1f\0\0\x08\x6f\0\0\0\x06\0\0\x08\xa4\0\0\0\x06\0\0\0\
\x48\0\0\0\x14\0\0\x08\x6f\0\0\0\x06\0\0\0\xf8\0\0\0\x14\0\0\x08\x6f\0\0\0\x06\
\0\0\x01\x48\0\0\0\x14\0\0\x08\x6f\0\0\0\x06\0\0\x01\x98\0\0\0\x2e\0\0\x08\x6f\
\0\0\0\x06\0\0\x01\xe8\0\0\0\x34\0\0\x08\x6f\0\0\0\x06\0\0\x02\x38\0\0\0\x3b\0\
\0\x08\x6f\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\x01\xa5\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xe8\0\0\0\0\0\0\x01\xc8\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\
\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xb0\0\0\0\0\0\0\x01\xa0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x50\0\0\0\0\0\0\x02\x88\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x45\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x07\xd8\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x4d\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x07\xe0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\x53\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\
\x5b\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\x70\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x78\0\0\
\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x70\0\0\0\0\0\0\0\xe0\
\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x97\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x50\0\0\0\0\0\0\x0d\xbf\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x9c\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\x10\0\0\0\0\0\0\x04\xbc\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct percpu_alloc_fail *percpu_alloc_fail::open(const struct bpf_object_open_opts *opts) { return percpu_alloc_fail__open_opts(opts); }
struct percpu_alloc_fail *percpu_alloc_fail::open_and_load() { return percpu_alloc_fail__open_and_load(); }
int percpu_alloc_fail::load(struct percpu_alloc_fail *skel) { return percpu_alloc_fail__load(skel); }
int percpu_alloc_fail::attach(struct percpu_alloc_fail *skel) { return percpu_alloc_fail__attach(skel); }
void percpu_alloc_fail::detach(struct percpu_alloc_fail *skel) { percpu_alloc_fail__detach(skel); }
void percpu_alloc_fail::destroy(struct percpu_alloc_fail *skel) { percpu_alloc_fail__destroy(skel); }
const void *percpu_alloc_fail::elf_bytes(size_t *sz) { return percpu_alloc_fail__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
percpu_alloc_fail__assert(struct percpu_alloc_fail *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->ret) == 8, "unexpected size of 'ret'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __PERCPU_ALLOC_FAIL_SKEL_H__ */
