/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_SUBPROG_PRECISION_SKEL_H__
#define __VERIFIER_SUBPROG_PRECISION_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_subprog_precision {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data_vals;
	} maps;
	struct {
		struct bpf_program *subprog_result_precise;
		struct bpf_program *fp_precise_subprog_result;
		struct bpf_program *sneaky_fp_precise_subprog_result;
		struct bpf_program *global_subprog_result_precise;
		struct bpf_program *callback_precise_return_fail;
		struct bpf_program *callback_result_precise;
		struct bpf_program *parent_callee_saved_reg_precise;
		struct bpf_program *parent_callee_saved_reg_precise_global;
		struct bpf_program *parent_callee_saved_reg_precise_with_callback;
		struct bpf_program *parent_stack_slot_precise;
		struct bpf_program *parent_stack_slot_precise_global;
		struct bpf_program *parent_stack_slot_precise_with_callback;
		struct bpf_program *subprog_arg_precise;
		struct bpf_program *subprog_spill_into_parent_stack_slot_precise;
		struct bpf_program *stack_slot_aliases_precision;
	} progs;
	struct {
		struct bpf_link *subprog_result_precise;
		struct bpf_link *fp_precise_subprog_result;
		struct bpf_link *sneaky_fp_precise_subprog_result;
		struct bpf_link *global_subprog_result_precise;
		struct bpf_link *callback_precise_return_fail;
		struct bpf_link *callback_result_precise;
		struct bpf_link *parent_callee_saved_reg_precise;
		struct bpf_link *parent_callee_saved_reg_precise_global;
		struct bpf_link *parent_callee_saved_reg_precise_with_callback;
		struct bpf_link *parent_stack_slot_precise;
		struct bpf_link *parent_stack_slot_precise_global;
		struct bpf_link *parent_stack_slot_precise_with_callback;
		struct bpf_link *subprog_arg_precise;
		struct bpf_link *subprog_spill_into_parent_stack_slot_precise;
		struct bpf_link *stack_slot_aliases_precision;
	} links;
	struct verifier_subprog_precision__data_vals {
		int vals[4];
	} *data_vals;

#ifdef __cplusplus
	static inline struct verifier_subprog_precision *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_subprog_precision *open_and_load();
	static inline int load(struct verifier_subprog_precision *skel);
	static inline int attach(struct verifier_subprog_precision *skel);
	static inline void detach(struct verifier_subprog_precision *skel);
	static inline void destroy(struct verifier_subprog_precision *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_subprog_precision__destroy(struct verifier_subprog_precision *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_subprog_precision__create_skeleton(struct verifier_subprog_precision *obj);

static inline struct verifier_subprog_precision *
verifier_subprog_precision__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_subprog_precision *obj;
	int err;

	obj = (struct verifier_subprog_precision *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_subprog_precision__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_subprog_precision__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_subprog_precision *
verifier_subprog_precision__open(void)
{
	return verifier_subprog_precision__open_opts(NULL);
}

static inline int
verifier_subprog_precision__load(struct verifier_subprog_precision *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_subprog_precision *
verifier_subprog_precision__open_and_load(void)
{
	struct verifier_subprog_precision *obj;
	int err;

	obj = verifier_subprog_precision__open();
	if (!obj)
		return NULL;
	err = verifier_subprog_precision__load(obj);
	if (err) {
		verifier_subprog_precision__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_subprog_precision__attach(struct verifier_subprog_precision *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_subprog_precision__detach(struct verifier_subprog_precision *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_subprog_precision__elf_bytes(size_t *sz);

static inline int
verifier_subprog_precision__create_skeleton(struct verifier_subprog_precision *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_subprog_precision";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = ".data.vals";
	map->map = &obj->maps.data_vals;
	map->mmaped = (void **)&obj->data_vals;

	/* programs */
	s->prog_cnt = 15;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "subprog_result_precise";
	s->progs[0].prog = &obj->progs.subprog_result_precise;
	s->progs[0].link = &obj->links.subprog_result_precise;

	s->progs[1].name = "fp_precise_subprog_result";
	s->progs[1].prog = &obj->progs.fp_precise_subprog_result;
	s->progs[1].link = &obj->links.fp_precise_subprog_result;

	s->progs[2].name = "sneaky_fp_precise_subprog_result";
	s->progs[2].prog = &obj->progs.sneaky_fp_precise_subprog_result;
	s->progs[2].link = &obj->links.sneaky_fp_precise_subprog_result;

	s->progs[3].name = "global_subprog_result_precise";
	s->progs[3].prog = &obj->progs.global_subprog_result_precise;
	s->progs[3].link = &obj->links.global_subprog_result_precise;

	s->progs[4].name = "callback_precise_return_fail";
	s->progs[4].prog = &obj->progs.callback_precise_return_fail;
	s->progs[4].link = &obj->links.callback_precise_return_fail;

	s->progs[5].name = "callback_result_precise";
	s->progs[5].prog = &obj->progs.callback_result_precise;
	s->progs[5].link = &obj->links.callback_result_precise;

	s->progs[6].name = "parent_callee_saved_reg_precise";
	s->progs[6].prog = &obj->progs.parent_callee_saved_reg_precise;
	s->progs[6].link = &obj->links.parent_callee_saved_reg_precise;

	s->progs[7].name = "parent_callee_saved_reg_precise_global";
	s->progs[7].prog = &obj->progs.parent_callee_saved_reg_precise_global;
	s->progs[7].link = &obj->links.parent_callee_saved_reg_precise_global;

	s->progs[8].name = "parent_callee_saved_reg_precise_with_callback";
	s->progs[8].prog = &obj->progs.parent_callee_saved_reg_precise_with_callback;
	s->progs[8].link = &obj->links.parent_callee_saved_reg_precise_with_callback;

	s->progs[9].name = "parent_stack_slot_precise";
	s->progs[9].prog = &obj->progs.parent_stack_slot_precise;
	s->progs[9].link = &obj->links.parent_stack_slot_precise;

	s->progs[10].name = "parent_stack_slot_precise_global";
	s->progs[10].prog = &obj->progs.parent_stack_slot_precise_global;
	s->progs[10].link = &obj->links.parent_stack_slot_precise_global;

	s->progs[11].name = "parent_stack_slot_precise_with_callback";
	s->progs[11].prog = &obj->progs.parent_stack_slot_precise_with_callback;
	s->progs[11].link = &obj->links.parent_stack_slot_precise_with_callback;

	s->progs[12].name = "subprog_arg_precise";
	s->progs[12].prog = &obj->progs.subprog_arg_precise;
	s->progs[12].link = &obj->links.subprog_arg_precise;

	s->progs[13].name = "subprog_spill_into_parent_stack_slot_precise";
	s->progs[13].prog = &obj->progs.subprog_spill_into_parent_stack_slot_precise;
	s->progs[13].link = &obj->links.subprog_spill_into_parent_stack_slot_precise;

	s->progs[14].name = "stack_slot_aliases_precision";
	s->progs[14].prog = &obj->progs.stack_slot_aliases_precision;
	s->progs[14].link = &obj->links.stack_slot_aliases_precision;

	s->data = verifier_subprog_precision__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_subprog_precision__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x64\x98\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x3f\x72\x61\x77\x5f\x74\x70\0\x2e\x64\x61\x74\x61\x2e\x76\x61\x6c\
\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x73\
\x75\x62\x70\x72\x6f\x67\x5f\x70\x72\x65\x63\x69\x73\x69\x6f\x6e\x2e\x63\0\x69\
\x64\x65\x6e\x74\x69\x74\x79\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x63\x61\x6c\x6c\
\x62\x61\x63\x6b\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x66\x70\x5f\x6c\x65\x61\x6b\
\x69\x6e\x67\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x73\x6e\x65\x61\x6b\x79\x5f\x66\
\x70\x5f\x6c\x65\x61\x6b\x69\x6e\x67\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x6c\x6f\
\x6f\x70\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x62\x61\x64\0\x73\x75\x62\x70\
\x72\x6f\x67\x5f\x77\x69\x74\x68\x5f\x70\x72\x65\x63\x69\x73\x65\x5f\x61\x72\
\x67\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x73\x70\x69\x6c\x6c\x5f\x72\x65\x67\x5f\
\x70\x72\x65\x63\x69\x73\x65\0\x67\x6c\x6f\x62\x61\x6c\x5f\x69\x64\x65\x6e\x74\
\x69\x74\x79\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x73\x75\x62\x70\x72\x6f\x67\x5f\
\x72\x65\x73\x75\x6c\x74\x5f\x70\x72\x65\x63\x69\x73\x65\0\x76\x61\x6c\x73\0\
\x66\x70\x5f\x70\x72\x65\x63\x69\x73\x65\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\
\x72\x65\x73\x75\x6c\x74\0\x73\x6e\x65\x61\x6b\x79\x5f\x66\x70\x5f\x70\x72\x65\
\x63\x69\x73\x65\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x72\x65\x73\x75\x6c\x74\0\
\x67\x6c\x6f\x62\x61\x6c\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x72\x65\x73\x75\
\x6c\x74\x5f\x70\x72\x65\x63\x69\x73\x65\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x5f\x72\x65\x74\x75\x72\x6e\x5f\x66\x61\x69\x6c\0\
\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x72\x65\x73\x75\x6c\x74\x5f\x70\x72\x65\
\x63\x69\x73\x65\0\x70\x61\x72\x65\x6e\x74\x5f\x63\x61\x6c\x6c\x65\x65\x5f\x73\
\x61\x76\x65\x64\x5f\x72\x65\x67\x5f\x70\x72\x65\x63\x69\x73\x65\0\x70\x61\x72\
\x65\x6e\x74\x5f\x63\x61\x6c\x6c\x65\x65\x5f\x73\x61\x76\x65\x64\x5f\x72\x65\
\x67\x5f\x70\x72\x65\x63\x69\x73\x65\x5f\x67\x6c\x6f\x62\x61\x6c\0\x70\x61\x72\
\x65\x6e\x74\x5f\x63\x61\x6c\x6c\x65\x65\x5f\x73\x61\x76\x65\x64\x5f\x72\x65\
\x67\x5f\x70\x72\x65\x63\x69\x73\x65\x5f\x77\x69\x74\x68\x5f\x63\x61\x6c\x6c\
\x62\x61\x63\x6b\0\x70\x61\x72\x65\x6e\x74\x5f\x73\x74\x61\x63\x6b\x5f\x73\x6c\
\x6f\x74\x5f\x70\x72\x65\x63\x69\x73\x65\0\x70\x61\x72\x65\x6e\x74\x5f\x73\x74\
\x61\x63\x6b\x5f\x73\x6c\x6f\x74\x5f\x70\x72\x65\x63\x69\x73\x65\x5f\x67\x6c\
\x6f\x62\x61\x6c\0\x70\x61\x72\x65\x6e\x74\x5f\x73\x74\x61\x63\x6b\x5f\x73\x6c\
\x6f\x74\x5f\x70\x72\x65\x63\x69\x73\x65\x5f\x77\x69\x74\x68\x5f\x63\x61\x6c\
\x6c\x62\x61\x63\x6b\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x61\x72\x67\x5f\x70\x72\
\x65\x63\x69\x73\x65\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x73\x70\x69\x6c\x6c\x5f\
\x69\x6e\x74\x6f\x5f\x70\x61\x72\x65\x6e\x74\x5f\x73\x74\x61\x63\x6b\x5f\x73\
\x6c\x6f\x74\x5f\x70\x72\x65\x63\x69\x73\x65\0\x73\x74\x61\x63\x6b\x5f\x73\x6c\
\x6f\x74\x5f\x61\x6c\x69\x61\x73\x65\x73\x5f\x70\x72\x65\x63\x69\x73\x69\x6f\
\x6e\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\
\x2e\x72\x65\x6c\x3f\x72\x61\x77\x5f\x74\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x32\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\x02\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\x60\x02\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x10\0\0\0\0\x03\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x02\0\0\x03\0\0\0\0\0\0\0\x30\0\
\0\0\0\0\0\0\x10\0\0\0\x84\x02\0\0\x03\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x18\0\0\
\0\x9e\x02\0\0\x03\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\x28\0\0\0\xb0\x02\0\0\x03\0\
\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x40\0\0\0\xc9\x02\0\0\x03\0\0\0\0\0\0\0\xc0\0\0\
\0\0\0\0\0\x30\0\0\0\xe3\x12\0\0\x03\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x10\0\0\0\
\xfb\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\x01\x12\x11\0\0\x05\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\x01\x17\x12\0\0\x04\0\0\0\0\0\0\0\x50\0\0\0\
\0\0\0\0\x48\0\0\x01\x31\x12\0\0\x04\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x48\0\0\
\x01\x52\x12\0\0\x04\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x60\0\0\x01\x70\x12\0\0\
\x04\0\0\0\0\0\0\x01\x40\0\0\0\0\0\0\0\x48\0\0\x01\x8d\x12\0\0\x04\0\0\0\0\0\0\
\x01\x88\0\0\0\0\0\0\0\x88\0\0\x01\xa5\x12\0\0\x04\0\0\0\0\0\0\x02\x10\0\0\0\0\
\0\0\0\x50\0\0\x01\xc5\x12\0\0\x04\0\0\0\0\0\0\x02\x60\0\0\0\0\0\0\0\x50\0\0\
\x01\xec\x12\0\0\x04\0\0\0\0\0\0\x02\xb0\0\0\0\0\0\0\0\x78\0\0\x02\x1a\x12\0\0\
\x04\0\0\0\0\0\0\x03\x28\0\0\0\0\0\0\0\x60\0\0\x02\x34\x12\0\0\x04\0\0\0\0\0\0\
\x03\x88\0\0\0\0\0\0\0\x60\0\0\x02\x55\x12\0\0\x04\0\0\0\0\0\0\x03\xe8\0\0\0\0\
\0\0\0\x88\0\0\x02\x7d\x12\0\0\x04\0\0\0\0\0\0\x04\x70\0\0\0\0\0\0\0\x28\0\0\
\x02\x91\x12\0\0\x04\0\0\0\0\0\0\x04\x98\0\0\0\0\0\0\0\x68\0\0\x02\xbe\x12\0\0\
\x04\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\0\xa0\0\0\x02\xdb\x11\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\xbf\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x0a\0\x08\0\0\0\0\
\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\xbf\x01\0\x08\0\0\0\0\x95\0\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x07\x65\0\0\x01\0\0\x03\xe8\xb7\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x02\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0f\x21\0\0\0\0\0\0\x61\x02\0\0\0\0\0\0\x67\0\0\0\0\0\0\x20\xc7\0\0\0\0\0\0\
\x20\x95\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x7b\xa2\xff\xf0\0\0\0\0\x79\x0a\xff\
\xf0\0\0\0\0\x79\x21\0\0\0\0\0\0\x0f\x02\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x70\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x60\0\0\0\0\0\x03\xbf\x16\0\0\0\0\0\0\x85\x01\
\0\0\xff\xff\xff\xff\x27\0\0\0\0\0\0\x04\xbf\x17\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\
\0\x61\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\x01\0\0\0\0\0\x05\x57\0\0\0\0\0\0\x03\x27\0\0\0\0\0\0\x04\xbf\x16\0\0\0\0\
\0\0\x0f\x10\0\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x60\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x85\x01\0\0\0\0\0\x07\x57\0\0\0\0\0\0\x03\x27\0\0\0\0\0\0\
\x04\xbf\x16\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x60\0\0\0\0\0\x03\xbf\x16\0\0\0\0\
\0\0\x85\x01\0\0\xff\xff\xff\xff\xa5\0\0\x01\0\0\0\x04\xb7\0\0\0\0\0\0\x03\x27\
\0\0\0\0\0\0\x04\xbf\x17\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x61\x01\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x18\x60\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x01\
\xbf\x26\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\xb5\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\x80\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\xb7\x60\0\0\0\0\0\x03\xbf\x16\0\0\0\0\0\
\0\xbf\x28\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\xb5\xbf\x60\0\0\0\0\0\0\x25\x60\0\x04\0\0\0\x03\x27\x60\0\0\0\0\0\x04\xbf\x17\
\0\0\0\0\0\0\x0f\x16\0\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x70\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x60\0\0\0\0\0\x03\xb7\x10\0\0\0\0\0\0\x85\x01\
\0\0\xff\xff\xff\xff\x27\x60\0\0\0\0\0\x04\xbf\x17\0\0\0\0\0\0\x0f\x16\0\0\0\0\
\0\0\x61\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x60\0\0\0\0\0\x03\xb7\x10\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x27\x60\
\0\0\0\0\0\x04\xbf\x17\0\0\0\0\0\0\x0f\x16\0\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x80\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\0\xb7\x60\0\0\0\0\0\x03\xb7\x10\0\0\0\0\0\x01\xbf\x28\0\0\0\0\0\0\xb7\
\x30\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xb5\x27\x60\0\0\0\0\0\x04\
\xbf\x17\0\0\0\0\0\0\x0f\x16\0\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x60\0\0\0\0\0\x03\x7b\xa6\xff\xf8\0\0\
\0\0\xb7\x10\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x79\x6a\xff\xf8\0\0\0\0\
\x27\x60\0\0\0\0\0\x04\xbf\x17\0\0\0\0\0\0\x0f\x16\0\0\0\0\0\0\x61\x01\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x60\0\0\0\0\0\
\x03\x7b\xa6\xff\xf8\0\0\0\0\xb7\x10\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\
\x79\x6a\xff\xf8\0\0\0\0\x27\x60\0\0\0\0\0\x04\xbf\x17\0\0\0\0\0\0\x0f\x16\0\0\
\0\0\0\0\x61\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x18\x80\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\xb7\x60\0\0\0\0\0\x03\x7b\xa6\xff\
\xf8\0\0\0\0\xbf\x16\0\0\0\0\0\0\xbf\x28\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\0\xb7\
\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xb5\x79\x6a\xff\xf8\0\0\0\0\x27\x60\0\0\0\0\0\
\x04\xbf\x17\0\0\0\0\0\0\x0f\x16\0\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xb7\x60\0\0\0\0\0\x03\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\0\0\0\x0f\x0f\x06\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x60\0\0\0\
\0\0\x01\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xbf\x26\0\0\0\0\0\0\
\x85\x01\0\0\0\0\0\x17\x79\x7a\xff\xf8\0\0\0\0\x27\x70\0\0\0\0\0\x04\xbf\x18\0\
\0\0\0\0\0\x0f\x17\0\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x70\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x60\0\0\0\0\0\x01\xbf\x16\0\0\0\0\0\0\x85\x01\0\
\0\xff\xff\xff\xff\xbf\x7a\0\0\0\0\0\0\x07\x70\0\0\xff\xff\xff\xf8\xbf\x8a\0\0\
\0\0\0\0\x07\x80\0\0\xff\xff\xff\xe0\x7b\xa0\xff\xf0\0\0\0\0\x79\x07\xff\xf8\0\
\0\0\0\x7b\x80\0\x10\0\0\0\0\x79\x08\0\x10\0\0\0\0\x7b\x70\xff\xf8\0\0\0\0\x79\
\x0a\xff\xf0\0\0\0\0\x27\0\0\0\0\0\0\x04\xbf\x17\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\
\0\x61\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x03\0\0\0\
\x04\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\0\x50\
\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\0\x98\0\
\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\xa8\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\0\xe0\0\0\
\0\x0d\0\0\0\x01\0\0\0\0\0\0\x01\0\0\0\0\x0b\0\0\0\x0a\0\0\0\0\0\0\x01\x40\0\0\
\0\x02\0\0\0\x01\0\0\0\0\0\0\x01\x88\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\x01\x98\0\
\0\0\x02\0\0\0\x01\0\0\0\0\0\0\x02\x10\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\x02\x30\
\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\x02\x60\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\x02\
\x80\0\0\0\x0b\0\0\0\x0a\0\0\0\0\0\0\x02\xb0\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\
\x02\xc0\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\x03\x28\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\
\0\x03\x50\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\x03\x88\0\0\0\x0d\0\0\0\x01\0\0\0\0\
\0\0\x03\xb0\0\0\0\x0b\0\0\0\x0a\0\0\0\0\0\0\x03\xe8\0\0\0\x0d\0\0\0\x01\0\0\0\
\0\0\0\x03\xf8\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\x04\x80\0\0\0\x02\0\0\0\x0a\0\0\
\0\0\0\0\x04\x98\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\x04\xc8\0\0\0\x02\0\0\0\x0a\0\
\0\0\0\0\0\x05\0\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\x05\x20\0\0\0\x02\0\0\0\x0a\
\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x10\x9c\0\0\x10\x9c\0\0\x42\xd9\0\0\0\0\
\x0d\0\0\0\0\0\0\x02\0\0\0\x01\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\x0f\x0c\0\0\
\0\0\0\0\x01\0\0\0\x20\x08\0\0\0\0\0\0\x05\0\0\0\x26\x01\0\0\0\0\0\0\x08\0\0\0\
\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x39\0\0\0\x04\0\0\0\x3b\x0c\0\0\x01\0\
\0\0\x06\0\0\0\x53\x0c\0\0\0\0\0\0\x01\0\0\0\0\x0d\0\0\0\0\0\0\x0a\0\0\0\x64\
\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x68\x0c\0\0\x01\0\0\0\x09\0\0\0\x7f\x11\
\0\0\0\0\0\0\x0b\xff\xff\xff\xff\0\0\0\x9b\x11\0\0\0\0\0\0\x0b\xff\xff\xff\xff\
\0\0\0\xb4\x11\0\0\0\0\0\0\x0b\xff\xff\xff\xff\0\0\0\xdf\x11\0\0\0\0\0\0\x0b\
\xff\xff\xff\xff\0\0\x01\x35\x11\0\0\0\0\0\0\x0b\xff\xff\xff\xff\0\0\x01\x8b\
\x11\0\0\0\0\0\0\x0b\xff\xff\xff\xff\0\0\x01\xdf\x11\0\0\0\0\0\0\x0b\xff\xff\
\xff\xff\0\0\x02\x36\x11\0\0\0\0\0\0\x0b\xff\xff\xff\xff\0\0\x02\x8e\x11\0\0\0\
\0\0\0\x0b\xff\xff\xff\xff\0\0\x02\xe4\x11\0\0\0\0\0\0\x0b\xff\xff\xff\xff\0\0\
\x03\x39\x0c\0\0\0\0\0\0\x01\0\0\x03\x4c\x0c\0\0\0\0\0\0\x01\0\0\x03\x66\x0c\0\
\0\x01\0\0\0\x09\0\0\0\x7f\x11\0\0\0\0\0\0\x18\xff\xff\xff\xff\0\0\0\x9b\x11\0\
\0\0\0\0\0\x18\xff\xff\xff\xff\0\0\x03\x80\x11\0\0\0\0\0\0\x18\xff\xff\xff\xff\
\0\0\x03\xab\x11\0\0\0\0\0\0\x18\xff\xff\xff\xff\0\0\x04\0\x11\0\0\0\0\0\0\x18\
\xff\xff\xff\xff\0\0\x04\x57\x11\0\0\0\0\0\0\x18\xff\xff\xff\xff\0\0\x04\xae\
\x11\0\0\0\0\0\0\x18\xff\xff\xff\xff\0\0\x05\x05\x11\0\0\0\0\0\0\x18\xff\xff\
\xff\xff\0\0\x05\x5a\x11\0\0\0\0\0\0\x18\xff\xff\xff\xff\0\0\x05\xb6\x11\0\0\0\
\0\0\0\x18\xff\xff\xff\xff\0\0\x05\xe0\x0c\0\0\x01\0\0\0\x09\0\0\0\x7f\x11\0\0\
\0\0\0\0\x23\xff\xff\xff\xff\0\0\0\x9b\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\
\x06\x01\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\x06\x2d\x11\0\0\0\0\0\0\x23\
\xff\xff\xff\xff\0\0\x06\x83\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\x06\xda\
\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\x07\x31\x11\0\0\0\0\0\0\x23\xff\xff\
\xff\xff\0\0\x07\x88\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\x07\xdd\x11\0\0\0\
\0\0\0\x23\xff\xff\xff\xff\0\0\x08\x39\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\
\x08\x91\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\x08\xbb\x0c\0\0\x01\0\0\0\x09\
\0\0\0\x7f\x11\0\0\0\0\0\0\x2f\xff\xff\xff\xff\0\0\0\x9b\x11\0\0\0\0\0\0\x2f\
\xff\xff\xff\xff\0\0\x08\xd9\x11\0\0\0\0\0\0\x2f\xff\xff\xff\xff\0\0\x09\x05\
\x11\0\0\0\0\0\0\x2f\xff\xff\xff\xff\0\0\x09\x4d\x11\0\0\0\0\0\0\x2f\xff\xff\
\xff\xff\0\0\x09\xa4\x11\0\0\0\0\0\0\x2f\xff\xff\xff\xff\0\0\x09\xfb\x11\0\0\0\
\0\0\0\x2f\xff\xff\xff\xff\0\0\x0a\x60\x11\0\0\0\0\0\0\x2f\xff\xff\xff\xff\0\0\
\x0a\xb9\x0c\0\0\0\0\0\0\x01\0\0\x0a\xcb\x0c\0\0\x01\0\0\0\x09\0\0\x0a\xe8\x11\
\0\0\0\0\0\0\x39\xff\xff\xff\xff\0\0\0\x9b\x11\0\0\0\0\0\0\x39\xff\xff\xff\xff\
\0\0\x0b\x04\x11\0\0\0\0\0\0\x39\xff\xff\xff\xff\0\0\x0b\x32\x11\0\0\0\0\0\0\
\x39\xff\xff\xff\xff\0\0\x0b\x89\x11\0\0\0\0\0\0\x39\xff\xff\xff\xff\0\0\x0b\
\xd4\x11\0\0\0\0\0\0\x39\xff\xff\xff\xff\0\0\x0c\x3e\x11\0\0\0\0\0\0\x39\xff\
\xff\xff\xff\0\0\x0c\xa5\x0c\0\0\x01\0\0\0\x09\0\0\0\x7f\x11\0\0\0\0\0\0\x41\
\xff\xff\xff\xff\0\0\0\x9b\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x0c\xbd\x11\
\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x0c\xf2\x11\0\0\0\0\0\0\x41\xff\xff\xff\
\xff\0\0\x0d\x48\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x0d\x96\x11\0\0\0\0\0\
\0\x41\xff\xff\xff\xff\0\0\x0d\xeb\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x0e\
\x41\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x0e\x97\x11\0\0\0\0\0\0\x41\xff\
\xff\xff\xff\0\0\x0e\xe5\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x0f\x3a\x11\0\
\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x0f\x90\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\
\0\0\x0f\xe6\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x10\x3d\x11\0\0\0\0\0\0\
\x41\xff\xff\xff\xff\0\0\x10\x94\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x10\
\xea\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x11\x17\x11\0\0\0\0\0\0\x41\xff\
\xff\xff\xff\0\0\x11\x60\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x11\xb8\x11\0\
\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x12\x10\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\
\0\0\x12\x76\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x12\xd1\x11\0\0\0\0\0\0\
\x41\xff\xff\xff\xff\0\0\x13\x2e\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x13\
\x5f\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x13\xa2\x11\0\0\0\0\0\0\x41\xff\
\xff\xff\xff\0\0\x13\xcd\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x13\xf6\x11\0\
\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x14\x28\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\
\0\0\x14\x53\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x14\x89\x11\0\0\0\0\0\0\
\x41\xff\xff\xff\xff\0\0\x14\xdf\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x15\
\x37\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x15\x65\x0c\0\0\x01\0\0\0\x09\0\0\
\0\x7f\x11\0\0\0\0\0\0\x62\xff\xff\xff\xff\0\0\0\x9b\x11\0\0\0\0\0\0\x62\xff\
\xff\xff\xff\0\0\x15\x85\x11\0\0\0\0\0\0\x62\xff\xff\xff\xff\0\0\x15\xb1\x11\0\
\0\0\0\0\0\x62\xff\xff\xff\xff\0\0\x15\xf9\x11\0\0\0\0\0\0\x62\xff\xff\xff\xff\
\0\0\x16\x50\x11\0\0\0\0\0\0\x62\xff\xff\xff\xff\0\0\x16\xa7\x11\0\0\0\0\0\0\
\x62\xff\xff\xff\xff\0\0\x16\xfc\x11\0\0\0\0\0\0\x62\xff\xff\xff\xff\0\0\x17\
\x52\x11\0\0\0\0\0\0\x62\xff\xff\xff\xff\0\0\x17\xa9\x11\0\0\0\0\0\0\x62\xff\
\xff\xff\xff\0\0\x17\xff\x11\0\0\0\0\0\0\x62\xff\xff\xff\xff\0\0\x18\x55\x0c\0\
\0\x01\0\0\0\x09\0\0\0\x7f\x11\0\0\0\0\0\0\x6e\xff\xff\xff\xff\0\0\0\x9b\x11\0\
\0\0\0\0\0\x6e\xff\xff\xff\xff\0\0\x18\x7c\x11\0\0\0\0\0\0\x6e\xff\xff\xff\xff\
\0\0\x18\xa8\x11\0\0\0\0\0\0\x6e\xff\xff\xff\xff\0\0\x18\xf0\x11\0\0\0\0\0\0\
\x6e\xff\xff\xff\xff\0\0\x19\x47\x11\0\0\0\0\0\0\x6e\xff\xff\xff\xff\0\0\x19\
\x9e\x11\0\0\0\0\0\0\x6e\xff\xff\xff\xff\0\0\x19\xf7\x11\0\0\0\0\0\0\x6e\xff\
\xff\xff\xff\0\0\x1a\x4d\x11\0\0\0\0\0\0\x6e\xff\xff\xff\xff\0\0\x1a\xa3\x0c\0\
\0\x01\0\0\0\x09\0\0\0\x7f\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\0\x9b\x11\0\
\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x1a\xd1\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\
\0\0\x1a\xfe\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x1b\x47\x11\0\0\0\0\0\0\
\x78\xff\xff\xff\xff\0\0\x1b\x9f\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x1b\
\xf7\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x1c\x54\x11\0\0\0\0\0\0\x78\xff\
\xff\xff\xff\0\0\x1c\xa2\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x1c\xf7\x11\0\
\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x1d\x4d\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\
\0\0\x1d\xa3\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x1d\xfa\x11\0\0\0\0\0\0\
\x78\xff\xff\xff\xff\0\0\x1e\x50\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x1e\
\xa6\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x1e\xd7\x11\0\0\0\0\0\0\x78\xff\
\xff\xff\xff\0\0\x1f\x1a\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x1f\x45\x11\0\
\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x1f\x6e\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\
\0\0\x1f\xa0\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x1f\xcb\x11\0\0\0\0\0\0\
\x78\xff\xff\xff\xff\0\0\x20\x04\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x20\
\x5b\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x20\xb7\x11\0\0\0\0\0\0\x78\xff\
\xff\xff\xff\0\0\x21\x0d\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x21\x69\x11\0\
\0\0\0\0\0\x78\xff\xff\xff\xff\0\0\x21\xb6\x11\0\0\0\0\0\0\x78\xff\xff\xff\xff\
\0\0\x21\xe5\x0c\0\0\x01\0\0\0\x09\0\0\0\x7f\x11\0\0\0\0\0\0\x94\xff\xff\xff\
\xff\0\0\0\x9b\x11\0\0\0\0\0\0\x94\xff\xff\xff\xff\0\0\x21\xff\x11\0\0\0\0\0\0\
\x94\xff\xff\xff\xff\0\0\x22\x2c\x11\0\0\0\0\0\0\x94\xff\xff\xff\xff\0\0\x22\
\x75\x11\0\0\0\0\0\0\x94\xff\xff\xff\xff\0\0\x22\xcd\x11\0\0\0\0\0\0\x94\xff\
\xff\xff\xff\0\0\x23\x25\x11\0\0\0\0\0\0\x94\xff\xff\xff\xff\0\0\x23\x8b\x11\0\
\0\0\0\0\0\x94\xff\xff\xff\xff\0\0\x23\xda\x11\0\0\0\0\0\0\x94\xff\xff\xff\xff\
\0\0\x24\x24\x11\0\0\0\0\0\0\x94\xff\xff\xff\xff\0\0\x24\x7a\x11\0\0\0\0\0\0\
\x94\xff\xff\xff\xff\0\0\x24\xd1\x11\0\0\0\0\0\0\x94\xff\xff\xff\xff\0\0\x25\
\x29\x11\0\0\0\0\0\0\x94\xff\xff\xff\xff\0\0\x25\x80\x11\0\0\0\0\0\0\x94\xff\
\xff\xff\xff\0\0\x25\xe6\x11\0\0\0\0\0\0\x94\xff\xff\xff\xff\0\0\x26\x3d\x0c\0\
\0\x01\0\0\0\x09\0\0\0\x7f\x11\0\0\0\0\0\0\xa4\xff\xff\xff\xff\0\0\0\x9b\x11\0\
\0\0\0\0\0\xa4\xff\xff\xff\xff\0\0\x26\x5e\x11\0\0\0\0\0\0\xa4\xff\xff\xff\xff\
\0\0\x26\x8b\x11\0\0\0\0\0\0\xa4\xff\xff\xff\xff\0\0\x26\xd4\x11\0\0\0\0\0\0\
\xa4\xff\xff\xff\xff\0\0\x27\x2c\x11\0\0\0\0\0\0\xa4\xff\xff\xff\xff\0\0\x27\
\x84\x11\0\0\0\0\0\0\xa4\xff\xff\xff\xff\0\0\x27\xea\x11\0\0\0\0\0\0\xa4\xff\
\xff\xff\xff\0\0\x28\x44\x11\0\0\0\0\0\0\xa4\xff\xff\xff\xff\0\0\x28\x9b\x11\0\
\0\0\0\0\0\xa4\xff\xff\xff\xff\0\0\x29\x01\x11\0\0\0\0\0\0\xa4\xff\xff\xff\xff\
\0\0\x29\x58\x0c\0\0\x01\0\0\0\x09\0\0\0\x7f\x11\0\0\0\0\0\0\xb0\xff\xff\xff\
\xff\0\0\0\x9b\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x29\x80\x11\0\0\0\0\0\0\
\xb0\xff\xff\xff\xff\0\0\x29\xae\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x29\
\xf9\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x2a\x52\x11\0\0\0\0\0\0\xb0\xff\
\xff\xff\xff\0\0\x2a\xab\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x2b\x12\x11\0\
\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x2b\x71\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\
\0\0\x2b\xc0\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x2c\x17\x11\0\0\0\0\0\0\
\xb0\xff\xff\xff\xff\0\0\x2c\x6e\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x2c\
\xc5\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x2d\x1d\x11\0\0\0\0\0\0\xb0\xff\
\xff\xff\xff\0\0\x2d\x75\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x2d\xdb\x11\0\
\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x2e\x32\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\
\0\0\x2e\x65\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x2e\xa9\x11\0\0\0\0\0\0\
\xb0\xff\xff\xff\xff\0\0\x2e\xd5\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x2e\
\xff\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x2f\x32\x11\0\0\0\0\0\0\xb0\xff\
\xff\xff\xff\0\0\x2f\x5f\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x2f\x9b\x11\0\
\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x2f\xf4\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\
\0\0\x30\x4f\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x30\xa5\x11\0\0\0\0\0\0\
\xb0\xff\xff\xff\xff\0\0\x31\x06\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\x31\
\x53\x11\0\0\0\0\0\0\xb0\xff\xff\xff\xff\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\
\x39\0\0\0\x04\0\0\x31\x83\x0c\0\0\0\0\0\0\xce\0\0\x31\x9c\x0c\0\0\x01\0\0\0\
\x09\0\0\0\x7f\x11\0\0\0\0\0\0\xd0\xff\xff\xff\xff\0\0\0\x9b\x11\0\0\0\0\0\0\
\xd0\xff\xff\xff\xff\0\0\x31\xb0\x11\0\0\0\0\0\0\xd0\xff\xff\xff\xff\0\0\x31\
\xdd\x11\0\0\0\0\0\0\xd0\xff\xff\xff\xff\0\0\x32\x26\x11\0\0\0\0\0\0\xd0\xff\
\xff\xff\xff\0\0\x32\x7c\x11\0\0\0\0\0\0\xd0\xff\xff\xff\xff\0\0\x32\xd5\x11\0\
\0\0\0\0\0\xd0\xff\xff\xff\xff\0\0\x33\x2f\x11\0\0\0\0\0\0\xd0\xff\xff\xff\xff\
\0\0\x33\x87\x11\0\0\0\0\0\0\xd0\xff\xff\xff\xff\0\0\0\0\x0d\0\0\0\0\0\0\x04\0\
\0\x33\xde\x0c\0\0\0\0\0\0\xda\0\0\x33\xf8\x0c\0\0\x01\0\0\0\x09\0\0\0\x7f\x11\
\0\0\0\0\0\0\xdc\xff\xff\xff\xff\0\0\0\x9b\x11\0\0\0\0\0\0\xdc\xff\xff\xff\xff\
\0\0\x34\x25\x11\0\0\0\0\0\0\xdc\xff\xff\xff\xff\0\0\x34\x53\x11\0\0\0\0\0\0\
\xdc\xff\xff\xff\xff\0\0\x34\xab\x11\0\0\0\0\0\0\xdc\xff\xff\xff\xff\0\0\x35\
\x03\x11\0\0\0\0\0\0\xdc\xff\xff\xff\xff\0\0\x35\x5b\x11\0\0\0\0\0\0\xdc\xff\
\xff\xff\xff\0\0\x35\xc1\x11\0\0\0\0\0\0\xdc\xff\xff\xff\xff\0\0\x36\x5d\x11\0\
\0\0\0\0\0\xdc\xff\xff\xff\xff\0\0\x36\xb4\x11\0\0\0\0\0\0\xdc\xff\xff\xff\xff\
\0\0\x37\x0a\x11\0\0\0\0\0\0\xdc\xff\xff\xff\xff\0\0\x37\x62\x11\0\0\0\0\0\0\
\xdc\xff\xff\xff\xff\0\0\x37\xc6\x11\0\0\0\0\0\0\xdc\xff\xff\xff\xff\0\0\x38\
\x2c\x11\0\0\0\0\0\0\xdc\xff\xff\xff\xff\0\0\x38\x92\x11\0\0\0\0\0\0\xdc\xff\
\xff\xff\xff\0\0\x38\xf6\x11\0\0\0\0\0\0\xdc\xff\xff\xff\xff\0\0\x39\x50\x11\0\
\0\0\0\0\0\xdc\xff\xff\xff\xff\0\0\x39\xa8\x11\0\0\0\0\0\0\xdc\xff\xff\xff\xff\
\0\0\x3a\x01\x11\0\0\0\0\0\0\xdc\xff\xff\xff\xff\0\0\x3a\x5a\x11\0\0\0\0\0\0\
\xdc\xff\xff\xff\xff\0\0\x3a\xb1\x0c\0\0\x01\0\0\0\x09\0\0\0\x7f\x11\0\0\0\0\0\
\0\xf1\xff\xff\xff\xff\0\0\0\x9b\x11\0\0\0\0\0\0\xf1\xff\xff\xff\xff\0\0\x3a\
\xce\x11\0\0\0\0\0\0\xf1\xff\xff\xff\xff\0\0\x3a\xfc\x11\0\0\0\0\0\0\xf1\xff\
\xff\xff\xff\0\0\x3b\x54\x11\0\0\0\0\0\0\xf1\xff\xff\xff\xff\0\0\x3b\xad\x11\0\
\0\0\0\0\0\xf1\xff\xff\xff\xff\0\0\x3c\x06\x11\0\0\0\0\0\0\xf1\xff\xff\xff\xff\
\0\0\x3c\x6e\x11\0\0\0\0\0\0\xf1\xff\xff\xff\xff\0\0\x3c\xd5\x11\0\0\0\0\0\0\
\xf1\xff\xff\xff\xff\0\0\x3d\x3c\x11\0\0\0\0\0\0\xf1\xff\xff\xff\xff\0\0\x3d\
\xa4\x11\0\0\0\0\0\0\xf1\xff\xff\xff\xff\0\0\x3e\x0a\x11\0\0\0\0\0\0\xf1\xff\
\xff\xff\xff\0\0\x3e\x72\x11\0\0\0\0\0\0\xf1\xff\xff\xff\xff\0\0\x3e\xcc\x11\0\
\0\0\0\0\0\xf1\xff\xff\xff\xff\0\0\x3f\x25\x11\0\0\0\0\0\0\xf1\xff\xff\xff\xff\
\0\0\x3f\x7e\x11\0\0\0\0\0\0\xf1\xff\xff\xff\xff\0\0\x3f\xd7\x11\0\0\0\0\0\0\
\xf1\xff\xff\xff\xff\0\0\x40\x2d\x11\0\0\0\0\0\0\xf1\xff\xff\xff\xff\0\0\x40\
\x86\x11\0\0\0\0\0\0\xf1\xff\xff\xff\xff\0\0\x40\xe1\x11\0\0\0\0\0\0\xf1\xff\
\xff\xff\xff\0\0\x41\x39\x11\0\0\0\0\0\0\xf1\xff\xff\xff\xff\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\x0a\0\0\x01\x08\0\0\0\x04\0\0\x41\x90\x01\0\0\0\0\0\0\x04\0\0\0\
\x20\0\0\x41\xa4\x0e\0\0\0\0\0\x01\x07\0\0\0\x01\0\0\x41\xa9\x01\0\0\0\0\0\0\
\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\x01\x0a\0\0\x01\x08\0\0\0\x04\0\
\0\x41\xae\x0e\0\0\0\0\0\x01\x0b\0\0\0\x01\0\0\x42\xb8\x0f\0\0\x01\0\0\0\x10\0\
\0\x01\x09\0\0\0\0\0\0\0\x10\0\0\x42\xc3\x0f\0\0\x01\0\0\0\x04\0\0\x01\x0c\0\0\
\0\0\0\0\0\x04\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x69\x64\
\x65\x6e\x74\x69\x74\x79\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x5f\x5f\x75\x36\x34\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\
\x78\0\x67\x6c\x6f\x62\x61\x6c\x5f\x69\x64\x65\x6e\x74\x69\x74\x79\x5f\x73\x75\
\x62\x70\x72\x6f\x67\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x73\x75\x62\x70\x72\
\x6f\x67\0\x69\x6e\x74\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x72\x65\x73\x75\x6c\
\x74\x5f\x70\x72\x65\x63\x69\x73\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6c\x6f\x67\x5f\x6c\x65\x76\x65\
\x6c\x3d\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x37\x3a\x20\x28\x30\x66\x29\x20\x72\
\x31\x20\x2b\x3d\x20\x72\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\
\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\
\x20\x36\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x37\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x32\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\
\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x35\x3a\x20\x28\x32\x37\x29\x20\x72\
\x30\x20\x2a\x3d\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x6d\x61\x72\x6b\x5f\x70\
\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\
\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\
\x31\x31\x3a\x20\x28\x39\x35\x29\x20\x65\x78\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x31\x30\x3a\x20\x28\x62\x66\x29\x20\x72\x30\x20\
\x3d\x20\x72\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\
\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x34\x3a\
\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x70\x63\x2b\x35\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x36\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x33\x3a\x20\x28\x62\x66\x29\x20\x72\x31\
\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x37\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\
\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x32\
\x3a\x20\x28\x62\x37\x29\x20\x72\x36\x20\x3d\x20\x33\0\x66\x70\x5f\x6c\x65\x61\
\x6b\x69\x6e\x67\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x73\x6e\x65\x61\x6b\x79\x5f\
\x66\x70\x5f\x6c\x65\x61\x6b\x69\x6e\x67\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x66\
\x70\x5f\x70\x72\x65\x63\x69\x73\x65\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x72\
\x65\x73\x75\x6c\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x38\x3d\x36\x3a\x20\x28\x30\x66\x29\
\x20\x72\x31\x20\x2b\x3d\x20\x72\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x39\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\
\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x36\x20\x66\x69\x72\x73\x74\x5f\x69\x64\
\x78\x20\x30\x20\x73\x75\x62\x73\x65\x71\x5f\x69\x64\x78\x20\x2d\x31\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x31\x30\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\
\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\
\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x35\x3a\x20\x28\x62\x66\x29\
\x20\x72\x31\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x31\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\
\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\
\x72\x65\x20\x34\x3a\x20\x28\x32\x37\x29\x20\x72\x30\x20\x2a\x3d\x20\x34\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x31\x32\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\
\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x33\x3a\x20\x28\x35\x37\
\x29\x20\x72\x30\x20\x26\x3d\x20\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x33\x3d\x6d\x61\
\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\
\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\
\x6f\x72\x65\x20\x31\x30\x3a\x20\x28\x39\x35\x29\x20\x65\x78\x69\x74\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x31\x34\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\
\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\
\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x39\x3a\x20\x28\x62\x66\x29\
\x20\x72\x30\x20\x3d\x20\x28\x73\x38\x29\x72\x31\x30\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\
\x35\x3d\x37\x3a\x20\x52\x30\x5f\x77\x3d\x73\x63\x61\x6c\x61\x72\0\x73\x6e\x65\
\x61\x6b\x79\x5f\x66\x70\x5f\x70\x72\x65\x63\x69\x73\x65\x5f\x73\x75\x62\x70\
\x72\x6f\x67\x5f\x72\x65\x73\x75\x6c\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x36\x3d\x36\
\x3a\x20\x28\x30\x66\x29\x20\x72\x31\x20\x2b\x3d\x20\x72\x30\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x31\x37\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x36\x20\x66\
\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x30\x20\x73\x75\x62\x73\x65\x71\x5f\x69\
\x64\x78\x20\x2d\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x38\x3d\x6d\x61\x72\x6b\x5f\x70\
\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\
\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\
\x35\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x31\x39\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\
\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x34\x3a\x20\x28\x32\x37\x29\x20\x72\
\x30\x20\x2a\x3d\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x30\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\
\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\
\x20\x33\x3a\x20\x28\x35\x37\x29\x20\x72\x30\x20\x26\x3d\x20\x33\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x32\x31\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\
\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x31\x3a\x20\x28\x39\x35\x29\
\x20\x65\x78\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x32\x3d\x6d\x61\x72\x6b\x5f\x70\
\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\
\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\
\x31\x30\x3a\x20\x28\x62\x66\x29\x20\x72\x30\x20\x3d\x20\x28\x73\x38\x29\x72\
\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x32\x33\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\
\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\
\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x39\x3a\x20\x28\
\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x31\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x34\
\x3d\x37\x3a\x20\x52\x30\x5f\x77\x3d\x73\x63\x61\x6c\x61\x72\0\x67\x6c\x6f\x62\
\x61\x6c\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x72\x65\x73\x75\x6c\x74\x5f\x70\
\x72\x65\x63\x69\x73\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x35\x3d\x39\x3a\x20\x28\x30\
\x66\x29\x20\x72\x31\x20\x2b\x3d\x20\x72\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x36\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x39\x20\x66\x69\x72\x73\x74\
\x5f\x69\x64\x78\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x37\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\
\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\
\x20\x38\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x37\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x32\x38\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\
\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x37\x3a\x20\x28\x32\x37\x29\x20\
\x72\x30\x20\x2a\x3d\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x39\x3d\x6d\x61\x72\x6b\
\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\
\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\
\x65\x20\x35\x3a\x20\x28\x61\x35\x29\x20\x69\x66\x20\x72\x30\x20\x3c\x20\x30\
\x78\x34\x20\x67\x6f\x74\x6f\x20\x70\x63\x2b\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x30\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x34\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\
\x20\x70\x63\x2b\x37\0\x6c\x6f\x6f\x70\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\
\x62\x61\x64\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x5f\x72\x65\x74\x75\x72\x6e\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\
\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\
\x66\x6c\x61\x67\x73\x3d\x42\x50\x46\x5f\x46\x5f\x54\x45\x53\x54\x5f\x53\x54\
\x41\x54\x45\x5f\x46\x52\x45\x51\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x31\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\
\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\
\x72\x65\x20\x31\x31\x3a\x20\x28\x62\x37\x29\x20\x72\x30\x20\x3d\x20\x30\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x33\x32\x3d\x66\x72\x6f\x6d\x20\x31\x30\x20\x74\x6f\x20\x31\
\x32\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x52\x30\x3d\x73\x63\x61\x6c\x61\
\x72\x28\x73\x6d\x69\x6e\x3d\x75\x6d\x69\x6e\x3d\x31\x30\x30\x31\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x33\x33\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\
\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x39\x3a\x20\x28\x38\x35\x29\x20\
\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x70\x72\x61\x6e\x64\x6f\
\x6d\x5f\x75\x33\x32\x23\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x34\x3d\x41\x74\x20\x63\
\x61\x6c\x6c\x62\x61\x63\x6b\x20\x72\x65\x74\x75\x72\x6e\x20\x74\x68\x65\x20\
\x72\x65\x67\x69\x73\x74\x65\x72\x20\x52\x30\x20\x68\x61\x73\x20\x73\x6d\x69\
\x6e\x3d\x31\x30\x30\x31\x20\x73\x68\x6f\x75\x6c\x64\x20\x68\x61\x76\x65\x20\
\x62\x65\x65\x6e\x20\x69\x6e\x20\x5b\x30\x2c\x20\x31\x5d\0\x63\x61\x6c\x6c\x62\
\x61\x63\x6b\x5f\x72\x65\x73\x75\x6c\x74\x5f\x70\x72\x65\x63\x69\x73\x65\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x33\x35\x3d\x39\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\
\x20\x62\x70\x66\x5f\x6c\x6f\x6f\x70\x23\x31\x38\x31\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\
\x36\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\
\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x39\x20\x66\x69\x72\
\x73\x74\x5f\x69\x64\x78\x20\x39\x20\x73\x75\x62\x73\x65\x71\x5f\x69\x64\x78\
\x20\x2d\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x37\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x70\x61\x72\x65\x6e\
\x74\x20\x73\x74\x61\x74\x65\x20\x72\x65\x67\x73\x3d\x72\x34\x20\x73\x74\x61\
\x63\x6b\x3d\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x38\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\
\x5f\x69\x64\x78\x20\x38\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x30\x20\
\x73\x75\x62\x73\x65\x71\x5f\x69\x64\x78\x20\x39\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x39\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x34\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x38\x3a\x20\x28\x62\x37\x29\x20\x72\x34\x20\x3d\
\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x34\x30\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\
\x64\x78\x20\x39\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x39\x20\x73\x75\
\x62\x73\x65\x71\x5f\x69\x64\x78\x20\x2d\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x31\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x70\x61\x72\x65\x6e\x74\x20\x73\x74\x61\x74\x65\x20\x72\x65\x67\
\x73\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x32\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x38\x20\x66\x69\x72\x73\
\x74\x5f\x69\x64\x78\x20\x30\x20\x73\x75\x62\x73\x65\x71\x5f\x69\x64\x78\x20\
\x39\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x34\x33\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\
\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\
\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x38\x3a\x20\x28\
\x62\x37\x29\x20\x72\x34\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x34\x3d\x6d\
\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\
\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\
\x66\x6f\x72\x65\x20\x37\x3a\x20\x28\x62\x37\x29\x20\x72\x33\x20\x3d\x20\x30\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x34\x35\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\x20\
\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x36\x3a\x20\x28\x62\
\x66\x29\x20\x72\x32\x20\x3d\x20\x72\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x36\x3d\x6d\
\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\
\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\
\x66\x6f\x72\x65\x20\x35\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\
\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x34\x37\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\
\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\
\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x34\x3a\x20\x28\
\x62\x37\x29\x20\x72\x36\x20\x3d\x20\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x38\x3d\x31\
\x34\x3a\x20\x28\x30\x66\x29\x20\x72\x31\x20\x2b\x3d\x20\x72\x36\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x34\x39\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x31\x34\
\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x39\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\x30\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x31\x33\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\
\x3d\x20\x72\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\x31\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\
\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\
\x32\x3a\x20\x28\x32\x37\x29\x20\x72\x36\x20\x2a\x3d\x20\x34\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x35\x32\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\
\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x31\x3a\x20\x28\x32\x35\x29\x20\
\x69\x66\x20\x72\x36\x20\x3e\x20\x30\x78\x33\x20\x67\x6f\x74\x6f\x20\x70\x63\
\x2b\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x35\x33\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\
\x30\x2c\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\
\x31\x30\x3a\x20\x28\x62\x66\x29\x20\x72\x36\x20\x3d\x20\x72\x30\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x35\x34\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\
\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x39\x3a\x20\x28\x38\x35\x29\x20\
\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x6c\x6f\x6f\x70\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\
\x35\x3d\x66\x72\x6f\x6d\x20\x39\x20\x74\x6f\x20\x31\x37\x3a\x20\x66\x72\x61\
\x6d\x65\x31\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\x36\x3d\x31\x37\x3a\x20\x66\x72\x61\
\x6d\x65\x31\x3a\x20\x52\x31\x3d\x73\x63\x61\x6c\x61\x72\x28\x29\x20\x52\x32\
\x3d\x30\x20\x52\x31\x30\x3d\x66\x70\x30\x20\x63\x62\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\
\x37\x3d\x31\x37\x3a\x20\x28\x62\x37\x29\x20\x72\x30\x20\x3d\x20\x30\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x35\x38\x3d\x31\x38\x3a\x20\x28\x39\x35\x29\x20\x65\x78\x69\x74\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x35\x39\x3d\x72\x65\x74\x75\x72\x6e\x69\x6e\x67\x20\x66\
\x72\x6f\x6d\x20\x63\x61\x6c\x6c\x65\x65\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\x30\x3d\
\x74\x6f\x20\x63\x61\x6c\x6c\x65\x72\x20\x61\x74\x20\x39\x3a\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x36\x31\x3d\x66\x72\x61\x6d\x65\x20\x30\x3a\x20\x70\x72\x6f\x70\x61\x67\
\x61\x74\x69\x6e\x67\x20\x72\x31\x2c\x72\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\x32\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x39\x20\x66\x69\x72\x73\x74\
\x5f\x69\x64\x78\x20\x39\x20\x73\x75\x62\x73\x65\x71\x5f\x69\x64\x78\x20\x2d\
\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x36\x33\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\
\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\
\x2c\x72\x34\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\
\x38\x3a\x20\x28\x39\x35\x29\x20\x65\x78\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\x34\
\x3d\x66\x72\x6f\x6d\x20\x31\x38\x20\x74\x6f\x20\x39\x3a\x20\x73\x61\x66\x65\0\
\x70\x61\x72\x65\x6e\x74\x5f\x63\x61\x6c\x6c\x65\x65\x5f\x73\x61\x76\x65\x64\
\x5f\x72\x65\x67\x5f\x70\x72\x65\x63\x69\x73\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\x35\
\x3d\x37\x3a\x20\x28\x30\x66\x29\x20\x72\x31\x20\x2b\x3d\x20\x72\x36\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x36\x36\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\
\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x37\
\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\x37\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x36\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\
\x20\x72\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\x38\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\
\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x35\x3a\
\x20\x28\x32\x37\x29\x20\x72\x36\x20\x2a\x3d\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\
\x39\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\
\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\
\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x31\x3a\x20\x28\x39\x35\x29\x20\x65\x78\
\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x37\x30\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\
\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x30\x3a\x20\x28\
\x62\x66\x29\x20\x72\x30\x20\x3d\x20\x72\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x37\x31\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\
\x6f\x72\x65\x20\x34\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x70\x63\
\x2b\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x37\x32\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\
\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x33\x3a\x20\
\x28\x62\x37\x29\x20\x72\x31\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x37\x33\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\
\x65\x66\x6f\x72\x65\x20\x32\x3a\x20\x28\x62\x37\x29\x20\x72\x36\x20\x3d\x20\
\x33\0\x70\x61\x72\x65\x6e\x74\x5f\x63\x61\x6c\x6c\x65\x65\x5f\x73\x61\x76\x65\
\x64\x5f\x72\x65\x67\x5f\x70\x72\x65\x63\x69\x73\x65\x5f\x67\x6c\x6f\x62\x61\
\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x37\x34\x3d\x37\x3a\x20\x28\x30\x66\x29\x20\x72\x31\
\x20\x2b\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x37\x35\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\
\x73\x74\x5f\x69\x64\x78\x20\x37\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\
\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x37\x36\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\
\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\
\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x36\x3a\x20\x28\
\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x37\x37\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\
\x65\x66\x6f\x72\x65\x20\x35\x3a\x20\x28\x32\x37\x29\x20\x72\x36\x20\x2a\x3d\
\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x37\x38\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\
\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x34\x3a\x20\
\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x70\x63\x2b\x35\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x37\x39\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x33\x3a\x20\x28\x62\x37\x29\x20\x72\x31\
\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x38\x30\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\
\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x32\
\x3a\x20\x28\x62\x37\x29\x20\x72\x36\x20\x3d\x20\x33\0\x70\x61\x72\x65\x6e\x74\
\x5f\x63\x61\x6c\x6c\x65\x65\x5f\x73\x61\x76\x65\x64\x5f\x72\x65\x67\x5f\x70\
\x72\x65\x63\x69\x73\x65\x5f\x77\x69\x74\x68\x5f\x63\x61\x6c\x6c\x62\x61\x63\
\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x38\x31\x3d\x31\x32\x3a\x20\x28\x30\x66\x29\x20\x72\
\x31\x20\x2b\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x38\x32\x3d\x6d\x61\x72\x6b\
\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\
\x61\x73\x74\x5f\x69\x64\x78\x20\x31\x32\x20\x66\x69\x72\x73\x74\x5f\x69\x64\
\x78\x20\x39\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x38\x33\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\
\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x31\
\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x37\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x38\x34\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x30\x3a\x20\x28\x32\x37\x29\x20\x72\
\x36\x20\x2a\x3d\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x38\x35\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\
\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\
\x20\x39\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x6c\
\x6f\x6f\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x38\x36\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x70\x61\x72\x65\x6e\
\x74\x20\x73\x74\x61\x74\x65\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\
\x63\x6b\x3d\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x38\x37\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\
\x5f\x69\x64\x78\x20\x38\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x30\x20\
\x73\x75\x62\x73\x65\x71\x5f\x69\x64\x78\x20\x39\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x38\x38\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x38\x3a\x20\x28\x62\x37\x29\x20\x72\x34\x20\x3d\
\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x38\x39\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\
\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x37\x3a\x20\
\x28\x62\x37\x29\x20\x72\x33\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x39\x30\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\
\x65\x66\x6f\x72\x65\x20\x36\x3a\x20\x28\x62\x66\x29\x20\x72\x32\x20\x3d\x20\
\x72\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x39\x31\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\
\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x35\x3a\x20\
\x28\x62\x37\x29\x20\x72\x31\x20\x3d\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x39\x32\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\
\x65\x66\x6f\x72\x65\x20\x34\x3a\x20\x28\x62\x37\x29\x20\x72\x36\x20\x3d\x20\
\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x39\x33\x3d\x66\x72\x6f\x6d\x20\x39\x20\x74\x6f\x20\
\x31\x35\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x39\x34\x3d\
\x31\x35\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x52\x31\x3d\x73\x63\x61\x6c\
\x61\x72\x28\x29\x20\x52\x32\x3d\x30\x20\x52\x31\x30\x3d\x66\x70\x30\x20\x63\
\x62\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x39\x35\x3d\x31\x35\x3a\x20\x28\x62\x37\x29\x20\x72\
\x30\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x39\x36\x3d\x31\x36\x3a\x20\x28\x39\
\x35\x29\x20\x65\x78\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x39\x37\x3d\x72\x65\x74\x75\
\x72\x6e\x69\x6e\x67\x20\x66\x72\x6f\x6d\x20\x63\x61\x6c\x6c\x65\x65\x3a\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x39\x38\x3d\x74\x6f\x20\x63\x61\x6c\x6c\x65\x72\x20\x61\x74\
\x20\x39\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x39\x39\x3d\x66\x72\x61\x6d\x65\x20\x30\x3a\
\x20\x70\x72\x6f\x70\x61\x67\x61\x74\x69\x6e\x67\x20\x72\x31\x2c\x72\x34\x2c\
\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x31\x30\x30\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\
\x69\x64\x78\x20\x39\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x39\x20\x73\
\x75\x62\x73\x65\x71\x5f\x69\x64\x78\x20\x2d\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x30\
\x31\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\
\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\x2c\x72\x34\x2c\x72\x36\x20\
\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x36\x3a\x20\x28\
\x39\x35\x29\x20\x65\x78\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x30\x32\x3d\x6d\x61\
\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\
\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\
\x65\x20\x31\x35\x3a\x20\x28\x62\x37\x29\x20\x72\x30\x20\x3d\x20\x30\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x31\x30\x33\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\
\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x39\x3a\x20\x28\x38\x35\x29\x20\
\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x6c\x6f\x6f\x70\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\
\x30\x34\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x70\x61\x72\x65\x6e\x74\x20\x73\x74\x61\x74\x65\x20\
\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x3a\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\
\x30\x35\x3d\x66\x72\x6f\x6d\x20\x31\x36\x20\x74\x6f\x20\x39\x3a\x20\x73\x61\
\x66\x65\0\x70\x61\x72\x65\x6e\x74\x5f\x73\x74\x61\x63\x6b\x5f\x73\x6c\x6f\x74\
\x5f\x70\x72\x65\x63\x69\x73\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x30\x36\x3d\x39\x3a\
\x20\x28\x30\x66\x29\x20\x72\x31\x20\x2b\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x31\x30\x37\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x39\x20\x66\
\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x30\x38\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\
\x65\x66\x6f\x72\x65\x20\x38\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\x20\
\x72\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x31\x30\x39\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\
\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x37\x3a\
\x20\x28\x32\x37\x29\x20\x72\x36\x20\x2a\x3d\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\
\x31\x30\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x36\x3a\x20\x28\x37\x39\x29\x20\x72\x36\
\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x38\x29\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x31\x31\x31\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\
\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x70\x61\x72\x65\x6e\x74\x20\
\x73\x74\x61\x74\x65\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\
\x38\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x31\x31\x32\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\
\x69\x64\x78\x20\x31\x33\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x30\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x31\x31\x33\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\
\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x33\x3a\x20\x28\
\x39\x35\x29\x20\x65\x78\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x31\x34\x3d\x6d\x61\
\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\
\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\
\x65\x20\x31\x32\x3a\x20\x28\x62\x66\x29\x20\x72\x30\x20\x3d\x20\x72\x31\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x31\x31\x35\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\
\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x35\x3a\x20\x28\x38\x35\x29\
\x20\x63\x61\x6c\x6c\x20\x70\x63\x2b\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x31\x36\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\
\x65\x66\x6f\x72\x65\x20\x34\x3a\x20\x28\x62\x37\x29\x20\x72\x31\x20\x3d\x20\
\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x31\x31\x37\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\
\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\x20\x33\x3a\x20\
\x28\x37\x62\x29\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\
\x38\x29\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x31\x38\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\
\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\
\x72\x65\x20\x32\x3a\x20\x28\x62\x37\x29\x20\x72\x36\x20\x3d\x20\x33\0\x70\x61\
\x72\x65\x6e\x74\x5f\x73\x74\x61\x63\x6b\x5f\x73\x6c\x6f\x74\x5f\x70\x72\x65\
\x63\x69\x73\x65\x5f\x67\x6c\x6f\x62\x61\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x31\x39\
\x3d\x39\x3a\x20\x28\x30\x66\x29\x20\x72\x31\x20\x2b\x3d\x20\x72\x36\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x31\x32\x30\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\
\x39\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\
\x32\x31\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x38\x3a\x20\x28\x62\x66\x29\x20\x72\x31\
\x20\x3d\x20\x72\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x32\x32\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\
\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\
\x20\x37\x3a\x20\x28\x32\x37\x29\x20\x72\x36\x20\x2a\x3d\x20\x34\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x31\x32\x33\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\
\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\
\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x36\x3a\x20\x28\x37\x39\x29\
\x20\x72\x36\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\
\x2d\x38\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x32\x34\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\
\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\x20\x35\
\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x70\x63\x2b\x36\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x31\x32\x35\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\
\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\
\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\x20\x34\x3a\x20\x28\x62\x37\x29\
\x20\x72\x31\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x32\x36\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\
\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\
\x72\x65\x20\x33\x3a\x20\x28\x37\x62\x29\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\
\x28\x72\x31\x30\x20\x2d\x38\x29\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\
\x32\x37\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x32\x3a\x20\x28\x62\x37\x29\x20\x72\x36\
\x20\x3d\x20\x33\0\x70\x61\x72\x65\x6e\x74\x5f\x73\x74\x61\x63\x6b\x5f\x73\x6c\
\x6f\x74\x5f\x70\x72\x65\x63\x69\x73\x65\x5f\x77\x69\x74\x68\x5f\x63\x61\x6c\
\x6c\x62\x61\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x32\x38\x3d\x31\x34\x3a\x20\x28\
\x30\x66\x29\x20\x72\x31\x20\x2b\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x32\
\x39\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\
\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x31\x34\x20\x66\x69\
\x72\x73\x74\x5f\x69\x64\x78\x20\x31\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x33\x30\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\
\x65\x66\x6f\x72\x65\x20\x31\x33\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\
\x20\x72\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x33\x31\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\
\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\
\x32\x3a\x20\x28\x32\x37\x29\x20\x72\x36\x20\x2a\x3d\x20\x34\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x31\x33\x32\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\
\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x31\x3a\x20\x28\x37\x39\x29\
\x20\x72\x36\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\
\x2d\x38\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x33\x33\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\
\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\x20\x31\
\x30\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x6c\x6f\
\x6f\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x31\x33\x34\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x70\x61\x72\x65\x6e\
\x74\x20\x73\x74\x61\x74\x65\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\
\x3d\x2d\x38\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x33\x35\x3d\x6d\x61\x72\x6b\x5f\x70\
\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\
\x74\x5f\x69\x64\x78\x20\x39\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x30\
\x20\x73\x75\x62\x73\x65\x71\x5f\x69\x64\x78\x20\x31\x30\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x31\x33\x36\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\
\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\
\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\x20\x39\x3a\x20\x28\x62\x37\x29\x20\x72\
\x34\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x33\x37\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\
\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\
\x20\x38\x3a\x20\x28\x62\x37\x29\x20\x72\x33\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x31\x33\x38\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\
\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\x20\x37\x3a\x20\x28\x62\x66\x29\x20\
\x72\x32\x20\x3d\x20\x72\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x33\x39\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\
\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\
\x72\x65\x20\x36\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x36\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x31\x34\x30\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\
\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\x20\x35\x3a\x20\x28\x37\
\x62\x29\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x38\x29\
\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x34\x31\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\
\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\
\x20\x34\x3a\x20\x28\x62\x37\x29\x20\x72\x36\x20\x3d\x20\x33\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x31\x34\x32\x3d\x66\x72\x6f\x6d\x20\x31\x30\x20\x74\x6f\x20\x31\x37\x3a\
\x20\x66\x72\x61\x6d\x65\x31\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x34\x33\x3d\x31\x37\
\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x52\x31\x3d\x73\x63\x61\x6c\x61\x72\
\x28\x29\x20\x52\x32\x3d\x30\x20\x52\x31\x30\x3d\x66\x70\x30\x20\x63\x62\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x31\x34\x34\x3d\x31\x37\x3a\x20\x28\x62\x37\x29\x20\x72\x30\
\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x34\x35\x3d\x31\x38\x3a\x20\x28\x39\
\x35\x29\x20\x65\x78\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x34\x36\x3d\x72\x65\x74\
\x75\x72\x6e\x69\x6e\x67\x20\x66\x72\x6f\x6d\x20\x63\x61\x6c\x6c\x65\x65\x3a\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x31\x34\x37\x3d\x74\x6f\x20\x63\x61\x6c\x6c\x65\x72\x20\
\x61\x74\x20\x31\x30\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x34\x38\x3d\x66\x72\x61\x6d\
\x65\x20\x30\x3a\x20\x70\x72\x6f\x70\x61\x67\x61\x74\x69\x6e\x67\x20\x72\x31\
\x2c\x72\x34\x2c\x66\x70\x2d\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x34\x39\x3d\x6d\x61\
\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\
\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x31\x30\x20\x66\x69\x72\x73\x74\x5f\
\x69\x64\x78\x20\x31\x30\x20\x73\x75\x62\x73\x65\x71\x5f\x69\x64\x78\x20\x2d\
\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x31\x35\x30\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\
\x31\x2c\x72\x34\x20\x73\x74\x61\x63\x6b\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\
\x65\x20\x31\x38\x3a\x20\x28\x39\x35\x29\x20\x65\x78\x69\x74\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x31\x35\x31\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x37\x3a\x20\x28\x62\x37\x29\x20\x72\
\x30\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x35\x32\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\
\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\
\x30\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x6c\x6f\
\x6f\x70\x23\x31\x38\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x35\x33\x3d\x6d\x61\x72\x6b\
\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x70\
\x61\x72\x65\x6e\x74\x20\x73\x74\x61\x74\x65\x20\x72\x65\x67\x73\x3d\x20\x73\
\x74\x61\x63\x6b\x3d\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x35\x34\x3d\x66\x72\x6f\x6d\
\x20\x31\x38\x20\x74\x6f\x20\x31\x30\x3a\x20\x73\x61\x66\x65\0\x73\x75\x62\x70\
\x72\x6f\x67\x5f\x77\x69\x74\x68\x5f\x70\x72\x65\x63\x69\x73\x65\x5f\x61\x72\
\x67\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x61\x72\x67\x5f\x70\x72\x65\x63\x69\x73\
\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x31\x35\x35\x3d\x38\x3a\x20\x28\x30\x66\x29\x20\x72\
\x32\x20\x2b\x3d\x20\x72\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x35\x36\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\
\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x38\x20\x66\x69\x72\x73\x74\x5f\x69\x64\
\x78\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x35\x37\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\
\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x36\
\x3a\x20\x28\x31\x38\x29\x20\x72\x32\x20\x3d\x20\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x35\
\x38\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\
\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\
\x20\x62\x65\x66\x6f\x72\x65\x20\x35\x3a\x20\x28\x36\x37\x29\x20\x72\x31\x20\
\x3c\x3c\x3d\x20\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x35\x39\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\
\x67\x73\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\
\x20\x32\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x70\x63\x2b\x32\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x31\x36\x30\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\x20\
\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x3a\x20\x28\x62\
\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x36\x31\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\
\x65\x66\x6f\x72\x65\x20\x30\x3a\x20\x28\x62\x37\x29\x20\x72\x36\x20\x3d\x20\
\x33\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x73\x70\x69\x6c\x6c\x5f\x72\x65\x67\x5f\
\x70\x72\x65\x63\x69\x73\x65\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x73\x70\x69\x6c\
\x6c\x5f\x69\x6e\x74\x6f\x5f\x70\x61\x72\x65\x6e\x74\x5f\x73\x74\x61\x63\x6b\
\x5f\x73\x6c\x6f\x74\x5f\x70\x72\x65\x63\x69\x73\x65\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\
\x36\x32\x3d\x31\x30\x3a\x20\x28\x30\x66\x29\x20\x72\x31\x20\x2b\x3d\x20\x72\
\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x31\x36\x33\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\
\x64\x78\x20\x31\x30\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x37\x20\x73\
\x75\x62\x73\x65\x71\x5f\x69\x64\x78\x20\x2d\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x36\
\x34\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\
\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x37\x20\x73\x74\x61\x63\x6b\x3d\
\x20\x62\x65\x66\x6f\x72\x65\x20\x39\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\
\x3d\x20\x72\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x36\x35\x3d\x6d\x61\x72\x6b\x5f\x70\
\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\
\x73\x3d\x72\x37\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\
\x38\x3a\x20\x28\x32\x37\x29\x20\x72\x37\x20\x2a\x3d\x20\x34\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x31\x36\x36\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x37\x20\x73\x74\x61\
\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x37\x3a\x20\x28\x37\x39\x29\x20\
\x72\x37\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\
\x38\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x31\x36\x37\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\
\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x70\x61\x72\x65\x6e\
\x74\x20\x73\x74\x61\x74\x65\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\
\x3d\x2d\x38\x3a\x20\x20\x52\x30\x5f\x77\x3d\x32\x20\x52\x36\x5f\x77\x3d\x31\
\x20\x52\x38\x5f\x72\x77\x3d\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\x28\x6d\x61\
\x70\x3d\x2e\x64\x61\x74\x61\x2e\x76\x61\x6c\x73\x2c\x6b\x73\x3d\x34\x2c\x76\
\x73\x3d\x31\x36\x29\x20\x52\x31\x30\x3d\x66\x70\x30\x20\x66\x70\x2d\x38\x5f\
\x72\x77\x3d\x50\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x36\x38\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\
\x73\x74\x5f\x69\x64\x78\x20\x31\x38\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\
\x20\x30\x20\x73\x75\x62\x73\x65\x71\x5f\x69\x64\x78\x20\x37\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x31\x36\x39\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\
\x3d\x2d\x38\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x38\x3a\x20\x28\x39\x35\x29\
\x20\x65\x78\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x37\x30\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\
\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\
\x37\x3a\x20\x28\x30\x66\x29\x20\x72\x30\x20\x2b\x3d\x20\x72\x32\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x31\x37\x31\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\
\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\
\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x36\x3a\x20\x28\x37\x39\x29\x20\
\x72\x32\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\
\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x31\x37\x32\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\
\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x35\x3a\x20\x28\
\x37\x39\x29\x20\x72\x30\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\
\x31\x30\x20\x2d\x31\x36\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x37\x33\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\
\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\
\x20\x31\x34\x3a\x20\x28\x37\x62\x29\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\
\x72\x31\x30\x20\x2d\x31\x36\x29\x20\x3d\x20\x72\x32\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\
\x37\x34\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x31\x33\x3a\x20\x28\x37\x62\x29\x20\x2a\x28\x75\
\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\x20\x3d\x20\x72\x32\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x31\x37\x35\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x72\x32\x20\x73\
\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x36\x3a\x20\x28\x38\x35\
\x29\x20\x63\x61\x6c\x6c\x20\x70\x63\x2b\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x37\x36\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x32\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x35\x3a\x20\x28\x62\x66\x29\x20\x72\x32\x20\x3d\
\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x37\x37\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\
\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x34\
\x3a\x20\x28\x30\x37\x29\x20\x72\x31\x20\x2b\x3d\x20\x2d\x38\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x31\x37\x38\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\
\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x33\x3a\x20\x28\x62\x66\x29\x20\
\x72\x31\x20\x3d\x20\x72\x31\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x37\x39\x3d\x6d\x61\
\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\
\x20\x72\x65\x67\x73\x3d\x72\x36\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\
\x6f\x72\x65\x20\x32\x3a\x20\x28\x62\x37\x29\x20\x72\x36\x20\x3d\x20\x31\0\x73\
\x74\x61\x63\x6b\x5f\x73\x6c\x6f\x74\x5f\x61\x6c\x69\x61\x73\x65\x73\x5f\x70\
\x72\x65\x63\x69\x73\x69\x6f\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x38\x30\x3d\x31\x37\
\x3a\x20\x28\x30\x66\x29\x20\x72\x31\x20\x2b\x3d\x20\x72\x30\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x31\x38\x31\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x31\x37\
\x20\x66\x69\x72\x73\x74\x5f\x69\x64\x78\x20\x30\x20\x73\x75\x62\x73\x65\x71\
\x5f\x69\x64\x78\x20\x2d\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x38\x32\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\
\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\
\x72\x65\x20\x31\x36\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x37\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x31\x38\x33\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\
\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\
\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x35\x3a\x20\
\x28\x32\x37\x29\x20\x72\x30\x20\x2a\x3d\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x38\
\x34\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\
\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\
\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x34\x3a\x20\x28\x37\x39\x29\x20\x72\x30\
\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x31\x36\
\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x31\x38\x35\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\
\x73\x74\x61\x63\x6b\x3d\x2d\x31\x36\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x33\
\x3a\x20\x28\x37\x62\x29\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x37\x20\
\x2d\x38\x29\x20\x3d\x20\x72\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x38\x36\x3d\x6d\x61\
\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\
\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\
\x6f\x72\x65\x20\x31\x32\x3a\x20\x28\x37\x39\x29\x20\x72\x30\x20\x3d\x20\x2a\
\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x38\x20\x2b\x31\x36\x29\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x31\x38\x37\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\
\x3d\x2d\x31\x36\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x31\x3a\x20\x28\x37\x62\
\x29\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x38\x20\x2b\x31\x36\x29\x20\
\x3d\x20\x72\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x38\x38\x3d\x6d\x61\x72\x6b\x5f\x70\
\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\
\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\
\x31\x30\x3a\x20\x28\x37\x39\x29\x20\x72\x30\x20\x3d\x20\x2a\x28\x75\x36\x34\
\x20\x2a\x29\x28\x72\x37\x20\x2d\x38\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x38\x39\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x2d\x31\x36\x20\
\x62\x65\x66\x6f\x72\x65\x20\x39\x3a\x20\x28\x37\x62\x29\x20\x2a\x28\x75\x36\
\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x31\x36\x29\x20\x3d\x20\x72\x30\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x31\x39\x30\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\
\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x38\x3a\x20\x28\x30\
\x37\x29\x20\x72\x38\x20\x2b\x3d\x20\x2d\x33\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x39\
\x31\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\
\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\
\x20\x62\x65\x66\x6f\x72\x65\x20\x37\x3a\x20\x28\x62\x66\x29\x20\x72\x38\x20\
\x3d\x20\x72\x31\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x39\x32\x3d\x6d\x61\x72\x6b\x5f\
\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\
\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\
\x20\x36\x3a\x20\x28\x30\x37\x29\x20\x72\x37\x20\x2b\x3d\x20\x2d\x38\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x31\x39\x33\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\
\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x35\x3a\x20\x28\x62\x66\
\x29\x20\x72\x37\x20\x3d\x20\x72\x31\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x39\x34\x3d\
\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\
\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\
\x65\x66\x6f\x72\x65\x20\x32\x31\x3a\x20\x28\x39\x35\x29\x20\x65\x78\x69\x74\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x31\x39\x35\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\
\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\
\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x32\x30\x3a\x20\
\x28\x62\x66\x29\x20\x72\x30\x20\x3d\x20\x72\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x39\
\x36\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\
\x6d\x65\x31\x3a\x20\x72\x65\x67\x73\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\
\x20\x62\x65\x66\x6f\x72\x65\x20\x34\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\
\x6c\x20\x70\x63\x2b\x31\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x39\x37\x3d\x6d\x61\x72\
\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\
\x72\x65\x67\x73\x3d\x72\x31\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\
\x72\x65\x20\x33\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x36\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x31\x39\x38\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x36\x20\
\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x32\x3a\x20\x28\x62\
\x37\x29\x20\x72\x36\x20\x3d\x20\x31\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x76\x61\x6c\x73\0\x63\x68\x61\x72\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x35\x39\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x32\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\
\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\
\x72\x69\x66\x69\x65\x72\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x70\x72\x65\x63\
\x69\x73\x69\x6f\x6e\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\
\x65\x20\x28\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x67\x6c\
\x6f\x62\x61\x6c\x5f\x69\x64\x65\x6e\x74\x69\x74\x79\x5f\x73\x75\x62\x70\x72\
\x6f\x67\x28\x5f\x5f\x75\x36\x34\x20\x78\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x78\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x76\x61\x6c\x73\x5b\x78\x5d\x3b\x20\
\x2f\x2a\x20\x78\x20\x69\x73\x20\x66\x6f\x72\x63\x65\x64\x20\x74\x6f\x20\x62\
\x65\x20\x70\x72\x65\x63\x69\x73\x65\x20\x2a\x2f\0\x2e\x64\x61\x74\x61\x2e\x76\
\x61\x6c\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x3f\x72\x61\
\x77\x5f\x74\x70\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\xcc\0\0\0\xcc\0\
\0\x01\xa4\0\0\x02\x70\0\0\0\0\0\0\0\x08\0\0\x42\xcb\0\0\0\x08\0\0\0\0\0\0\0\
\x03\0\0\0\x10\0\0\0\x07\0\0\0\x20\0\0\0\x08\0\0\0\x30\0\0\0\x16\0\0\0\x40\0\0\
\0\x17\0\0\0\x58\0\0\0\x38\0\0\0\x80\0\0\0\xcf\0\0\0\xc0\0\0\0\xdb\0\0\x42\xd1\
\0\0\0\x0f\0\0\0\0\0\0\0\x0b\0\0\0\x50\0\0\0\x18\0\0\0\x98\0\0\0\x23\0\0\0\xe0\
\0\0\0\x2f\0\0\x01\x40\0\0\0\x39\0\0\x01\x88\0\0\0\x41\0\0\x02\x10\0\0\0\x62\0\
\0\x02\x60\0\0\0\x6e\0\0\x02\xb0\0\0\0\x78\0\0\x03\x28\0\0\0\x94\0\0\x03\x88\0\
\0\0\xa4\0\0\x03\xe8\0\0\0\xb0\0\0\x04\x70\0\0\0\xd0\0\0\x04\x98\0\0\0\xdc\0\0\
\x05\0\0\0\0\xf1\0\0\0\x10\0\0\x42\xcb\0\0\0\x0a\0\0\0\0\0\0\x41\xb7\0\0\x42\
\x3d\0\0\x44\x02\0\0\0\x10\0\0\x41\xb7\0\0\x42\x4d\0\0\x60\0\0\0\0\x18\0\0\x41\
\xb7\0\0\x42\x7c\0\0\x6c\x02\0\0\0\x20\0\0\x41\xb7\0\0\x42\x3d\0\0\x88\x02\0\0\
\0\x30\0\0\x41\xb7\0\0\x42\x3d\0\x01\x44\x02\0\0\0\x40\0\0\x41\xb7\0\0\x42\x3d\
\0\x01\x6c\x02\0\0\0\x58\0\0\x41\xb7\0\0\x42\x3d\0\x03\x4c\x02\0\0\0\x80\0\0\
\x41\xb7\0\0\x42\x87\0\x09\xc0\x09\0\0\0\xb8\0\0\x41\xb7\0\0\x42\x87\0\x09\xc0\
\x02\0\0\0\xc0\0\0\x41\xb7\0\0\x42\x3d\0\x0a\x54\x02\0\0\x42\xd1\0\0\0\x0f\0\0\
\0\0\0\0\x41\xb7\0\0\x42\x3d\0\0\xd0\x02\0\0\0\x50\0\0\x41\xb7\0\0\x42\x3d\0\
\x01\xbc\x02\0\0\0\x98\0\0\x41\xb7\0\0\x42\x3d\0\x02\x4c\x02\0\0\0\xe0\0\0\x41\
\xb7\0\0\x42\x3d\0\x02\xc0\x02\0\0\x01\x40\0\0\x41\xb7\0\0\x42\x3d\0\x03\xc4\
\x02\0\0\x01\x88\0\0\x41\xb7\0\0\x42\x3d\0\x04\xa0\x02\0\0\x02\x10\0\0\x41\xb7\
\0\0\x42\x3d\0\x05\x50\x02\0\0\x02\x60\0\0\x41\xb7\0\0\x42\x3d\0\x05\xd8\x02\0\
\0\x02\xb0\0\0\x41\xb7\0\0\x42\x3d\0\x06\xbc\x02\0\0\x03\x28\0\0\x41\xb7\0\0\
\x42\x3d\0\x07\x70\x02\0\0\x03\x88\0\0\x41\xb7\0\0\x42\x3d\0\x08\x20\x02\0\0\
\x03\xe8\0\0\x41\xb7\0\0\x42\x3d\0\x09\x2c\x02\0\0\x04\x70\0\0\x41\xb7\0\0\x42\
\x3d\0\x09\xf8\x02\0\0\x04\x98\0\0\x41\xb7\0\0\x42\x3d\0\x0a\xec\x02\0\0\x05\0\
\0\0\x41\xb7\0\0\x42\x3d\0\x0b\xc8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\x03\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x48\0\0\0\0\0\
\0\x02\xb8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\
\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\xf0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xf0\0\0\0\0\0\0\x05\xa0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x90\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x0c\xa0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\x02\xe4\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0c\xa8\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\x02\xee\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\
\xb8\0\0\0\0\0\0\x01\xc0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\x02\xfa\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\x78\
\0\0\0\0\0\0\x53\x8d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\
\xff\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x08\0\0\0\0\0\0\
\x02\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_subprog_precision *verifier_subprog_precision::open(const struct bpf_object_open_opts *opts) { return verifier_subprog_precision__open_opts(opts); }
struct verifier_subprog_precision *verifier_subprog_precision::open_and_load() { return verifier_subprog_precision__open_and_load(); }
int verifier_subprog_precision::load(struct verifier_subprog_precision *skel) { return verifier_subprog_precision__load(skel); }
int verifier_subprog_precision::attach(struct verifier_subprog_precision *skel) { return verifier_subprog_precision__attach(skel); }
void verifier_subprog_precision::detach(struct verifier_subprog_precision *skel) { verifier_subprog_precision__detach(skel); }
void verifier_subprog_precision::destroy(struct verifier_subprog_precision *skel) { verifier_subprog_precision__destroy(skel); }
const void *verifier_subprog_precision::elf_bytes(size_t *sz) { return verifier_subprog_precision__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_subprog_precision__assert(struct verifier_subprog_precision *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data_vals->vals) == 16, "unexpected size of 'vals'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_SUBPROG_PRECISION_SKEL_H__ */
